commit 66bec12f805d7c99b9ceda476fa9775ba1352ac8
Author: Richard Hughes <richard@hughsie.com>
Date:   2010-01-05

    Release version 0.5.6

M	NEWS
M	configure.ac

commit d29307a5005cd45c0fa21473a02cf457ba10e0d2
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-01-05

    yum: include PackageKit in the list of essential packages

M	backends/yum/yumBackend.py

commit fa8dbafa52e59997902f9aa2a6f3540934ca9025
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-01-05

    yum: show a message to the user if the repo could not be
    reached. Fixes rh#531838

M	backends/yum/yumBackend.py

commit c3a8e3b46d4367055e5c59f7825c68ea2c8bef0a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-08

    cnf: ensure we send error messages to stderr, not stdout. Fxes
    rh#545220

M	contrib/command-not-found/pk-command-not-found.c

commit cf44fd345394adbab6b846ad05b1f2586790cb4d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-01-05

    Fix a trivial translation typo

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	po/de.po

commit b984f1d883672b9ff922a1485fc5db7d29db5423
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-01-05

    trivial: Set the value of NoUpdateProcessList to nothing to preserve
    0.5.x compatibility, as client GUI's cannot be changed

M	etc/PackageKit.conf.in

commit 47619f1706f164266ca635cf68e7c4215e71236c
Author: Richard Hughes <richard@hughsie.com>
Date:	2010-01-05

    bugfix: Ensure to set the correct error if getting the transaction
    ID fails. Fixes rh#551546

M	lib/packagekit-glib/pk-client.c

commit d37f8e9021327948241836d57e3702ee76a45d2c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-16

    Add functionality to check if certain running applications should
    prevent an update

M	src/pk-transaction-extra.c
M	src/pk-transaction-extra.h
M	src/pk-transaction.c

commit 5a8b0872e35e436ef4604782c29a9f3bf4918b63
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-16

    trivial: add a file to the dummy backend for testing

M	backends/dummy/pk-backend-dummy.c

commit ec6125f8a0d6052bf4a37699ef1e182f8de5c004
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-15

    Correct the transaction RequireRestart extra callback to fix a
    potential crash

M	src/pk-transaction-extra.c

commit 4e5c32d47bf30625c663a7b572b6cca16affa86a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-15

    trivial: Add a helper pk_conf_get_strv() for getting string arrays

M	src/pk-conf.c
M	src/pk-conf.h

commit 78ed20da225e0bffee4cb3f457919a80c70d2660
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-15

    Add a new config file entry, NoUpdateProcessList that specifies
    processes that should not be updated when running

M	etc/PackageKit.conf.in

commit 5ee910c8c3dd7bb15ac89a0070d90a4a06afcdaa
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-15

    trivial: use the PkProc shared functionality rather than the hacked
    up version in PkTransactionExtra

M	src/pk-transaction-extra.c

commit a7783175c55a3114ef8e16bddc1706e09a598693
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-15

    Fix a crash where the extra library check file callbacks had the
    wrong signature

M	src/pk-transaction-extra.c

commit 955942b0f17847ce108674981818bc4817923884
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-15

    trivial: use g_ptr_array_new_with_free_func() in PkTransactionExtra

M	src/pk-transaction-extra.c

commit b092f4ae93dff3c4c2552a3b39861953a875aecf
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-15

    trivial: add functionality to PkProc to get the uid, and add two
    public functions

M	src/pk-proc.c
M	src/pk-proc.h

commit 8e21f6cad702a5176ed766c45c8757ded03804ac
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-11

    Add a new error enum 'failed-due-to-running-process' for future code

M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h

commit a2dd05d16f8b98310bc8f72f2557f2608ad8662e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-11

    Add PkProc, to monitor the running applications on the system for
    future functionality

M	src/Makefile.am
A	src/pk-proc.c
A	src/pk-proc.h
M	src/pk-self-test.c

commit 688776d7ea50f2f700884ba3a97dd84957dc5141
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-11

    trivial: correct a warning message in PkTransactionExtra

M	src/pk-transaction-extra.c

commit 3da6a8a8664866dcf1388fa7695daa6f2a52fd87
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-11

    trivial: use g_ptr_array_unref() in PkLsof

M	src/pk-lsof.c

commit 4c0c79ad17a28c0d9d5afd7e0ebf8517fd60969b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-07

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit a20a0930a73f9d12938ecc31b3f40fba0e2562f8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-07

    Release version 0.5.5

M	NEWS
M	docs/html/pk-download.html

commit ddfc574b124bb023f8b0962997b4a2eb175ef018
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-07

    Revert an unintended API break in packagekit-glib, which was caused
    by an over-zealous sed script some weeks ago

M	lib/packagekit-glib/pk-catalog.c
M	lib/packagekit-glib/pk-client.c
M	lib/packagekit-glib/pk-client.h
M	lib/packagekit-glib/pk-task-list.c

commit 944368e6c7a8fbf5d42d7d9d6926084d7d3ec614
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-12-07

    aptcc: Emit the requested package too

M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h

commit 7bb42d229c53c7464adf344f5c7ba0753b83a2c1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-07

    When we fall back go get-depends for backend that don't support
    SimulateUpdatePackages, use UPDATING rather than REMOVING as the
    simulated enum

M	src/pk-transaction.c

commit a6b6cd25c32f539f7fce6b0a74b251f27811702a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-07

    Add a trivial debugging comment

M	src/pk-backend.c

commit 75cd81f40764e779af54fe70f252239963ef3f2d
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-12-07

    PackageKit-Qt: Properly delete transactions on daemon crash

M	lib/packagekit-qt/src/clientprivate.cpp

commit 00916f9a2a08fa450c3a7dd9d0d5575ea857cd49
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-12-07

    PackageKit-Qt: Make running transactions emit error on daemon crash

M	lib/packagekit-qt/src/clientprivate.cpp

commit 227d6329c5f2437fb707547f33c09ae838b45b76
Author: mgiri <mgiri@fedoraproject.org>
Date:	2009-12-07

    Sending translation for Oriya

M	po/or.po

commit 32f1358b8f3332c6e09e5b91c2f3da6760047607
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-12-07

    Sending translation for Gujarati

M	po/gu.po

commit 2a78d01df596d6992a00b73766b62d7dc7f8d7aa
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-07

    bugfix: remove the two-line title in the custom PolicyKit dialog
    for install

M	src/pk-polkit-action-lookup.c

commit 6bdd7348ccc00b2a649d68dc3d01d47a39888ed9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-07

    bugfix: do not abort the daemon if the desktop database is invalid
    or corrupt

M	src/pk-transaction-extra.c

commit 08813d8e8fcab778dcd793551c9730cd5de15992
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-12-06

    PackageKit-Qt: Watch DBus signal NameOwnerChanged to detect in flight
    PK crashes

M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/clientprivate.cpp
M	lib/packagekit-qt/src/clientprivate.h

commit be2a2644c9c3f1e6b1e928413fe771eeecd5dcf7
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-12-06

    PackageKit-Qt: Make error message more informative

M	lib/packagekit-qt/test/transactiontest.cpp
M	lib/packagekit-qt/test/transactiontest.h

commit 37eed9cc8a090094a286859677695e9ec746aa90
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-12-06

    PackageKit-Qt: Fix signal signature in Transaction test

M	lib/packagekit-qt/test/transactiontest.cpp

commit 67d9c97c8e953aee8960d1ff00197a97ce9ea246
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-12-06

    PackageKit-Qt: Refuse to run tests if backend != dummy

M	lib/packagekit-qt/test/main.cpp

commit 141df63d3ef2f13802d62943ba36a20b289c307d
Author: kmilos <kmilos@fedoraproject.org>
Date:	2009-12-06

    Sending translation for Serbian (Latin)

M	po/sr@latin.po

commit 33163f44db9830ad861ef260b14502b8003786a3
Author: kmilos <kmilos@fedoraproject.org>
Date:	2009-12-06

    Sending translation for Serbian

M	po/sr.po

commit 49d74b04a5fcf2c920249c1acce09014d8c783bf
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-12-06

    Sending translation for Spanish

M	po/es.po

commit 7cf84a52193a615d652408555eacad2fb6e45887
Author: elad <elad@fedoraproject.org>
Date:	2009-12-06

    Sending translation for Hebrew

M	po/he.po

commit 018b4f066816c950a467ae0d2e05b548dbca3041
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-12-04

    aptcc: Added gstreamer codec search (need to replace it with gst),
    cleaned the code and
	   improved the package description.

M	backends/aptcc/Makefile.am
M	backends/aptcc/apt-utils.cpp
M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h
M	backends/aptcc/pk-backend-aptcc.cpp
M	configure.ac

commit d4df92ea10d3165155c53fac4fa020afbac63f14
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-12-03

    pk-con: search provides for ANY instead of CODEC

M	client/pk-console.c

commit 5b185686689872932f58f2010859e7b61fd781b2
Merge: 226ccc1 ea73b10
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-12-03

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 226ccc154c296cc59773563b49bb129dafab6651
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-12-03

    aptcc: Added what provides mime type support

M	backends/aptcc/apt-utils.cpp
M	backends/aptcc/apt-utils.h
M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h
M	backends/aptcc/pk-backend-aptcc.cpp
M	docs/html/pk-matrix.html

commit ea73b10010b4aeddd78c8494ea93fa1c6fb83762
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-03

    Do not split more than one locale hint to fix setting LC_
    variables. Fixes rh#543716

M	src/pk-transaction.c

commit 850003dca256dae0cf68276a1170288514bdd11b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-03

    trivial: make two error descriptions different to help debug a problem

M	lib/packagekit-glib2/pk-common.c
M	src/pk-transaction.c

commit f8f7a2769ce41f6ef26bfdc9630e4a76de83675b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-03

    glib2: never try to disconnect DBus signals if they were never
    connected

M	lib/packagekit-glib2/pk-client.c

commit 8768fa13c9a4f846cdf61a06e8e6507e563a79ad
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-03

    trivial: fix make check from exploding by unreferencing the array
    properly in the test suite

M	lib/packagekit-glib2/pk-desktop.c

commit a03725a61030664782c37d7830b6c9733132e694
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-03

    trivial: fix make check after the distro-id stuff was changed

M	data/tests/test.catalog
M	lib/packagekit-glib2/pk-catalog.c
M	lib/packagekit-glib2/pk-common.c

commit 5e2d1ffb9876589989b620f0cacacfaacf7c7301
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-02

    yum: Only check certain transaction elements, not all of them. Fixes
    rh#541645

M	backends/yum/yumBackend.py

commit 5233d0d3af0e0505ca7ab5b7909ec8afe555835c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-12-02

    Ensure we return a very big number if we ask for the time since a
    role completed, and the role has never completed

M	src/pk-transaction-db.c

commit 1dd15d74211fbca32c612b286909e156f2c2d25e
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-12-01

    packagekit-qt: Forgot to deprecate setLocale

M	lib/packagekit-qt/src/client.h

commit 4dc16a9e47ec14b5723437a2ff11361641541522
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-12-01

    packagekit-qt: Fixed emmition of updatesChanged(), and added
    DEPRECATED macro to warn users of the lib

M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/client.h
M	lib/packagekit-qt/src/transaction.h

commit 06399388253ed5b1bf166f3941c85a30c54f1930
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-30

    aptcc: Better error handling in instalation

M	backends/aptcc/acqprogress.cpp
M	backends/aptcc/acqprogress.h
M	backends/aptcc/apt.cpp
M	backends/aptcc/pk-backend-aptcc.cpp

commit f3d5c1f9567d28e13c7e7e536599a32fd809aa08
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-30

    Use the license generator to update the list of free licenses to
    include font licences. Should fix rh#519394

M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h

commit 401294b62fb340982162ac594e83342cef01da6b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-30

    Fix up the free license checker to include the free font licenses too

M	tools/pk-refresh-licenses.c

commit d6b606f1ba06c9e9ccd10b1c50935e6c3ada0aae
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-30

    trivial: make the egg debug code more useful when using the
    environment variables

M	src/egg-debug.c

commit 4fb54a5c0da723400db5328e6293221f349114fa
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-30

    yum: protect against yum, rpm and glibc from being removd manually
    or as deps in RemovePackages()

M	backends/yum/yumBackend.py

commit a5837c3e9cd7ae6ea62d3270b21d5e8a00a02779
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-27

    packagekit-qt: Oops forgot to return the transaction in searchFile

M	lib/packagekit-qt/src/client.cpp

commit 8b39d9c73079ca52441df41c92c3b2c6c48772de
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-27

    packagekit-qt: added support to what provides with a QStringList

M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/client.h

commit dbd660027f79bdadb3ce688a48b64294c9453e58
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-27

    Updated the Faq and example.catalog to match the new distro id

M	docs/example.catalog
M	docs/html/pk-faq.html
M	docs/html/upload.sh

commit 37d420fbe55b56eb61c38eac7aac39c3f1299a1f
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    Removed the get_distro_id test

M	lib/packagekit-glib2/pk-common.c

commit 0187fd11625cc111c362c5e61ecd4ced8715607e
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    packagekit-qt: fix icon loading

M	lib/packagekit-qt/src/package.cpp

commit 4e978220fdef701261e380ab2bc936d5d7e5759d
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    packagekit-qt: fix and update typo in docs

M	lib/packagekit-qt/src/client.h

commit c3609e95c0091cc1d86e9990a9cf92fd45ff6b6d
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    updating the o.f.p.xml description

M	src/org.freedesktop.PackageKit.xml

commit 0a488154bcbf19c6cbdf6913be1a48a53282fae0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-26

    trivial: Fix up some bugs spotted by clang

M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-glib2/pk-task.c
M	src/pk-engine.c

commit 6407a1f5495ea004eacfd3f9e0544b6ebbe29e41
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    Fixed one old call to get_distro_id and changed all identifiers
    to distro;version;arch

M	lib/packagekit-glib2/pk-service-pack.c
M	src/pk-engine.c

commit 0a2a8b7af684b423324cdf58fe1c505a71060400
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    Forgot a break in pk-engine.c

M	src/pk-engine.c

commit 62ed38d000b7f4b55f5e3329bf1d15bd939ac273
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    Moved get_distro id to a daemon property

M	client/pk-generate-pack.c
M	lib/packagekit-glib2/pk-catalog.c
M	lib/packagekit-glib2/pk-common.c
M	lib/packagekit-glib2/pk-common.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/client.h
M	lib/packagekit-qt/src/daemonproxy.h
M	src/org.freedesktop.PackageKit.xml
M	src/pk-engine.c

commit ab79229988470391b4adb1e890540e48b4ba8bf8
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    Make the scan for desktop files be recursive

M	src/pk-transaction-extra.c

commit e83d3a9385f37bf1414e5a40a63e9c9737dbc434
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    packagekit-qt: A few improvements to getIcon()

M	lib/packagekit-qt/src/package.cpp

commit 596b5672455c7da4a19b2c5b9bd708fdd1943f67
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-11-26

    PackageKit-Qt: Fix behaviour on failed desktop database open

M	lib/packagekit-qt/src/package.cpp

commit e63bf5aab7216bb8042f74bdd67daf02e744079d
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    packagekit-qt: Fix the open desktopdb path

M	lib/packagekit-qt/src/client.cpp

commit 259c5939f9c13b511e27e30b0e950f2c3d24e05d
Merge: d1c5b97 9b6d997
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-26

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 9b6d9974f47a98dfa93d41522859c201d043c07c
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-11-25

    PackageKit-Qt: Add function in Package class to get icon path

    This commit adds the Package::iconPath function that searches
    in the local sqlite database for the desktop file associated
    to a package and extracts the icon path.

M	lib/packagekit-qt/src/package.cpp
M	lib/packagekit-qt/src/package.h

commit d1c5b97fb4fea282eec7c87e9efab5cc1170b28c
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-25

    packagekit-qt: Fix compilation path of desktop.db

M	lib/packagekit-qt/src/Makefile.am

commit 83ebe6b41ad81d42134cf43ec912ca070cb14792
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-25

    packagekit-qt: Added setHints(QString) conveniece function

M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/client.h
M	lib/packagekit-qt/src/transaction.cpp
M	lib/packagekit-qt/src/transaction.h

commit 529549faa5af6121209262d2d926f48a1ce40679
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-25

    packagekit-qt: fix indentation

M	lib/packagekit-qt/src/client.cpp

commit f98501fdfa0b7074b3c430ba6f8e2c84ca43b85c
Merge: 8123492 617e266
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-25

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 8123492232b45f599caad72062bc1da1073c9c52
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-25

    packagekit-qt: Added multiple files support to searchFile

M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/client.h

commit 617e26601a7e765b9a2dd96c6ed3f24b07982ff5
Author: raven <raven@fedoraproject.org>
Date:	2009-11-24

    Sending translation for Polish

M	po/pl.po

commit 32757da9f5ac1faf41426c5a7bf07c562309c3d3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-24

    trivial: switch around the symlinks to the version file as glib will
    soon be going away

T	lib/packagekit-glib/pk-version.h.in
T	lib/packagekit-glib2/pk-version.h.in

commit f932bcf49054055724ebe05eaa44dc62f1c4edad
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-24

    cron: Only email when a useful action was done. Fixes rh#540949

M	contrib/cron/packagekit-background.cron

commit aa45de6aaa964247143eb9abe6684f0a92925878
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-24

    pkcon: Add a return code for pkcon of 5 for 'nothing useful was done'

M	client/pk-console.c
M	client/pkcon.xml

commit d4bb5813adde39021870c08b67836635b6acad7a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-24

    pkcon: Add a message when there are no updates

M	client/pk-console.c

commit feb2c18664c37cf5217eeddb638307012ab33b61
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-24

    Add a --plain option to pkcon to better support not-running with
    a console

M	client/pk-console.c

commit ec036319b7560242a4e4ed5bdc101aa8ffbbe29a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-24

    Fix a potential crash when pkcon gets a restart-required signal

M	client/pk-console.c

commit ea6e34ee7f578fee46cddf5f2497cd28e15133ca
Author: raven <raven@fedoraproject.org>
Date:	2009-11-24

    Sending translation for Polish

M	po/pl.po

commit 606b2e5d806f9129b96ac4e13edee8fe0d2a53e1
Author: nippur <nippur@fedoraproject.org>
Date:	2009-11-24

    Sending translation for Dutch

M	po/nl.po

commit e5364d768c461283d50c3700a613aeba21626e52
Author: logan <logan@fedoraproject.org>
Date:	2009-11-23

    Sending translation for Spanish

M	po/es.po

commit 9c51a626a929889e29af6d66cccba67e42138822
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-23

    cnf: Run the newly installed file sync so we can return a proper
    exit code. Fixes rh#540482

M	contrib/command-not-found/pk-command-not-found.c

commit fe366e7e528c0266c3ad5b98020d203b982e2a3f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-23

    yum: put a file monitor on /etc/yum.repos.d and signal RepoListChanged
    when it is manually changed

M	backends/yum/pk-backend-yum.c

commit 1fe9db27eaaa706b64fe6cb149b586e0ac7b35cb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-23

    trivial: Add the helper function pk_backend_repo_list_changed()

M	src/pk-backend.c
M	src/pk-backend.h

commit faa4ad45536b9d523964093adff5bf7c8f9f061d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-23

    Update to a better version of the egg-debug code

M	client/Makefile.am
M	client/pk-console.c
M	client/pk-generate-pack.c
M	client/pk-monitor.c
M	client/pk-self-test.c
M	contrib/command-not-found/Makefile.am
M	contrib/command-not-found/pk-command-not-found.c
M	contrib/debuginfo-install/Makefile.am
M	contrib/debuginfo-install/pk-debuginfo-install.c
M	contrib/gstreamer-plugin/Makefile.am
M	lib/packagekit-glib/Makefile.am
M	lib/packagekit-glib/pk-self-test.c
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/pk-self-test.c
M	po/POTFILES.in
M	po/POTFILES.skip
M	src/Makefile.am
M	src/egg-debug.c
M	src/egg-debug.h
M	src/pk-main.c
M	src/pk-self-test.c

commit 00e9e4bfc429bfd41401421068b123d98cdcc446
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-22

    Fix up a spelling mistake on the website

M	docs/html/pk-users.html

commit 09c55360b1262e89ec626fb4dc071ba5746a702b
Author: Tim Waugh <twaugh@redhat.com>
Date:	2009-11-20

    Fixed packagekit.client.what_provides() in Python bindings.

M	lib/python/packagekit/client.py

commit 92fcbdbcc99786098772d7014cbd9bb30fb79399
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-20

    Rename three methods in the unstable glib2 library so we are ready
    for 0.6.x in December

M	client/pk-console.c
M	contrib/command-not-found/pk-command-not-found.c
M	lib/packagekit-glib/pk-catalog.c
M	lib/packagekit-glib/pk-client.c
M	lib/packagekit-glib/pk-client.h
M	lib/packagekit-glib/pk-task-list.c
M	lib/packagekit-glib2/pk-catalog.c
M	lib/packagekit-glib2/pk-client-sync.c
M	lib/packagekit-glib2/pk-client-sync.h
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 00bb6f03eac4d0b2b0fed1d0e3694ba73a0a25c3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-20

    yum: Protect more against repos that get disabled

M	backends/yum/yumBackend.py

commit f240982f73202185e6e7ec3efd3be311973a2c29
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-20

    Add some additional trivial help in run-pk.sh

M	src/run-pk.sh

commit 304327c61fa13b31677de04aea8dc9d4eda13c13
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-20

    Correct a few trivial NULL/FALSE mismatches

M	lib/packagekit-glib2/pk-catalog.c
M	lib/packagekit-glib2/pk-client-sync.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control-sync.c
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package.c
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-task-sync.c
M	lib/packagekit-glib2/pk-task.c

commit 3d3513e5628e4d992e4c9204d26bf82c15227025
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-19

    Switch the signed install permission to require the root password

    Switch the signed package install required authentication to be
    auth_admin_keep
    by default, other distributions with different useability tradeoffs
    can override
    this with pkla files where required.

M	policy/org.freedesktop.packagekit.policy.in

commit 6774f1af0c2354e5463967ed1e5e9bdd8c57494a
Merge: f658735 c17314a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-19

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit c17314a388bbd6deb7c61e92687b78a2b944bb76
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-11-19

    smart: fix syntax error typo with only_trusted

M	backends/smart/smartBackend.py

commit f658735d6f9578ab6a3f9e92aa7bd7ceaf5f7390
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-18

    yum: throw errors from _findPackage which mackes it much easier to
    report (and ignore) different types of errors

M	backends/yum/yumBackend.py

commit d3066b774f7085769047f7eb1cd5bf0707947d6d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-18

    yum: don't fail with a crypic message if a package is being searched
    for is in a repo no longer available.

M	backends/yum/yumBackend.py

commit 315867f665ca36a8315afc03266902ff567c47c6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-18

    yum: Do a better fix for the non-name callback bug - trivial change

M	backends/yum/yumBackend.py

commit 948a2f3206c9e264159a01c0fb1d84a99d4a5813
Merge: 247f1bc 3a80942
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-18

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 3a80942ae04d1ced69e83b55eea7212c0395a572
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-17

    APT: Parse for closed Launchpad bugs in the Ubuntu changelogs

M	backends/apt/aptBackend.py

commit 247f1bcfa04817afe67f460a5ac490ee1b3c3a8e
Merge: 356176d 2c4956c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-17

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 2c4956c9226d11c50be012506872c71e66814a32
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-17

    APT: Minor cleanups to the markdown creator

M	backends/apt/aptBackend.py

commit b42c1ff61f762bdf8058a6dd8959983a48251249
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-17

    APT: Use a more readable markdown raw syntax

M	backends/apt/aptBackend.py

commit f6463cbd23e3990a067448f183d37ba7e9ff4e73
Merge: 667fadb ad0d42c
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-17

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 667fadb194adcb7d2d9dc4d67e5c1039f9adb0b2
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-17

    APT: Share the pinning file with Synaptic which allows to block
    updates
    in Synaptic

M	backends/apt/aptBackend.py

commit 356176d644904324cd5e832b6e4b2759857b60e3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-17

    yum: check the filename is valid before exploding when yum fails on
    us. Fixes rh#537381

M	backends/yum/yumBackend.py

commit ad0d42c859e39b0a40bbab504fe6c6ea6dea2834
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-17

    yum: fix the broken metadata ISO8601 encoded update detail values

M	backends/yum/yumBackend.py

commit f6473a1d16d88f7787d06be7a4b9328b7c925896
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-17

    bugfix: ignore blank ISO8601 dates

M	src/pk-backend.c

commit 0a8dc2fee0caf22c108fd6d2314408fb01c20f5d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-17

    bugfix: Ensure the update detail ISO8601 dates are formatted correctly
    before they are sent to the daemon

M	src/pk-backend.c

commit 2be5ed5caba1432c95a66d9573ab508e49e7b027
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-17

    dummy: ensure we send valid ISO8601 dates to the daemon

M	backends/dummy/pk-backend-dummy.c

commit 93d6435dfc97970ed6ee7993db0c4f2f5a9eb7a6
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-16

    APT: Make use of the package metadata to search for provided gstreamer
    plugins

M	backends/apt/aptBackend.py

commit fd8482473bb392ca0bc79b74ad6a015ae3c477d0
Author: mgiri <mgiri@fedoraproject.org>
Date:	2009-11-14

    Sending translation for Oriya

M	po/or.po

commit 0d6d07546225d04e05cd4bcc8bd35733013599f7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-13

    Revert "Python Backend: Consider the stdin/stdout encoding converting
    the"

    This reverts commit e39cb1df0d1d5c0acd3b6251020104dcc5842480.

M	lib/python/packagekit/backend.py

commit 30bb5ef9bcad3f7ecc48c0018bf2e19a3a3564c4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-13

    yum: format the package_id for printing when we print an error

M	backends/yum/yumBackend.py

commit 161e9e9fc54565b6960703c07be5916c6efbb834
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-13

    trivial: fix a Glib warning when the background boolean is left
    unset by the client

M	src/pk-backend-spawn.c

commit 29a0d51f0b5d3aca82e4f38be6ce97bcd49d6e54
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-13

    APT: Fix a typo which broke RemovePackages

M	backends/apt/aptBackend.py

commit ede9b5ddd7b653e253c7af2b841c2dee0d6faf9e
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-13

    APT: Add support for removing obsoleted dependencies in RemovePackages

M	backends/apt/aptBackend.py

commit afcc409446f381dd5726d1d774eb6f8ca964e92f
Author: kkrothap <kkrothap@fedoraproject.org>
Date:	2009-11-12

    Sending translation for Telugu

M	po/te.po

commit 3ec084a99f9dfcc34d113cea84d7d67d1fd39591
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-12

    APT: Add missing datetime import

M	backends/apt/aptBackend.py

commit fe1a10469dd908d6bdad0a33c43fc93d73613898
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-12

    APT: Emit the INFO_DOWNGRADING for currently downgrading packages
    in the
    install progress

M	backends/apt/aptBackend.py

commit 0d1db13dbbfdb651577aaa7b153d3fe202fe30f4
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-12

    APT: Send the INFO_FINISHED status for downloaded packages

M	backends/apt/aptBackend.py

commit 8e466a3a2894c36f9f41f92a1ee32cf763199414
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-12

    APT: Send the currently downloaded package in the download_package
    method

M	backends/apt/aptBackend.py

commit e45661f1adcfaa80feb84488729e7b0353c5dbb8
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-12

    APT: Refractor download_packages and emit the files signal for
    downloaded packages

M	backends/apt/aptBackend.py

commit c81979d935bcbe2b5b22f2de74e4b0bafdbebc13
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-12

    APT: Separate the apt.package.Version/package id converter into
    its own
    method

M	backends/apt/aptBackend.py

commit 8cb7ca05efa9fe96246865d9db532fbce08fb961
Merge: b85e37a 71857f0
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-11

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit b85e37aa3c0e2af6187dee441dd25761f08252d4
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-11-11

    Fixed python session example

M	docs/html/pk-faq.html

commit 71857f0dc251d28504871961bb3399480adc435c
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-11

    APT: Allow to set the status of the PackgeKitFetchProgress. Make
    use of
    this to show STATUS_DOWNLOAD_REPOSITORY during a refresh

M	backends/apt/aptBackend.py

commit ef74644cae06f5ea1ac4f0efb9afc268e6ce5168
Merge: e0882e3 78a591b
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-11

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit e0882e31d2e9775c9f9c68ec4a075d248b0c81d8
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-11

    APT: Use markdown for the changelog and update_text of UpdateDetail.
    update_text skips some information from the changelog. Furthermore fix
    the cve und bugzilla URLs. Extract issued and updated from the
    changelog. Add a very basic and hard coded support for restart.

M	backends/apt/aptBackend.py

commit 78a591b9942afa19f6e21ac987a70af8a9faa05b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-10

    cnf: when we search for available files, use our preferred arch. Fixes
    rh#534169

M	contrib/command-not-found/pk-command-not-found.c

commit 4e71100758412f2807bf9636b2fc4f6b6c808f75
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-10

    trivial: fix compile on Ubuntu

M	configure.ac

commit 1a6df8485be8b6994642f795b0a262385495923f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    Fix two potential issues spotted by clang

M	lib/packagekit-glib2/pk-task.c

commit 88e852bc9ba785ffe247a9186d3d3a3d1ad452d2
Merge: 0f990c3 dfa9dd0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    Merge branch 'master' into no-more-C-structures

commit dfa9dd0f1ed00a15cf5401e8c8ceef8d0c86ecc0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    cnf: after a successful installation, re-exec new binary not
    command-not-found. Fixes rh#533554

M	contrib/command-not-found/pk-command-not-found.c

commit 12bafbe62e16dcd07f1573807629d830199a868d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-05

    cnf: handle the error condition where the package name would be
    invalid. Fixes rh#533014

M	contrib/command-not-found/pk-command-not-found.c

commit 0f990c34a5e8a5831174cc108a2f3bcf32898907
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    Ensure we use the unique package id rather than the name for the
    de-duplication filter dictionary. Fixes gnome#601246

M	lib/python/packagekit/filter.py

commit 33bfab11ee5005c8e21d2aedb446a230de727cb6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    Just for packagekit-glib2, drop the 'Code' from PkError as it's a
    redundant suffix

M	backends/aptcc/aptcc_show_error.cpp
M	backends/aptcc/aptcc_show_error.h
M	backends/poldek/pk-backend-poldek.c
M	client/pk-console.c
M	client/pk-monitor.c
M	contrib/browser-plugin/pk-plugin-install.c
M	contrib/command-not-found/pk-command-not-found.c
M	contrib/debuginfo-install/pk-debuginfo-install.c
M	docs/api/PackageKit-docs.sgml
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-catalog.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h
R063	lib/packagekit-glib2/pk-error-code.c
lib/packagekit-glib2/pk-error.c
R075	lib/packagekit-glib2/pk-error-code.h
lib/packagekit-glib2/pk-error.h
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-glib2/pk-task.c
M	src/pk-backend-spawn.c
M	src/pk-backend.c
M	src/pk-backend.h
M	src/pk-transaction.c

commit 7e3d25068c9f5a85956f89170a189b302992a4ca
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    trivial: tiny bugfix to allow messages to be captured by the client

M	lib/packagekit-glib2/pk-client.c

commit 47ac466633fb48459294e75e299ac56163afc992
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    trivial: yum: fix up some package names vs. package_id naming issues

M	backends/yum/yumBackend.py

commit cf95de4ebc9a9e4d432ee760da2cd253374428e4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    trivial: Fix pkcon get-transactions as it had a conversion error

M	client/pk-console.c

commit 221b6c84b7b5186670c77dd347f1cdf4391acaa2
Merge: b8edbb0 7005e0a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    Trivial: fix conflicts

commit e597bc1a0c1105a7ad930e954bfa10d31637e780
Merge: 922c1dd e926d83
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-09

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 922c1dd90c9eaa16b07a6de6f78af23223147e5f
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-09

    APT: Fix update version sanity check and add the package name to the
    error message.

M	backends/apt/aptBackend.py

commit 7005e0af84874207ab6863f18ac48508237ced5c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-09

    cnf: after a successful installation, re-exec new binary not
    command-not-found. Fixes rh#533554

M	contrib/command-not-found/pk-command-not-found.c

commit e390b7bb666995fb7091bc18f9b8ea8e7ee5e954
Merge: 295503c e926d83
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-07

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit e926d83fdc1aea288a1e7c27e4e7d8a762b50296
Author: aalam <aalam@fedoraproject.org>
Date:	2009-11-07

    Sending translation for Punjabi

M	po/pa.po

commit d6750bf02850a103b51f4bb9c15b68e63dc1a4e4
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-11-07

    documentation: trivial style/typo fixes in FAQ

M	docs/html/pk-faq.html

commit bc7e987cf2064d6a103c46e8bdc0d0da1868d323
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-11-07

    documentation: suggest working additional resources for gdb broken
    link

M	docs/html/pk-bugs.html

commit 0484a9cbfd8f4e1268fc9a6df0cf61868fa06877
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-11-07

    documentation: refactor adding backends to packagekit on download page

M	docs/html/pk-download.html

commit d9a4dd76ae46ea3320063838ef1365b8b4dcdb23
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-11-06

    documentation: refactor download instructions for precompiled packages

    including the following changes to homogenize the syntax used
    and avoid
    obsolete or confusing information:

    * add link to pk-users for a more complete/visual distribution list
    * reformat all lines to use same format for name and initial version
    * avoid transitorial references in ubuntu description

M	docs/html/pk-download.html

commit e9334823e772ace1f73990f58b59ef91e9b2d672
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-11-06

    documentation: revert version order for unstable versions to match

M	docs/html/pk-download.html

commit 0a8a6b9192c1100d11066f0b036356ca10b21bc1
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-11-06

    documentation: correct link to presentation

M	docs/html/pk-intro.html

commit 8e6eb269bc43b1a27297361820a3ad2289434ce4
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-06

    APT: Don't use internal attributes of python-apt as far as possible

M	backends/apt/aptBackend.py

commit 85dc6527165a06487f44a3ed0f57b945bb18440f
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-06

    APT: Take the version of package into account when removing,
    installing
    and updating. Add some security/sanity checks

M	backends/apt/aptBackend.py

commit 36bf94de1a91c251fbf7fb38b97205b6897b356c
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-06

    APT: Show some progress for processing downloads of changelogs. Don't
    emit to many status signals.

M	backends/apt/aptBackend.py

commit 4a2281ffd7a7873c5131dd83b8b61a8bf9212dfe
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-06

    APT: Catch an internal python-apt changelog downlad failed error
    message which is not provided as unicode

M	backends/apt/aptBackend.py

commit 295503c4a4c04a2741d6f4f0e708ab0e2af6828c
Merge: 804ca21 cd74677
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-06

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 7a0a96fdf3a500a79d0a64d917252d40cbd17321
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-06

    APT: Only emit additional changes in Simulate*

M	backends/apt/aptBackend.py

commit 9046445b3ff62c290a41ca86583de723acc3d0e0
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-06

    APT: Fix small typo in method call of simulate_update

M	backends/apt/aptBackend.py

commit 804ca21010ef2a4350be0fea89e0a56a3e554cf0
Merge: 1d96ea9 369e601
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-05

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit cd746772b8eca261487308044b4cb092d4ea623a
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-05

    APT: Remove obsolete return statements after PackageKitBackend.error
    call. Don't use ERROR_UNKNOWN

M	backends/apt/aptBackend.py

commit 62bfc7148b9062da82a073e7a382ab384f0c0d71
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-05

    APT: Replace the _find_package_by_id helper by _get_package_by_id
    which
    reuses _get_version_by_id

M	backends/apt/aptBackend.py

commit 1d96ea962b41f16fff0bbdf648b5f90e6e5c4bbb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-05

    cnf: handle the error condition where the package name would be
    invalid. Fixes rh#533014

M	contrib/command-not-found/pk-command-not-found.c

commit 369e6015274bcdd267fd8df89045144fee06f515
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-05

    APT: Rewrite get_requires to actually parse the dependecy information
    and takes virtual packages into account. Recursive searching is not
    implemented also or dependencies are handled as hard dependencies.

M	backends/apt/aptBackend.py

commit e4693080da5378b5e9c8e3a5624effa6054e5e23
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-05

    APT: Rewrite of get_depends. If a dependency cannot be installed
    emit a
    blocked package. Furthermore allow filtering, resolve virtual packages
    and take recommends into account if APT::Install-Recommands is set.

M	backends/apt/aptBackend.py

commit 92429c8c77e61be5273bcdcb7b74e4b5d8b9a226
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-04

    APT: Add a helper to get the apt.package.Version instance
    corresponding
    to a package id

M	backends/apt/aptBackend.py

commit 179db96faecbf942b59e4c26eeffad975fafe148
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-04

    APT: Fix installing package files from a not ASCII path

M	backends/apt/aptBackend.py

commit 0840ef2dd32721c768643b6bbfa1b6b3980341d0
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-04

    APT: Do not fail if we cannot unset the locale correctly

M	backends/apt/aptBackend.py

commit e39cb1df0d1d5c0acd3b6251020104dcc5842480
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-04

    Python Backend: Consider the stdin/stdout encoding converting the
    arguments to unicode

M	lib/python/packagekit/backend.py

commit 3c6aae50a3805ca5196dcda45e381b170a5d6cb2
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-04

    APT: Show a better error report for broken packages in get_depends

M	backends/apt/aptBackend.py

commit 21a9e1c129040df04e65fb54dd820cb8f76570ea
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-04

    APT: Fix emitting the correct installed/available status for packages

M	backends/apt/aptBackend.py

commit bdcd051da010d6fb35db192f5213ff3c3b90dcca
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-02

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 6b07e91568d1f0f4b9893bf8d9b97a1469fd30f5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-02

    Release version 0.5.4

M	NEWS
M	configure.ac
M	docs/html/pk-download.html

commit e030581b7813e32d7f1194e60dc315d1278f7cf9
Merge: c050c64 8fd06eb
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-11-02

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 8fd06eb77462892052d569733a5ec87276c8a2ec
Author: vpv <vpv@fedoraproject.org>
Date:	2009-11-02

    Sending translation for Finnish

M	po/fi.po

commit 8f04e2c7ffc51ce7e95461c8c6b0d815089e93c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-11-02

    trivial: fix up two small failures in the self check code

M	lib/packagekit-glib2/pk-control.c

commit 865719503470acc59e9800b5a581d1f5c2e80a6e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-29

    gtk-module: Check the language code exists before we search for
    it. Fixes half of rh#531105

M	contrib/gtk-module/pk-gtk-module.c

commit 61563bcd1bb860743939bb863a7372e317156ca6
Author: Marcin Banasiak <megabajt@pld-linux.org>
Date:	2009-11-01

    poldek: implemented SimulateInstallPackages, SimulateRemovePackages
    and SimulateUpdatePackages

M	backends/poldek/pk-backend-poldek.c
M	docs/html/pk-matrix.html

commit 8547686af342d68fbfd0bea6ae2a413418299294
Author: ifelix <ifelix@fedoraproject.org>
Date:	2009-10-31

    Sending translation for Tamil

M	po/ta.po

commit c927ebc94744486f98b8bd89b5c5d90b390e589e
Author: kmilos <kmilos@fedoraproject.org>
Date:	2009-10-30

    Sending translation for Serbian (Latin)

M	po/sr@latin.po

commit e380386ac390af910c9871859b64bb3c0e95c735
Author: kmilos <kmilos@fedoraproject.org>
Date:	2009-10-30

    Sending translation for Serbian

M	po/sr.po

commit 942e53813e095a902bea7d7b5e7e7965408b5230
Author: Daniel Nicoletti <daniel@magie.tcp>
Date:	2009-10-30

    aptcc: cleaned lots of unused code, merged the dist-upgrade code

M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h
M	backends/aptcc/pk-backend-aptcc.cpp
M	docs/html/pk-matrix.html

commit edc9b1926ec15b7908f5183059004f1ddea3bd06
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-10-30

    packagekit-qt: Fixed filters bug

M	lib/packagekit-qt/src/client.h
M	lib/packagekit-qt/src/util.cpp

commit 67d78e37a5fe96a7f348a4b7b94f3efa044a2a2a
Merge: c26223d da08aaa
Author: Daniel Nicoletti <daniel@magie.tcp>
Date:	2009-10-30

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit c050c64980ae9f2524887314954eefafd1863920
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-30

    APT: Add a helper method which allows to emit all visible versions of
    package. Use it to follow the spec for SearchName.

M	backends/apt/aptBackend.py

commit 1a88aceb53ba9e9e9942368e3017e1ab3eb87b8f
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-30

    APT: Allow emitting apt.package.Version by introducing
    PackagetKitAptBacken._emit_pkg_version. Make use of the new method
    when
    emitting Package signals

M	backends/apt/aptBackend.py

commit da08aaab663afe562dd60b5a2edb2ce3eac23e1d
Merge: bb3a88a d0e8b56
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit bb3a88a0fc372746c5d1a375e5033ef5602d8160
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Fix a trivial debugging leftover in search_file

M	backends/apt/aptBackend.py

commit 08069d08d710314c1401431cd6ca62e3bf091b64
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Respect the SearchFile value specification (absoulte path and
    filename)

M	backends/apt/aptBackend.py

commit c26223d91d7383a3e38eae332ab7b7ecbf3d0e1c
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-10-29

    packagekit-qt: Updated the API to have all the nem enums and use
    the properties, we broke ABI

M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/client.h
M	lib/packagekit-qt/src/clientprivate.cpp
M	lib/packagekit-qt/src/clientprivate.h
M	lib/packagekit-qt/src/daemonproxy.h
M	lib/packagekit-qt/src/package.h
M	lib/packagekit-qt/src/transaction.cpp
M	lib/packagekit-qt/src/transaction.h
M	lib/packagekit-qt/src/transactionproxy.h

commit d0e8b566bccd1a6e6ae3dc24df57e421c5e373eb
Author: ruigo <ruigo@fedoraproject.org>
Date:	2009-10-29

    Sending translation for Portuguese

M	po/pt.po

commit 584f310fcd3785ba4e71bf09db185410fc62afa7
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    Update feature matrix for APT backend

M	docs/html/pk-matrix.html

commit fe632124ae5ea1a54700d7adc91f9b014fabe650
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Add support for SimulateInstallFiles

M	backends/apt/aptBackend.py
M	backends/apt/pk-backend-apt.c

commit 7b93c44efc00af8aeef62a88a8c139cf2b4064d3
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Add support for Simulate(Install|Remove|Update)

M	backends/apt/aptBackend.py
M	backends/apt/pk-backend-apt.c

commit 03620e4b77f2194bb2a8f742af7eaecca88ce851
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Move the dependency resolution for install, remove and update
    to a
    separate method for easier reuse in Simulate*

M	backends/apt/aptBackend.py

commit fddf75341e8fa87ee149d5d5963d4167e4ab2a3d
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Don't fail if the syslog daemon is not available (Thanks mvo and
    scott)

M	backends/apt/aptBackend.py

commit 51ef74029ee35dca61776753e00d77cdaab7c189
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Make the InstallProgress more safe to not fail dpkg triggers
    messages

M	backends/apt/aptBackend.py

commit b376f6232bd7eb58810f18b8ae650cf8a512b2bc
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Add support for allow_deps of RemovePackages

M	backends/apt/aptBackend.py

commit f9cf5936365d58c8d11a331d1067b0250a13168b
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Add support for only_trusted

M	backends/apt/aptBackend.py

commit 0d5c08d928eb25ae3fefb4111b43d6cd093ca010
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Instead of failing if the package cache is currently locked by
    another package manager wait until the lock is freed again

M	backends/apt/aptBackend.py

commit dcef9ae9313717e7e8c10ee0e154ef7aa4fa38e7
Merge: afcfeef d218907
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit afcfeef1e9dfa9cebac95fe0c9a6b1052afe7aef
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Only use apt-file when not searching exclusively for installed
    packages

M	backends/apt/aptBackend.py

commit ba78c707f100f5cabcb302939483a2e228f6639d
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-29

    APT: Allow file name alternation in SearchFile

M	backends/apt/aptBackend.py

commit d21890741cad063e011e2d355706d0e81674666e
Author: Daniel Nicoletti <daniel@magie.tcp>
Date:	2009-10-28

    aptcc: Emit a usefull message while conffiles are not well handled,
	   emit dpkg errors.

M	backends/aptcc/apt.cpp
M	backends/aptcc/matcher.cpp
M	backends/aptcc/pk-backend-aptcc.cpp

commit 32f3dbd334fcd9f38c25afd44e1ea3b9ef0c7422
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-10-28

    APT: Optionally make use of apt-file to search for files in not
    installed packages

M	backends/apt/aptBackend.py

commit 512dea1dc80755e9be1f21054146d0323a14c2dc
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-10-25

    documentation: xhtml specific

    * alt attribute is required for img
    * hr and br need a valid closing tag

M	docs/html/pk-faq.html
M	docs/html/pk-profiles.html

commit 3da2ddef79a2b81ff7aefb1ab94a1955ee2bcc6b
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-10-24

    documentation: invalid entities

M	docs/html/pk-authors.html
M	docs/html/pk-faq.html
M	docs/html/pk-screenshots.html

commit a90cce3f8915927289b1ee3e2577e8f4a22097a0
Author: Carlo Marcelo Arenas Belon <carenas@sajinet.com.pe>
Date:	2009-10-24

    documentation: incorrect html

M	docs/html/pk-authors.html
M	docs/html/pk-download.html
M	docs/html/pk-faq.html
M	docs/html/pk-screenshots.html
M	docs/html/pk-users.html

commit d8d2385cc452b4bffb980a8036d7d4147bb09394
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-27

    Copy the check for .src.rpm packages to the simulate phase to fix
    rh#530264

M	backends/yum/yumBackend.py

commit f7ad658d5a5070d08be178cfa9704ca29418c885
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-27

    Add the missing InstallSignature role from the backend
    auto-detection. Fixes rh#530945

M	backends/yum/pk-backend-yum.c
M	src/pk-backend.c

commit 7b23500a55ab6e370ef788c0ebc8393bee5c87c6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-27

    trivial script to properly clean the gtk-doc generated files

A	docs/api/clean.sh

commit 17cf7c2bfadef59690c0c96a6af18ae2fb3430a2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-20

    yum: disable repos that are not contactable

M	backends/yum/yumBackend.py

commit 3de3a264e9cc5e62f6d270d1f4f74ac49590ed72
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-20

    cnf: don't exit before we try to search if no alternatives were found

M	contrib/PackageKit.spec.in
M	contrib/command-not-found/pk-command-not-found.c

commit 524bcbce7d47cc57a40d6efd9456cc234f75f02d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-14

    yum: add a few more entries in the yum-comps mapping

M	backends/yum/yum-comps-groups.conf

commit 644f9f1257f662e42b0892f89a57913dbcaedb08
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-14

    yum: only advertise GetDistroUpgrades if the preupgrade binary
    is present

M	backends/yum/pk-backend-yum.c

commit e8381809bf333017ef984c35dff867cda09bcd11
Author: thalia <thalia@fedoraproject.org>
Date:	2009-10-23

    Sending translation for Greek

M	po/el.po

commit e9cb36a03b2e019bc7d2671b79b36a687b05895e
Author: thalia <thalia@fedoraproject.org>
Date:	2009-10-22

    Sending translation for Greek

M	po/el.po

commit b8edbb09f71fb31dfff29d3376817def858bc1b2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-22

    Switch to a 100% GObject design in packagekit-glib2, and get rid of
    the typedef'd PkItemX structures

    This allows packagekit-glib2 to be trivially bound by other runtimes
    and also allows us to add properties in the future without breaking
    ABI.

M	client/pk-console.c
M	client/pk-monitor.c
M	contrib/browser-plugin/pk-plugin-install.c
M	contrib/command-not-found/pk-command-not-found.c
M	contrib/debuginfo-install/pk-debuginfo-install.c
M	docs/api/PackageKit-docs.sgml
M	docs/migration-glib-to-glib2.txt
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-catalog.c
A	lib/packagekit-glib2/pk-category.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-category.h
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-console-shared.c
A	lib/packagekit-glib2/pk-details.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-details.h
A	lib/packagekit-glib2/pk-distro-upgrade.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-distro-upgrade.h
A	lib/packagekit-glib2/pk-error-code.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-error-code.h
A	lib/packagekit-glib2/pk-eula-required.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-eula-required.h
A	lib/packagekit-glib2/pk-files.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-files.h
D	lib/packagekit-glib2/pk-item.c
D	lib/packagekit-glib2/pk-item.h
A	lib/packagekit-glib2/pk-media-change-required.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-media-change-required.h
A	lib/packagekit-glib2/pk-message.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-message.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package.c
M	lib/packagekit-glib2/pk-package.h
A	lib/packagekit-glib2/pk-repo-detail.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-repo-detail.h
A	lib/packagekit-glib2/pk-repo-signature-required.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-repo-signature-required.h
A	lib/packagekit-glib2/pk-require-restart.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-require-restart.h
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-self-test.c
M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-glib2/pk-task-text.c
M	lib/packagekit-glib2/pk-task-wrapper.c
M	lib/packagekit-glib2/pk-task.c
A	lib/packagekit-glib2/pk-transaction-past.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-transaction-past.h
A	lib/packagekit-glib2/pk-update-detail.c
C050	lib/packagekit-glib2/pk-package.h
lib/packagekit-glib2/pk-update-detail.h
M	src/pk-backend.c
M	src/pk-transaction-db.c
M	src/pk-transaction-extra.c
M	src/pk-transaction.c

commit 8d88605d1cc608fc5397d268529c434460ed9fe3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-20

    yum: disable repos that are not contactable

M	backends/yum/yumBackend.py

commit fec9a2ace5bbe7d3656c9ea12d6d9713cb15fa3f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-20

    cnf: don't exit before we try to search if no alternatives were found

M	contrib/PackageKit.spec.in
M	contrib/command-not-found/pk-command-not-found.c

commit a4e6897f0118993a7229e31ac78f7d739265a558
Merge: 9522727 a41cd06
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-19

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit a41cd06a78a8531d6795fa91aac9262dab8b3807
Author: perplex <perplex@fedoraproject.org>
Date:	2009-10-18

    Sending translation for Italian

M	po/it.po

commit 3ad3fe0705d040a991dc5ef5f77263d5a9f5fca2
Author: perplex <perplex@fedoraproject.org>
Date:	2009-10-18

    Sending translation for Italian

M	po/it.po

commit 952272722ad861b5bf0eb3e86be66bbc3ec7150e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-14

    yum: add a few more entries in the yum-comps mapping

M	backends/yum/yum-comps-groups.conf

commit 8ee9b0199d537421035816b1dde7af236dc20a30
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-14

    yum: only advertise GetDistroUpgrades if the preupgrade binary
    is present

M	backends/yum/pk-backend-yum.c

commit 5ef3c8dc0a01e70be8d440de759460a5a427b179
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-14

    Add a vtable entry get_roles() to allow the backend to override what
    is advertised by the daemon

M	backends/alpm/pk-backend-alpm.c
M	backends/apt/pk-backend-apt.c
M	backends/aptcc/pk-backend-aptcc.cpp
M	backends/box/pk-backend-box.c
M	backends/conary/pk-backend-conary.c
M	backends/dummy/pk-backend-dummy.c
M	backends/opkg/pk-backend-opkg.c
M	backends/pisi/pk-backend-pisi.c
M	backends/poldek/pk-backend-poldek.c
M	backends/portage/pk-backend-portage.c
M	backends/ports/pk-backend-ports.c
M	backends/razor/pk-backend-razor.c
M	backends/slapt/pk-backend-slapt.c
M	backends/smart/pk-backend-smart.c
M	backends/test/pk-backend-test-fail.c
M	backends/test/pk-backend-test-nop.c
M	backends/test/pk-backend-test-spawn.c
M	backends/test/pk-backend-test-succeed.c
M	backends/test/pk-backend-test-thread.c
M	backends/urpmi/pk-backend-urpmi.c
M	backends/yum/pk-backend-yum.c
M	backends/zypp/pk-backend-zypp.cpp
M	src/pk-backend.c
M	src/pk-backend.h

commit 1593a790de5922e9950675ca523e767cd8ca45f4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-14

    trivial: don't show recursion loop warnings on the console, they're
    uninteresting

M	lib/python/packagekit/pylint.sh

commit 2f385b4fbee4c7b3659385da412a494b035fd4f8
Author: Aurelien Lefebvre <alk@imj.fr>
Date:	2009-10-12

    Update feature matrix for urpmi

M	docs/html/pk-matrix.html

commit 7d8a7f7b07416a07841d408341e7687408ccc01d
Author: Aurelien Lefebvre <alk@imj.fr>
Date:	2009-10-12

    urpmi: added repo_enable method implementation

    Patch from Michael Scherer <misc at mandriva dot org>

M	backends/urpmi/helpers/urpmi-dispatched-backend.pl
M	backends/urpmi/pk-backend-urpmi.c

commit ccc23cf3638c0b305fec8bf47da2f19d0fe69023
Author: Aurelien Lefebvre <alk@imj.fr>
Date:	2009-10-12

    urpmi: added get_repo_list method implementation

    Patch from Michael Scherer <misc at mandriva dot org>

M	backends/urpmi/helpers/perl_packagekit/prints.pm
M	backends/urpmi/helpers/urpmi-dispatched-backend.pl
M	backends/urpmi/pk-backend-urpmi.c

commit fa6e1e7b4172e5544fb7a93032307d62233ff574
Author: Aurelien Lefebvre <alk@imj.fr>
Date:	2009-10-12

    urpmi: fix hardcoded /tmp filename

    Patch from Michael Scherer <misc at mandriva dot org>

M	backends/urpmi/helpers/urpmi-dispatched-backend.pl

commit 80e57a7fb4ee573ef9df5b4a36bb3dc12f1b8704
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-12

    trivial: sync spec file with Fedora upstream

M	contrib/PackageKit.spec.in

commit dba5786cbe26bbe2f02984f9f71ddfb1dcdd1918
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-12

    bugfix: Raise some of the DoS limits in the config file as it causes
    gnome-shell not to install properly

M	etc/PackageKit.conf.in

commit 749bff526e92ae74d5be178cd70cc361d1af7f09
Author: hyuuga <hyuuga@fedoraproject.org>
Date:	2009-10-10

    Sending translation for Japanese

M	po/ja.po

commit d6d30b433f5f0060f27f3180a2d408b3b604bca6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-09

    trivial: remove unused variable as reported by clang

M	lib/packagekit-glib2/pk-client.c

commit fc617bdc2c3f70e88e75fa0da155b9f9724b2f1f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-09

    Ensure we print a newline if command-not-found finds exactly 0
    possible results

M	contrib/command-not-found/pk-command-not-found.c

commit 3bf12653557f1fa2735d4c83bd94eb8de227d43e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-09

    glib2: add an 'idle' parameter to PkClient to show when all pending
    transactions have finished

M	lib/packagekit-glib2/pk-client.c

commit fcc1d4bec72b05e1eb7a17393e7398bf6d372888
Merge: f530062 164388b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-08

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit f530062f60a9fd81997925a990598afec4571394
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-08

    Don't prompt for the authentication dialog when we set the proxy to
    the same as it was before

    This only happens on locked down workstations, not from upstream
    policy.

M	src/pk-engine.c

commit 164388b8ef9b3fc6b7acd5563182f987bf510e9f
Author: Scott Reeves <sreeves@novell.com>
Date:	2009-10-08

    zypp: add support for get_mime_types

M	backends/zypp/pk-backend-zypp.cpp

commit 1f2e0555384319b421ed5679f6505d72d6ca64d4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-07

    glib2: remove all the finished packages before we pass the result
    to a simulate handler

M	lib/packagekit-glib2/pk-task.c

commit 4fae430876e1efacee74521f8affb729bd514fa7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-07

    trivial: switch Pktasktext away from a PkPackageSack, it doesn't
    actually need it

M	lib/packagekit-glib2/pk-task-text.c

commit 94073f8cc4d82f690addd41850148e10695fa9e9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-07

    bugfix: ensure we emulate FINISHED correctly for non-simultanous
    backends

M	src/pk-backend.c

commit 4c3744256c17b05624915bf9b6c866b4b7deb671
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-07

    trivial: speed optimisation in pk_package_sack_remove_package_by_id()

M	lib/packagekit-glib2/pk-package-sack.c

commit 53dc70cf3eb7503ddd886b7932ba38f66f184a7f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-07

    trivial: avoid printing '(NULL)' in client tools when we can't
    translate the info enum

M	lib/packagekit-glib2/pk-task-text.c

commit b533608b4b9d85f835648d1312d07888a9981086
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-07

    When cancelling, don't check the UID if the sender matches

    CHecking the UID takes some time as we have to poke ConsoleKit, and by
    then the process may have already exited.

M	src/pk-transaction.c

commit e34fd25c7bb10d630b9a1bb56e667927e56cd3af
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-07

    Revert "bugfix: allow Cancel() to work with pkcon when ctrl-c'd by
    introducing a small delay"

    This reverts commit 9b4d996ee98b2d9fe3d94f1b33b9e5f91d1d9682.

M	client/pk-console.c

commit f3ab55bddd4a9d8313bec242f2bf31be0cb07c53
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-10-06

    aptcc: Added install/remove/update support in non-interactive mode

M	backends/aptcc/apt-utils.cpp
M	backends/aptcc/apt-utils.h
M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h
M	backends/aptcc/pk-backend-aptcc.cpp
M	docs/html/pk-matrix.html

commit 9b4d996ee98b2d9fe3d94f1b33b9e5f91d1d9682
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-06

    bugfix: allow Cancel() to work with pkcon when ctrl-c'd by introducing
    a small delay

M	client/pk-console.c

commit 66ef5431164d86ba18c8f683a726d0b3822e99f6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-06

    glib2: Add a package property to PkProgress so we can track the
    complete package object

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h

commit 1b3f8ba411c1f6e8acf2b557a7461f7acf0a8e6e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-06

    glib2: rename the 'id' parameter 'package-id' so it matches the
    other objects

M	lib/packagekit-glib2/pk-package.c

commit aa8cee9f1e6130a744d041657be0221c06f9e7e8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-06

    Ensure we save the proxy to the database even without PolicyKit

M	src/pk-engine.c

commit c80659be797bdd1bccb0f78312c48b828d3b2ca1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-06

    glib2: ensure we send PK_STATUS_ENUM_FINISHED even if the transaction
    has failed

M	lib/packagekit-glib2/pk-client.c

commit ec9e1ca635af99d5ee5691d8d2d8fc89628034f6
Author: mvdz <mvdz@fedoraproject.org>
Date:	2009-10-06

    Sending translation for Ukrainian

M	po/uk.po

commit 89ab6dc3e06aea5686bea04de424ffad80787212
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-05

    glib2: Only set the package-id in PkProgress if LastPackage has been
    ever set

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-progress.c

commit 67f1681854e0887a29dd789964cd3b552b9f7b65
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-05

    glib2: Fix a TODO where we would show the original package on the
    simulate screen of glib2 applications

M	lib/packagekit-glib2/pk-task.c

commit 14a7b71dc167f6b6eb126994f6ecc8fef573fcfd
Author: igor <igor@fedoraproject.org>
Date:	2009-10-05

    Sending translation for Brazilian Portuguese

M	po/pt_BR.po

commit a3c0999509fe04254afede16d0f86f630e4f6d20
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-05

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 5fc51d634733ee273a3c1ab7b511db79c90c7755
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-05

    Release version 0.5.3

M	NEWS
M	RELEASE
M	docs/html/pk-download.html

commit 069824ee211b8a26009ce191bec9e37dffb60a33
Author: Dave Airlie <airlied@redhat.com>
Date:	2009-10-05

    bugfix: Fix double free in pk-gstreamer-install which caused a
    crash. Fixes rh#526600

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	contrib/gstreamer-plugin/pk-gstreamer-install.c

commit 1178a74c4d29033a934aa4c3fbd9ea0054e9ab53
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-10-05

    Actually make the PackageKit GTK module resident

    I noticed that we try to make the pk gtk module resident, but that is
    not quite good enough, since gtk will call the module-init function
    again anyway, and install_pango_font_map is not idempotent.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	contrib/gtk-module/pk-gtk-module.c

commit 0be91f975be64dada85d9c7636a471ec9e2bbec5
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-10-05

    bugfix: Don't free stuff allocated by fontconfig with g_free

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	contrib/gtk-module/pk-gtk-module.c

commit b28d59e63c854edc4e779d1c75c96ace56cfdd53
Merge: 74f91ff 64ac97b
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-10-04

    Merge branch 'master' of
    git+ssh://afb@git.packagekit.org/srv/git/PackageKit

commit 64ac97b54aa90af2f125652f37c087d7a32f5844
Author: fgonz <fgonz@fedoraproject.org>
Date:	2009-10-04

    Sending translation for Spanish

M	po/es.po

commit 0f74acbc7e967f1e80712c9a39bef3d8196b4806
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-04

    Exit pk-command-not-found with 127 when we have not run a
    program. Fixes rh#527044

M	contrib/command-not-found/pk-command-not-found.c

commit 74f91ffd6eb8a8cb7d556d0aeb0115da959ba606
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-10-04

    smart: use noninteractive debconf (for the deb backend of the smart
    backend)

M	backends/smart/smartBackend.py

commit 7426f3921fd103886185d0df58576e44c1a7a127
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-10-04

    smart: fix get_mime_types for slack (compressed-tar)

M	backends/smart/pk-backend-smart.c

commit fcf9d55c11c41bf8494374ae773fff6cb4601e0b
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-10-04

    trivial: avoid macro use

M	backends/smart/pk-backend-smart.c

commit 2e42eafa91b9dd0d6c2d55fa61dd3a30ef3d6ef5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-04

    trivial: fix up a couple of UNKNOWN to LAST problems I've spotted
    in the backends

M	backends/opkg/pk-backend-opkg.c
M	backends/zypp/zypp-utils.cpp

commit 380090b7be27440f543f8beecb64c75c0fd68451
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-03

    trivial: add two functions to PkPackageSack we need for
    gpk-application

M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h

commit b6b555783c52eaf48592d0a97f8492f799da0568
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-03

    trivial: Fix up more brokenness from the UNKNOWN to LAST change

M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-package.c
M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-results.c
M	src/pk-backend.c
M	src/pk-transaction-db.c
M	src/pk-transaction.c

commit 238d39d0985fedc2e9a067627f10de623e30dd0d
Merge: 0366c20 ad0b8dd
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-03

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 0366c20e4b05c512800695fc6b213e6eeee256ac
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-03

    glib2: we're treating PK_foo_ENUM_UNKNOWN as a delimiter, but it's
    actually part of the ABI. Use PK_foo_LAST as the terminator.

    This breaks API and ABI, but there are no external programs using
    glib2 yet, and it's the only time
    we can make such a bold fix.

M	lib/packagekit-glib2/pk-bitfield.c
M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h

commit ad0b8ddcc7df835ee7870938d7510a9c47a06b55
Author: Marcin Banasiak <megabajt@pld-linux.org>
Date:	2009-10-03

    poldek: Make it work with pk-glib2

M	backends/poldek/pk-backend-poldek.c

commit da8ec081e566c70029d89ffa6160c0a423fd8b8a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-03

    We still support glib in this stable series, so backport the new
    constants from glib2

M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h

commit 6cc79c11eaa08e0b2828e4f4f0e6bcdfa0e33798
Author: raven <raven@fedoraproject.org>
Date:	2009-10-03

    Sending translation for Polish

M	po/pl.po

commit e243790b80ec59255dfd11509d13bab4b7cf6fae
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-10-02

    Added new package status Decompressing and Preparing

M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h
M	lib/packagekit-qt/src/package.h

commit 8ac4e5ec2a5b251e9e39b57cdeab67235113cee2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-02

    yum: Be more agressive about not downloading all metadata before we
    do anything

M	backends/yum/yumBackend.py

commit 7f0e4e1e0ed8e6f93f6dcca30c87ffeeb3a43d58
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-02

    trivial: yum: remove an unused method

M	backends/yum/yumBackend.py

commit 566cf964b32bf545142fbaf4784b46f936734e12
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-02

    yum: don't explicitly download the file lists as we're not globbing
    as we can use the provide data

M	backends/yum/yumBackend.py

commit 83b77c531ebd399235874f14c941f01a65974916
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-02

    trivial: add some missing documentation links

M	docs/api/PackageKit-docs.sgml

commit 160c40c61517f8ea80db3f2db689bed2109fff97
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-02

    cnf: Actually run the program, rather than offer to install it
    again. Trivial copy and paste problem.

M	contrib/command-not-found/pk-command-not-found.c

commit 3b4700584517962b16d6065d92521a28c850c232
Author: warrink <warrink@fedoraproject.org>
Date:	2009-10-01

    Sending translation for Dutch

M	po/nl.po

commit ea24ea64ccdbcf852074ac9154070b07a9dfbb9d
Author: kristho <kristho@fedoraproject.org>
Date:	2009-10-01

    Sending translation for Danish

M	po/da.po

commit 52a33cfac87a0867f0d3ca246cca926f6e147e0e
Author: raven <raven@fedoraproject.org>
Date:	2009-10-01

    Sending translation for Polish

M	po/pl.po

commit 43ef07c7a6fcd4392416147324767cae950142fc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    trivial: Rename the 'idle' parameter to 'background' to better
    describe what it does

M	backends/yum/yumBackend.py
M	client/pk-console.c
M	etc/PackageKit.conf.in
M	lib/packagekit-glib2/pk-client.c
M	lib/python/packagekit/backend.py
M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-backend-spawn.c
M	src/pk-backend.c
M	src/pk-spawn.c
M	src/pk-transaction-list.c
M	src/pk-transaction-list.h
M	src/pk-transaction.c

commit 3b0c4db06793e8c58d2245ebfde8d8a6d33b343b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    trivial: improve the grammar in one of the error messages

M	src/pk-engine.c

commit 65edf714cea6697097180cb3b13eb3383d7c6ce5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    trivial: remove pk_backend_xet_current_tid() and make it a property
    on PkBackend

M	src/pk-backend.c
M	src/pk-backend.h
M	src/pk-transaction.c

commit e7c1b19a46f790f5606fc36937930d9bee0b1e08
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    trivial: remove pk_backend_get_role() and make it a property on
    PkBackend

M	src/pk-backend.c
M	src/pk-backend.h

commit 1d6e08057b0f4aa24171b98cac1fbae5b58f8263
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    trivial: remove pk_backend_get_status() and make it a property
    on PkBackend

M	src/pk-backend.c
M	src/pk-backend.h

commit 99c0ca829599e7012155dc61952fe772a6d0f2f7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    trivial: proxy the idle state from PkBackend to PkSpawn

M	src/pk-backend-spawn.c

commit 1cd61ebb96d96bdcdfa3216908a31d70218b83f3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    trivial: remove pk_backend_set_is_idle() and make it a property
    on PkBackend

M	src/pk-backend.c
M	src/pk-backend.h
M	src/pk-transaction.c

commit ec600e8d33b0cb9678cf26ddc90254f56a668fa1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    Remove pk_spawn_set_allow_sigkill() and make it a property on PkSpawn

M	src/pk-backend-spawn.c
M	src/pk-spawn.c
M	src/pk-spawn.h

commit c04e9f8a8eda2e783be70e94b30f44dde1088286
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    Use different values of BackendSpawnNiceValue and BackendSpawnIdleIO
    when we are idle or not-idle

M	etc/PackageKit.conf.in
M	src/pk-spawn.c

commit 28b454dee097a7768f737a9ea0c44a97e132b760
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    glib2: add an 'idle' parameter to PkSpawn, which does nothing

M	src/pk-spawn.c

commit b4fbd0a206904037bd28892019e3d03a33266105
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    feature: Add --noninteractive and --idle command line switches
    to pkcon

M	client/pk-console.c

commit 8f24d02258e227bf7330239ee6f8fe9accebf352
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    feature: Schedule non-idle tasks before idle tasks

    This should stop the background checks getting in the way of useful
    work when
    there is a queue of transactions to process

M	src/pk-transaction-list.c
M	src/pk-transaction-list.h
M	src/pk-transaction.c

commit 5ac0d430898a21ded23d0ba685790e16c0b0baa3
Merge: 88b241c 8d2717e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-10-01

    Merge branch 'master' into set-hints

commit 8d2717eaf2c0793c3671edb2cc09abffd2ec94aa
Author: cyrushmh <cyrushmh@fedoraproject.org>
Date:	2009-10-01

    Sending translation for Chinese (Simplified)

M	po/zh_CN.po

commit a936e5083bcbb445e0fced1a16ed5d4c5cec6604
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-30

    Sending translation for Dutch

M	po/nl.po

commit 6ea83c7a57f410271956f74023e3cfd030a3afce
Author: raven <raven@fedoraproject.org>
Date:	2009-09-30

    Sending translation for Polish

M	po/pl.po

commit 88b241c899a4a9b6e3bc1c49629fd8df531bbffd
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    glib2: use SetHints() rather than SetLocale(), and pass the idle
    and interactive hints

M	lib/packagekit-glib2/pk-client.c

commit 716a49d580081cb29d1c38ad2f356fb28cc69bd6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    glib2: add two properties to PkClient, idle and interactive

M	lib/packagekit-glib2/pk-client.c

commit 1ff25e9dbd10f7837f8ddcefb433df5a21bf7652
Merge: 878f227 0c5c33d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    Merge branch 'master' into set-hints

commit 0c5c33dde299e018818a568f9756c0215239ba83
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    debuginfo-install: add a --noninteractive (short option -y) command
    line option to supress the simulate-before-install behaviour

M	contrib/debuginfo-install/pk-debuginfo-install.c
M	contrib/debuginfo-install/pk-debuginfo-install.xml

commit 0a3addc0751f6f6df205ebd2e75e1d63c40b22e1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    debuginfo-install: correctly list all the dependant packages, rather
    than the first one over and over again

M	contrib/debuginfo-install/pk-debuginfo-install.c

commit 177dd64f235443f9125063d7ed90720a41142ca6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    glib2: add a simulate property to PkTask so the simulate step can
    be supressed if it would be run

M	lib/packagekit-glib2/pk-task.c

commit 878f2276c82b896c6dfc05cbf6ac2d9c7fab28bc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    glib2: export the locale as a read-write property on PkClient

M	lib/packagekit-glib2/pk-client.c

commit 4fd21559143c012ca8ae8b9f90e50fcff77f4fea
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    trivial: cache the locale at startup time in PkClient

M	lib/packagekit-glib2/pk-client.c

commit 3ee32c65ab0b876b19a42e4f6f36cc9d04d6ec47
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    Store the is-idle information in the backend and use it as a policy
    choice

M	lib/packagekit-glib2/pk-common.h
M	src/pk-backend.c
M	src/pk-backend.h
M	src/pk-shared.h
M	src/pk-transaction.c

commit eda13a5a9b0a312c785510f924807f7d8464e598
Merge: 381137f 629c373
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    Merge branch 'master' into set-hints

commit 629c373a5e38232894066635aad61324fb3ee439
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    trivial: rename PkBackendTristate to PkTristate as we'll want to
    use this outside PkBackend

M	src/pk-backend.c
M	src/pk-shared.h

commit 381137f72642a583204cf9f73d44764be40729c2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    spec: Deprecate SetLocale and add another method to replace it,
    SetHints

M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-transaction.c
M	src/pk-transaction.h

commit 3239d1b218ce9fad927cb40bc136b358cf8569dc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    yum: support using idle bandwidth in special circumstances

M	backends/yum/yumBackend.py

commit d728c1075b9ab1e9910b46580e19ece9025933d9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-30

    feature: Add an option to use idle bandwidth twhen we are getting
    the update lists

M	etc/PackageKit.conf.in
M	lib/python/packagekit/backend.py
M	src/pk-backend-spawn.c
M	src/pk-backend.c
M	src/pk-backend.h

commit f5e8b037d455229b824e6ff4d478c3e698101d0d
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-09-29

    Sending translation for Spanish

M	po/es.po

commit 43693b50b50e8cdcf629312559501d9eeda1964a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-29

    Add a compile time agreement of API unstableness in any external
    tools using the glib2 library

M	backends/alpm/pk-backend-alpm.c
M	backends/apt/pk-backend-apt.c
M	backends/conary/pk-backend-conary.c
M	backends/dummy/pk-backend-dummy.c
M	backends/opkg/pk-backend-opkg.c
M	backends/pisi/pk-backend-pisi.c
M	backends/poldek/pk-backend-poldek.c
M	backends/razor/pk-backend-razor.c
M	backends/slapt/pk-backend-slapt.c
M	backends/smart/pk-backend-smart.c
M	backends/urpmi/pk-backend-urpmi.c
M	backends/yum/pk-backend-yum.c
M	backends/zypp/pk-backend-zypp.cpp
M	client/Makefile.am
M	contrib/browser-plugin/Makefile.am
M	contrib/command-not-found/Makefile.am
M	contrib/debuginfo-install/Makefile.am
M	contrib/gstreamer-plugin/Makefile.am
M	lib/packagekit-glib2/packagekit-private.h
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-client-sync.c
M	lib/packagekit-glib2/pk-console-shared.c
M	lib/packagekit-glib2/pk-console-shared.h
M	lib/packagekit-glib2/pk-control-sync.c
M	lib/packagekit-glib2/pk-control-sync.h
M	lib/packagekit-glib2/pk-progress-bar.h
M	lib/packagekit-glib2/pk-task-sync.c
M	lib/packagekit-glib2/pk-task-sync.h
M	lib/packagekit-glib2/pk-task-text.c
M	lib/packagekit-glib2/pk-task-text.h
M	src/pk-backend.h

commit 7e990d4fbc870511844412a238f46cf83155e41b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-29

    trivial: update some gitignore files

A	backends/.gitignore
M	docs/.gitignore
M	lib/packagekit-glib2/.gitignore
M	src/.gitignore

commit be0f431f7b367422efcc158e34f48fec4bc63587
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-29

    trivial: generate a bz2 tarball at dist time too

M	configure.ac

commit 4b4d9770428b944c8a96fb46f5d10ad84414e04c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-29

    trivial: update LINGUAS

M	po/LINGUAS

commit e4f540071ddf62710b313e392419685df8ca1fc3
Author: ruigo <ruigo@fedoraproject.org>
Date:	2009-09-28

    Sending translation for Portuguese

M	po/pt.po

commit 48afcc8ad9fc8eb743d2ca0da75c21603c915691
Author: kmilos <kmilos@fedoraproject.org>
Date:	2009-09-28

    Sending translation for Serbian (Latin)

M	po/sr@latin.po

commit 9106d7d5b3598c9390d2d4c7ddf067f57f408c41
Author: kmilos <kmilos@fedoraproject.org>
Date:	2009-09-28

    Sending translation for Serbian

M	po/sr.po

commit eca33b011164e4eb2aec6e4bf83dc599d58a9fe9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-28

    trivial: fix our build dep of glib2 to be 2.22.0, as we rely on a
    fixed g_simple_async_result_set_from_error() function

M	configure.ac

commit 3e36bd2a3beb3b72023e7be06db7e7ff04670da2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-28

    glib2: add a trivial test for recursive signal handling and fix up
    any failure points

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c

commit 5d95ce2aaefd75b5a7f53442a8ff3154dd43938e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-28

    yum: disable MediaGrabber until we have a backend we can use by
    default

M	backends/yum/yumBackend.py

commit 515ec9e390eb498b6702d7af072724f3bdbdb7b4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-26

    trivial: emit the transaction-list-changed signal idle as it will
    be emitted when the method is not yet finished

M	client/pk-monitor.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
M	lib/packagekit-glib2/pk-transaction-list.c

commit 7870e2ef62b5254580eaffb22f38209b9cc78af2
Merge: c1b1225 9b3299c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-26

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 9b3299c8fd1b11042551e0fd8d26effa72164345
Author: kelemeng <kelemeng@fedoraproject.org>
Date:	2009-09-26

    Sending translation for Hungarian

M	po/hu.po

commit c1b1225e3c6a11614d7107b5db7c4f8b2008a5dd
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    trivial: add a self test for pk_client_get_progress and fix up a
    small bug

M	lib/packagekit-glib2/pk-client.c

commit bb292580c1e1d23dd773ff495fe76610eaf8df34
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    trivial: add a sync pk_control_get_transaction_list() mainly for
    use in the self test programs

M	lib/packagekit-glib2/pk-control-sync.c
M	lib/packagekit-glib2/pk-control-sync.h

commit 65494d484602422356ef697ccd493f49c6af00ac
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    trivial: limit the time it takes to get properties to 1.5 seconds,
    as anything longer than this and the properties will be invalid anyway

M	lib/packagekit-glib2/pk-client.c

commit 02686a7ab9591a3d9adcbe89648f06c2177ff183
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    trivial: still collect properties even when there is no progress
    callback

M	lib/packagekit-glib2/pk-client.c

commit 7a75d31ffe9ce43d0b7dfa22b106f181a0d83d2d
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Dutch

M	po/nl.po

commit c686bd23c2202337a7a12abfe00a3646bd576883
Merge: 015d2bc 99e8419
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 015d2bcf73398192b09886870830980fafc6f2ae
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    glib2: don't stomp on state->call when the interface changes, use
    a seporate state->call_interface_changed variable

    This should fix some randomness we were seeing in the not-yet-released
    GUIs

M	lib/packagekit-glib2/pk-client.c

commit 55f2177ddae21ee70201c22925aa8a73274179de
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    trivial: use g_ptr_array_new_with_free_func() in another place

M	src/pk-transaction-list.c

commit 98e48bc6afa727c6f43ed5a77b61b8432c8bec7a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    bugfix: emit the correct transaction-id in the glib2 PkTransactionList
    code

M	lib/packagekit-glib2/pk-transaction-list.c

commit 64514630c4eb010e048b8cbf0668a89c7430ee7c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    pkmon: don't print transactions before we have properties set

M	client/pk-monitor.c

commit 99e8419d9fd6c1fb2f7436efd5bfd921859dce86
Author: mgiri <mgiri@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Oriya

M	po/or.po

commit 9dbae9af13bd0f33026b1cf8de266c1e5f11a27d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    trivial: add some more self tests to PkControl

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c

commit d5ff341dfcf2967098a5b9c13db75f3cf3026305
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    cnf: print more status values now they are translated for us

M	contrib/command-not-found/pk-command-not-found.c

commit 97c4704704153a48c1e84548fdb34d3e3a70b19e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-25

    cnf: don't print critical warnings if run with no arguments

M	contrib/command-not-found/pk-command-not-found.c

commit 9b64499b1eb882a33424e5ccca143ae5a2e5a702
Author: kkrothap <kkrothap@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Telugu

M	po/te.po

commit 7ca4599cb833333ef467b532a07d603978d09496
Author: perplex <perplex@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Italian

M	po/it.po

commit 194d12f0ab3cfa2c7c0049dac80a09e44e7607a8
Author: raven <raven@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Polish

M	po/pl.po

commit 6205dfe1c25a2ac98ac2f529c2f2d94190f3b3fa
Author: anipeter <anipeter@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Malayalam

M	po/ml.po

commit 5051cfbf66443a34dee69154839ecf65156de260
Author: rajesh <rajesh@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Hindi

M	po/hi.po

commit 8a0f96f6f2d792d1ac460646ef7ca1e19626f025
Author: sandeeps <sandeeps@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Marathi

M	po/mr.po

commit 2574451078958e8687e478c1ee49c146c7efc20e
Author: aalam <aalam@fedoraproject.org>
Date:	2009-09-25

    Sending translation for Punjabi

M	po/pa.po

commit 139d728b3931f533d8eb1a1d75fd2531790dc18d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    cnf: directly install packages using PkTaskText rather than calling
    out to pkcon

M	contrib/command-not-found/pk-command-not-found.c

commit 8b0eb114862ac74149b8bcf27fa37735926aa09d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    glib2: don't use weak pointers, use a proper reference to avoid
    clearing the proxy when the method is in progress

M	lib/packagekit-glib2/pk-catalog.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-glib2/pk-task.c

commit f16db6c8dba7535812f3b9e189ee747413228132
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    glib2: internally use a const GError for the GSimpleAsyncResult now
    my patch is upstream in glib

M	lib/packagekit-glib2/pk-catalog.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-glib2/pk-task.c

commit 0d409c0ebd716e04e211d1104c0fbd03cd62af57
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    trivial: don't g_object_unref(NULL) when GetTid() fails

M	lib/packagekit-glib2/pk-client.c

commit a31724b1f8fed0a68579d9aec6a60c2d5e9c4388
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    trivial: don't exit the daemon if DBus is not accepting
    connections. Should never happen...

M	src/pk-dbus.c

commit cbb7379fd49a9efca83bd04f70055b292ad3e53c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    trivial: don't use g_print in the daemon for the list, it spams
    dbus-daemon with stdout

M	src/pk-transaction-list.c

commit 1441bef0c95ef74d8670d8757508cbf5f2fda71f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    trivially fix up using freed memory. Spotted by valgrind

M	lib/packagekit-glib2/pk-transaction-list.c

commit 04dce54a1fb5d98cf4169c5ce5d5a887c3375615
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    bugfix: call dbus_g_thread_init() in the client tools, even though
    nothing bad seems to happen if we dont

M	client/pk-console.c
M	client/pk-generate-pack.c
M	client/pk-monitor.c

commit 38d73c7222d51fa44f990e228bd7a3840e90f68a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    glib2: check for OOM and connection failure in PkClient and PkControl

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c

commit 71cfb1e8f11aa2a262bd612ae3a01a2c253ac2fb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    trivial: process the array before we send the signal, to fix the
    output of pkmon

M	lib/packagekit-glib2/pk-transaction-list.c

commit 5256dbb0cb3369f76694de73c1e7c049c76a5c2b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    Allow multiple search terms in packagekit-glib2, and add support in
    the client programs

M	client/pk-console.c
M	contrib/command-not-found/pk-command-not-found.c
M	lib/packagekit-glib2/pk-catalog.c
M	lib/packagekit-glib2/pk-client-sync.c
M	lib/packagekit-glib2/pk-client-sync.h
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 6a58ff6b2613d639b2cf13fba4485554af8ce133
Author: mgiri <mgiri@fedoraproject.org>
Date:	2009-09-24

    Sending translation for Oriya

M	po/or.po

commit eb45f65a68e3b75c9c69aaba67a2c1b079b5e03c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    yum: support the OR delimitors for the search methods

M	backends/yum/yumBackend.py

commit 1a51be0c2061c28361acf77196c6d06165b28412
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    spec: Add OR delimiters to SearchName, SearchDetails, SearchGroup,
    SearchFile and WhatProvides

M	src/org.freedesktop.PackageKit.Transaction.xml

commit e020c1417ca02e8b1df6246b0943d871e12c9bc9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-24

    trivial: rename the search parameter in the searching methods to
    be values

M	backends/dummy/pk-backend-dummy.c
M	backends/yum/pk-backend-yum.c
M	lib/python/packagekit/backend.py
M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-backend.c
M	src/pk-backend.h
M	src/pk-transaction.c
M	src/pk-transaction.h

commit 9eead1875f4f83134c7a545a01c1c5485807eac3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    trivial: add some debugging to PkControl to try to diagnose a bug

M	lib/packagekit-glib2/pk-control.c

commit ff7ed7e9a5301eadd1656382ee9f5a152acc080a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    trivial: remove some debugging that crept in

M	lib/packagekit-glib2/pk-transaction-list.c

commit 008f9a0f8255507b5b955371f91bda3cecbf924b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    glib2: add cancellable data to the control method we use. trivial
    change

M	lib/packagekit-glib2/pk-client.c

commit 1bde4afae400f88cb55914aa501e6b363068c2ab
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    trivial: method rename, nothing to see here...

M	lib/packagekit-glib2/pk-catalog.c

commit 546cf44a9dd3d3182e6fbf2d170fc0e4add6bc38
Author: jassy <jassy@fedoraproject.org>
Date:	2009-09-23

    Sending translation for Punjabi

M	po/pa.po

commit 6ffa195de09a91dfffcbd544fe1c56fd63a23ad5
Merge: e30d7e0 0236d78
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 0236d78d013035fbee21bd555f0f6f56f06782bb
Author: sandeeps <sandeeps@fedoraproject.org>
Date:	2009-09-23

    Sending translation for Marathi

M	po/mr.po

commit e30d7e021af018b50536cf2f96310c94ec46e4a6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    glib2: port PkCatalog from glib1, and speed things up by an order
    of magnitude

M	data/tests/test.catalog
M	docs/api/PackageKit-docs.sgml
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
A	lib/packagekit-glib2/pk-catalog.c
A	lib/packagekit-glib2/pk-catalog.h
M	lib/packagekit-glib2/pk-self-test.c

commit 8b1fd4fad3538a6f3d2bdd5805f56044df566dec
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    trivial: lower the check for getting data from the cache to fix make
    check on slow systems

M	lib/packagekit-glib2/pk-client.c

commit e23eb3a65661fdaf4e4bb942bdb0ea5e6e359bd1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    trivial: use pk_results_get_error_code() in PkServicePack

M	lib/packagekit-glib2/pk-service-pack.c

commit f9f689abecc538fcb00c82df556b7f5669ccb16e
Author: hyuuga <hyuuga@fedoraproject.org>
Date:	2009-09-23

    Sending translation for Japanese

M	po/ja.po

commit a297a8bb1939c17c355e5a78aba476036d25aa56
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    glib2: use ARCH and NEWEST filters when getting the deps for a
    service pack

M	lib/packagekit-glib2/pk-service-pack.c

commit aed08d21cfc1c8800ce7b5a8ed9c1bb23e710151
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-23

    glib: Use the newest filter when getting catalog data

M	lib/packagekit-glib/pk-catalog.c

commit 8106f1eab10cb9bf0024aa92e18d31972fd09569
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-23

    Sending translation for Gujarati

M	po/gu.po

commit cba084306bd2565ae20eb82c3712eeb866299a02
Author: anipeter <anipeter@fedoraproject.org>
Date:	2009-09-23

    Sending translation for Malayalam

M	po/ml.po

commit 513238baf7ddfa80c99fce7dfcdeed0683cc8ed0
Author: igor <igor@fedoraproject.org>
Date:	2009-09-23

    Sending translation for Brazilian Portuguese

M	po/pt_BR.po

commit e5eb8648a78b2cf1f836523cb5a607c663dbd701
Author: sergeyr <sergeyr@fedoraproject.org>
Date:	2009-09-22

    Sending translation for Russian

M	po/ru.po

commit 58e7ccaa5c986174a4122bb0b48624ddc62c8bf1
Author: ruigo <ruigo@fedoraproject.org>
Date:	2009-09-22

    Sending translation for Portuguese

M	po/pt.po

commit d326bb512f1f40f44847a6e221c4fe69354dca08
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-09-22

    Sending translation for Spanish

M	po/es.po

commit e738ebd25b6b849eb9d638b36896d7323ef72ddd
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-22

    Sending translation for Dutch

M	po/nl.po

commit 80c36ddebafd8e948677d106862e80c96ed96bb9
Merge: a3366b6 b0639ca
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit a3366b67f3eead4b713d81bf43a874a205919736
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: include PkPackage in the generated documentation

M	docs/api/PackageKit-docs.sgml

commit b0639caeee1cc3708bbce7db2f460918b9dafa3e
Author: raven <raven@fedoraproject.org>
Date:	2009-09-22

    Sending translation for Polish

M	po/pl.po

commit 97114d8f19af0cec710a2d9b7ff9df8288bbdf11
Author: raven <raven@fedoraproject.org>
Date:	2009-09-22

    Sending translation for Polish

M	po/pl.po

commit 0cb3774d6fd694ab07be495fc9e2b7c320622027
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: prefer pk_results_get_error_code() over
    pk_results_get_exit_code() in client tools

M	client/pk-console.c
M	client/pk-monitor.c
M	contrib/browser-plugin/pk-plugin-install.c
M	contrib/debuginfo-install/pk-debuginfo-install.c
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-service-pack.c

commit 373764f070a0e6578665a7d862ee00f4031c0de8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: show the failure when we cannot install a key or agree to
    a EULA

M	lib/packagekit-glib2/pk-task.c

commit 1290f0e386261bf86834cac3ac41a1ceff8a6168
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: change the glib2 errorcode handling routines from add to set,
    as there can only be one item from the transaction

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-task.c
M	src/pk-backend.c
M	src/pk-transaction.c

commit 6c231b05d9110e2c427a3f43e14f3b90127ee888
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: add error moapping from MimeTypeNotSupported to
    PK_CLIENT_ERROR_INVALID_FILE

M	lib/packagekit-glib2/pk-client.c

commit 1cf5f687720f29806726f9b7efa2e3c4dc3cdca2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: when files take a long time to copy, show some progress

M	lib/packagekit-glib2/pk-client.c

commit 6062104b11c670c5a4b05bf9230a840fc79c86a5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: add another status enum, PK_STATUS_ENUM_COPY_FILES

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-console-shared.c
M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h

commit 7a1d22c309ba25e3650b6c8e08ae4007da37fbbe
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    glib2: copy non-native files before we try to install them to avoid
    GUI clients having to do this

M	lib/packagekit-glib2/pk-client.c

commit 9c62f04c28e685806722615e2c1c8aab04a58800
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    bugfix: Fix a client crash when we're doing a simulated install of
    a local package

M	lib/packagekit-glib2/pk-client.c

commit ba2a553b74b2aa8e4b12f8f56ec7f1f14bcabee9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: protect against NULL in more places in the glib2 library

M	lib/packagekit-glib2/pk-client.c

commit d33c47440ff299093e783deedf08fcce37fb31cb
Author: hyuuga <hyuuga@fedoraproject.org>
Date:	2009-09-22

    Sending translation for Japanese

M	po/ja.po

commit 1a18290402f5538d552c674ca00d09f80c03ab0c
Author: shanky <shanky@fedoraproject.org>
Date:	2009-09-22

    Sending translation for Kannada

M	po/kn.po

commit bf93dec819150e0ff086f0e153a2b54819e3eceb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-22

    trivial: fix up all the issues reported from clang

M	contrib/debuginfo-install/pk-debuginfo-install.c
M	lib/packagekit-glib/pk-client.c
M	lib/packagekit-glib/pk-obj-list.c
M	src/pk-backend.c
M	src/pk-network-stack.c
M	src/pk-syslog.c

commit 0c70c548db59a7ffc904db693bb838d1c68c35fe
Author: anipeter <anipeter@fedoraproject.org>
Date:	2009-09-21

    Sending translation for Malayalam

M	po/ml.po

commit bbebbed139aee8a446cdfc31442709b30b7b292e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-21

    trivial: fix up a few typos in the migration document

M	docs/migration-glib-to-glib2.txt

commit d9b1d61cc0e163745dc2a9728dbb2865c8998dae
Author: sandeeps <sandeeps@fedoraproject.org>
Date:	2009-09-21

    Sending translation for Marathi

M	po/mr.po

commit 292db01d338a5872edf48de13fbb34c876c41505
Author: kkrothap <kkrothap@fedoraproject.org>
Date:	2009-09-21

    Sending translation for Telugu

M	po/te.po

commit 5748bb4fffed76c24b7294541c6fdb6b778b5ddd
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-21

    bugfix: don't set the last element to NULL in pk_ptr_array_to_strv()

M	lib/packagekit-glib/pk-common.c
M	lib/packagekit-glib2/pk-common.c

commit abe17538e829f4aa64ffd2cf85a3f2a9e56455a9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-21

    glib2: allow getting the complete PkProgress object from PkResults

M	client/pk-monitor.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-results.c

commit 92fd60425dd71e39e673cc7efa250521bac49a4f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-21

    trivial: add a gpointer spare member to each PkItem type

M	lib/packagekit-glib2/pk-item.h

commit a566177b694f6a4a5dff605f49b2d474a80d6c02
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-21

    trivial: the glib2 paramter for the message type should be 'type',
    not 'message'

M	client/pk-console.c
M	lib/packagekit-glib2/pk-item.c
M	lib/packagekit-glib2/pk-item.h
M	src/pk-transaction.c

commit 8f3a75b2a07362161ee85d1b4db5352e05ed5ae1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-18

    trivial: use the transaction-id property of PkResults to prevent a
    memory leak in pkmon

M	client/pk-monitor.c

commit f692b31ba8ca120cf9d7f88eb03b4543491735f7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-18

    glib2: Add a transaction-id property to PkResults

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-results.c

commit 690d5aa2d93c90ca1a627f915a68b11835993bf9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-18

    glib2: Add a transaction-id property to PkProgress

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h

commit fe45eed0e4210e84a35706d10cb0423821056e6b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-18

    trivial: Allow g_ptr_array_unref() to be used
    with pk_desktop_get_files_for_package() and
    pk_desktop_get_shown_for_package()

M	lib/packagekit-glib2/pk-desktop.c

commit 7fc1825785a7dc6ee05153f4a66c9449eea5e97f
Author: rajesh <rajesh@fedoraproject.org>
Date:	2009-09-21

    Sending translation for Hindi

M	po/hi.po

commit 15809a47d7e2b7c8235b37299c9b446035fbbe8e
Author: yeager <yeager@fedoraproject.org>
Date:	2009-09-21

    Sending translation for Swedish

M	po/sv.po

commit 06058d8c37ca094baa3c24b0ce019d20a771b1ee
Author: xconde <xconde@fedoraproject.org>
Date:	2009-09-20

    Sending translation for Catalan

M	po/ca.po

commit a5596f4e574b9703540cfa616b1e6ad00f87f5b2
Author: vpv <vpv@fedoraproject.org>
Date:	2009-09-20

    Sending translation for Finnish

M	po/fi.po

commit c27fd6bd8159c8b295bcf72cb56f16fc8530b9f4
Author: Sebastian Krzyszkowiak <seba.dos1@gmail.com>
Date:	2009-09-20

    configure: if opkg backend is selected, require opkg in version
    greater or equal than 0.1.5, not just equal 0.1.5

M	configure.ac

commit 394adffbb81dce82c9cb5581b11d9dc0ce66f8b2
Author: raven <raven@fedoraproject.org>
Date:	2009-09-19

    Sending translation for Polish

M	po/pl.po

commit 88d7bbcf0433dd57596340a21e9c35cb33c31a5f
Merge: c61f5a0 23bbcc9
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-18

    Merge branch 'master' of
    git+ssh://dantti@git.packagekit.org/srv/git/PackageKit

commit c61f5a04d1892f8551cb880f83ed7adc05451131
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-18

    aptcc: Fix aptcc to work with glib2

M	backends/aptcc/apt-utils.h
M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h
M	backends/aptcc/pk-backend-aptcc.cpp

commit 23bbcc9e19ff303f5b84b97a35d741101c41ae3d
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-18

    Sending translation for Dutch

M	po/nl.po

commit 8a980d984c8dce42ed4e8faeca7d663dc44c36b9
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-09-18

    Sending translation for Spanish

M	po/es.po

commit 814b9824b2cfef05b2929e6e5d74f06c7595d115
Author: jassy <jassy@fedoraproject.org>
Date:	2009-09-18

    Sending translation for Punjabi

M	po/pa.po

commit 430cef3ac8c5cdc49e2a29f00dd7ce25e66f3152
Author: ifelix <ifelix@fedoraproject.org>
Date:	2009-09-18

    Sending translation for Tamil

M	po/ta.po

commit 35998eb0266a695657956baa5681f8011ff84802
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-18

    Sending translation for Gujarati

M	po/gu.po

commit a7a8a061c55ddf585b958669c052d9106a18aec7
Author: mvdz <mvdz@fedoraproject.org>
Date:	2009-09-17

    Sending translation for Ukrainian

M	po/uk.po

commit e620432e6539e60959282d5c4265ca2740ae422e
Author: ruigo <ruigo@fedoraproject.org>
Date:	2009-09-17

    Sending translation for Portuguese

M	po/pt.po

commit 403d68ec5ba377b0d31ed9d3b9d79eb908868bce
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    glib2: Add a 'inputs' property to PkResults so GUI clients can
    localise thier dialogs properly

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-results.c

commit 497fdb36d893f195661c2c4a578754fa0f49884f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    trivial: correct some function prefixes in PkTaskX

M	lib/packagekit-glib2/pk-task-text.c
M	lib/packagekit-glib2/pk-task-wrapper.c

commit 7e4ab0716f75b020128b94112c0a8bf97a3073bc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    glib2: Add pk_client_get_progress_async() so we can peek at the
    transaction without adopting it

M	lib/packagekit-glib2/pk-client-sync.c
M	lib/packagekit-glib2/pk-client-sync.h
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 1b9686513688eb51f893273f4fde8e17024cfc4d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    trivial: don't include the global header in pk-client-sync.h

M	lib/packagekit-glib2/pk-client-sync.h

commit 01e69d17b2430f25273a6e15c2372393ff555418
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    trivial: don't reply on the object being ref'd

M	lib/packagekit-glib2/pk-client-sync.c

commit ad29a5cb1365d99c2988c74d1651fa1f59a0eb6f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    trivial: remove unused define

M	client/pk-console.c

commit 527660585607f9a20049d9a8f8d09c037323275c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    glib2: add the missing pk_client_adopt() function to PkClient

M	lib/packagekit-glib2/pk-client-sync.c

commit 00ade27c48a811607270fe60b052b4053a7e42b2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    pkcon: when removing packages, allow removal of deps too

M	client/pk-console.c

commit f93771018e83bea0203eb82ea578dab349ec0d7d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    pkcon: Ensure we set the role as a progressbar heading when it is set

    This fixes the bug where pkcon would often jump to the top of
    a console
    window when starting a simulate.

M	client/pk-console.c

commit bcc00a095c24868d2d675742d384406fefb0d737
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    glib2: Ensure we call the progress callback when initially setting
    the role in PkClient

M	lib/packagekit-glib2/pk-client.c

commit 51a22d4d2467989afaf384fb0d30856132d266b4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    Add some more translations to make the output of pkcon better in
    non-English locales

M	lib/packagekit-glib2/pk-console-shared.c
M	lib/packagekit-glib2/pk-console-shared.h

commit b6a388f7a5511dc3350ad670900593e226eece7c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    glib2: print warning if pk_progress_bar_set_percentage() is called
    before pk_progress_bar_start()

M	lib/packagekit-glib2/pk-progress-bar.c

commit b874e3551693f836735ec2de4e15f8356b03190e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    pkmon: monitor network-status too

M	client/pk-monitor.c

commit e68624d6961f74459cb80764205fd82a1c5b6969
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-17

    contrib: Fix crash on 64 bit architectures in the plugin
    installer. Fixes rh#523861

M	contrib/gstreamer-plugin/Makefile.am
M	contrib/gstreamer-plugin/pk-gstreamer-install.c

commit 6310261f325f3a85615835f6e005b70dd5c1464e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-16

    glib2: Add a PkTransactionList class which is like a stripped down
    glib1 PkTaskList

M	client/pk-monitor.c
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-self-test.c
A	lib/packagekit-glib2/pk-transaction-list.c
A	lib/packagekit-glib2/pk-transaction-list.h

commit ecb4e85f5b1fcc0a0abf7a8e2c36eb2d8defc5d8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-16

    Don't include the global header in the daemon, it'll introduce name
    clashes in the future

M	configure.ac
M	src/Makefile.am
M	src/pk-backend-internal.h
M	src/pk-backend-spawn.c
M	src/pk-backend.c
M	src/pk-backend.h
M	src/pk-cache.c
M	src/pk-cache.h
M	src/pk-conf.c
M	src/pk-engine.c
M	src/pk-file-monitor.c
M	src/pk-network-stack.h
M	src/pk-network.h
M	src/pk-polkit-action-lookup.c
M	src/pk-spawn.c
M	src/pk-syslog.h
M	src/pk-transaction-db.c
M	src/pk-transaction-db.h
M	src/pk-transaction-extra.c
M	src/pk-transaction-list.c
M	src/pk-transaction-list.h
M	src/pk-transaction.c
M	src/pk-transaction.h

commit 83dafaf7d1665d02de1ed4642aca26a68a8aa150
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-16

    glib2: Make PkControl cancel pending calls when cancelled

M	lib/packagekit-glib2/pk-control.c

commit 8bc92d1e2b9e16e20aae1ea9deee6fe8c4dc4862
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-16

    bugfix: Ensure we invalidate the updates cache everytime the daemon
    sends updates-changed. Fixes rh#523593

M	src/pk-transaction.c

commit 8e7378579d5f5460a7862ddc8eacd3b0bacfb5a1
Author: ruigo <ruigo@fedoraproject.org>
Date:	2009-09-15

    Sending translation for Portuguese

M	po/pt.po

commit 109f7b51bb278a915e7525c9b68147d4503a1fb5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    trivial: fix minor build problem to fix make distcheck

M	lib/packagekit-glib/Makefile.am
M	lib/packagekit-glib2/Makefile.am

commit e36d0b543543a1efc2b45606a4b2560aac5577ac
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    glib2: unexport pk_strv_to_ptr_array() as there are no users

M	lib/packagekit-glib2/pk-common.c
M	lib/packagekit-glib2/pk-common.h

commit 3bccad5dd21900e4f4df0aa25907f889a5a8dc91
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    glib2: unexport pk_va_list_to_argv() as the daemon is the only user

M	lib/packagekit-glib2/pk-common.c
M	lib/packagekit-glib2/pk-common.h
M	src/pk-backend-spawn.c
M	src/pk-transaction-db.c

commit 1aa96411962e5d7446c3cb5220cf8787eaac7349
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    glib2: unexport pk_iso8601_difference() as the daemon is the only user

M	lib/packagekit-glib2/pk-common.c
M	lib/packagekit-glib2/pk-common.h
M	src/pk-transaction-db.c

commit 416883aa42628e3ca352443fb2cc0315001ff6fa
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    glib2: unexport pk_error_code_is_need_untrusted() as the daemon is
    the only user

M	lib/packagekit-glib2/pk-common.c
M	lib/packagekit-glib2/pk-common.h
M	src/pk-backend.c

commit 468e2b0d1356b6552c694d97281443d3b9cbfa84
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    glib2: unexport pk_strvalidate() and pk_strsafe() as the daemon is
    the only user

M	lib/packagekit-glib2/pk-common.c
M	lib/packagekit-glib2/pk-common.h
M	src/pk-backend.c
M	src/pk-transaction.c

commit 154868ad1fd800cd02218743164703b8c39cb1ab
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    glib2: ship the -sync versions of PkClient and PkControl in the
    shared library, it's virtually impossible to write some client
    programs without them

M	client/pk-console.c
M	client/pk-generate-pack.c
M	contrib/command-not-found/pk-command-not-found.c
M	contrib/debuginfo-install/pk-debuginfo-install.c
M	lib/packagekit-glib/Makefile.am
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit-private.h
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-client-sync.c
M	lib/packagekit-glib2/pk-client-sync.h
M	lib/packagekit-glib2/pk-console-shared.c
A	lib/packagekit-glib2/pk-control-sync.c
C064	lib/packagekit-glib2/packagekit-private.h
lib/packagekit-glib2/pk-control-sync.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit 361d85aab7abb246d30ca276c2221e181faa2c33
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    trivial: fix the param type of network-state

M	lib/packagekit-glib2/pk-control.c

commit 342d410a01b496dc83979d74bda875af29bc79ea
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    yum: Catch RepoError in one more place if the yum sqlite is malformed

M	backends/yum/yumBackend.py

commit e40ab91a48f65721a3f4944f9cfde70d228b5c2e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    trivial: update the fedora spec file

M	contrib/PackageKit.spec.in

commit ddd11bbb3b8fedd46542859b1933933aa7010766
Author: vpv <vpv@fedoraproject.org>
Date:	2009-09-15

    Sending translation for Finnish

M	po/fi.po

commit c5cb444ae46ef94b141ffb38f7cbfdba546dc38e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    trivial: fix up a few includes missed on the glib to glib2 port

M	backends/dummy/pk-backend-dummy.c
M	backends/yum/pk-backend-yum.c
M	lib/packagekit-glib2/pk-progress-bar.h

commit f48ec5e1feb2f23b59a51c70b858fe963b1f73d6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    trivial: fix self check on Fedora

M	src/pk-lsof.c

commit 02194b797428948052522c8c6b7138ab07112e04
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    trivial: move the main egg-x.[c|h] files into src/ and symlink to
    them there

M	contrib/command-not-found/egg-debug.c
M	contrib/command-not-found/egg-debug.h
M	contrib/command-not-found/egg-string.c
M	contrib/command-not-found/egg-string.h
T	lib/packagekit-glib/egg-debug.c
T	lib/packagekit-glib/egg-debug.h
T	lib/packagekit-glib/egg-string.c
T	lib/packagekit-glib/egg-string.h
T	lib/packagekit-glib/egg-test.c
T	lib/packagekit-glib/egg-test.h
M	lib/packagekit-glib2/egg-debug.c
M	lib/packagekit-glib2/egg-debug.h
M	lib/packagekit-glib2/egg-string.c
M	lib/packagekit-glib2/egg-string.h
M	lib/packagekit-glib2/egg-test.c
M	lib/packagekit-glib2/egg-test.h
T	src/egg-debug.c
T	src/egg-debug.h
T	src/egg-string.c
T	src/egg-string.h
T	src/egg-test.c
T	src/egg-test.h

commit f7fb28b3c173939f4602c6d25765244c337e44cf
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    spec: Depreciate ::Locked() and ::NetworkStateChanged() and add
    properties and a ::Changed() signal to replace them

M	client/pk-console.c
M	client/pk-monitor.c
M	lib/packagekit-glib2/pk-control.c
M	src/org.freedesktop.PackageKit.xml
M	src/pk-engine.c

commit 85ed4b0d3aa446f97e55473dc086fafaa07040f9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    trivial: re-instate the proxy_props code in the adopt function which
    was removed in the last commit

M	lib/packagekit-glib2/pk-client.c

commit 54551eebe6418e92a2b4884fdb4924f3474aa65a
Merge: d904899 0b8f6dc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-15

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 0b8f6dcd0abea1954e57a48093fb5de101c07e05
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-14

    packagekit-qt: Fix crash when using getOldTransactions to get uid.

M	lib/packagekit-qt/src/transaction.cpp
M	lib/packagekit-qt/src/transactionprivate.cpp

commit d904899a92d453e37bad9676abbf95193e35db18
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    trivial: rename some signal defines

M	src/pk-engine.c

commit 4b80d6a6a8172abdf8134068e00dff95206a4688
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    spec: Add a per-Transaction ::Changed(void) signal and deprecate
    the other signals

M	lib/packagekit-glib2/pk-client.c
M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-transaction.c

commit 118486d5d73b290552f518cfb6af51afd3bdf66d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    glib2: Add UID attribute to PkProgress

M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h

commit a2f15f499509167ad17b229621e2a59e6722dc7d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    trivial: Print the debugging time in ms too

M	lib/packagekit-glib/egg-debug.c

commit a7e3e30a47944874c93e426c4fae6b289bb9aa75
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    dummy: do the resolve in an idle loop, not just sync

M	backends/dummy/pk-backend-dummy.c

commit 6ae9c0652cc4227681ccee7e10a45f5de426e08c
Author: igor <igor@fedoraproject.org>
Date:	2009-09-14

    Sending translation for Brazilian Portuguese

M	po/pt_BR.po

commit 44d9a0aba80fe18a97a67bf677cadb3ca0c79b85
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    spec: Add a new Speed property to the interface as some users are
    demanding a way to get the download speed

M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h
M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-backend.c
M	src/pk-transaction.c

commit bf13590c607fe5cc10d01b974e5c70e5e50ca548
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    Export ElapsedTime and RemainingTime as properties on the Transaction
    inferface

    Some clients have come to rely on this information, and we can hardly
    deprecate the old methods if there's nothing to replace them

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h
M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-transaction.c

commit 6c417ddcdf58d674613c74bbced24a000fe71c77
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    glib2: Don't append blank version and arch sections in
    pk_package_id_to_printable()

M	lib/packagekit-glib2/pk-package-id.c

commit e6baf11f26023a8dcb6873f51b543b0e073d5186
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    python: use glib2 license enums for enum-convertor.py

M	lib/python/packagekit/Makefile.am

commit a0055d6c15714f2a2bb2afc375713543acdbd080
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    Add a developer tool to download the Fedora licensing page and parse
    it for free licenses

    This means the list is much easier to keep up to date with the FSF

M	Makefile.am
M	configure.ac
M	tools/.gitignore
A	tools/Makefile.am
A	tools/pk-refresh-licenses.c

commit 80bd7c3abfc6845b26e858815c82aa039a0120ec
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    Refresh the free licenses we can parse from the Fedora wiki. Fixes
    rh#519394

M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h

commit 400d864e91138f26b7be4c7839b3d52fa093d710
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-14

    trivial: sort the license enums in alpha order

M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h

commit 9080c496c316f5480a3c68a0677a037fb77462e9
Author: mvdz <mvdz@fedoraproject.org>
Date:	2009-09-14

    Sending translation for Ukrainian

M	po/uk.po

commit 044d8a52537df243b075e05d1366e16d0636facb
Author: xconde <xconde@fedoraproject.org>
Date:	2009-09-13

    Sending translation for Catalan

M	po/ca.po

commit 91b2d63a3d3af0c54bca22b78847368a32d1a235
Author: raven <raven@fedoraproject.org>
Date:	2009-09-12

    Sending translation for Polish

M	po/pl.po

commit 46cc68cbd5f5f138220b45eb079bfcb9a35d6afe
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-11

    bugfix: fix up GetOldTransactions to use PkItemTransaction which
    fixes a segfault

M	src/pk-transaction-db.c

commit e9be6b278f0575be978c1cfd148025d25bfc9f87
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-11

    packagekit-qt: removed the enum numbers

M	lib/packagekit-qt/src/client.h

commit 1d02d60896851724c93343f2f20f3dd066d746a0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-11

    trivial: fix compile without libarchive, harder still

M	lib/packagekit-glib2/pk-service-pack.c

commit c94db0296d6a7d558b0484a0aeea388687c64113
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-11

    trivial: fix compile without libarchive, harder

M	lib/packagekit-glib2/pk-service-pack.c

commit bd0c2c559f3a26b85fac054e242748ad3cbacac8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-11

    trivial: fix compile without libarchive

M	lib/packagekit-glib2/pk-service-pack.c

commit ca99c01520024d479b7f2afeed279c003fd95561
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-11

    Read unbuffered input rather than using ungetc. Fixes rh#522679

M	lib/packagekit-glib2/pk-console-shared.c
M	lib/packagekit-glib2/pk-console-shared.h
M	lib/packagekit-glib2/pk-self-test.c

commit 849e6fa618224bde96ed974e4a78a2340e3e4cc7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-11

    bugfix: do the legacy fallback in the daemon, not generally, else
    we try to run methods that do not exist

M	src/pk-backend.c
M	src/pk-engine.c

commit e66cc7de2b58f82f8d2c5812d81416b2380f65d9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    trivial: fix a tiny issue pointed out by clang

M	src/pk-backend.c

commit 72499fe614d6df839284027ff3af0f9aeb685b33
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-11

    Sending translation for Gujarati

M	po/gu.po

commit 011c22829782c63b7121c182927cf01d3cb0a465
Author: mgiri <mgiri@fedoraproject.org>
Date:	2009-09-11

    Sending translation for Oriya

M	po/or.po

commit 0d5d5d399595e8be2e4cae74aa26034fa1ad8b5a
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-11

    Sending translation for Gujarati

M	po/gu.po

commit 18735cd4774abe510df1e2fb9c2e2d0b881c4cc5
Author: jassy <jassy@fedoraproject.org>
Date:	2009-09-11

    Sending translation for Punjabi

M	po/pa.po

commit 3ce1c59ae86533d2fe0ef339b32a1b34374aea4f
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Dutch

M	po/nl.po

commit 68e6965b57244bac4ac4f596f6f0eaffd3691aeb
Author: fgonz <fgonz@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Spanish

M	po/es.po

commit 2bc814618acf589d918ee619f307a4dad4a8fc9b
Merge: a494ead fea0594
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit a494ead86afd60598a87fcbd0347ce55597a6f0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    internal: Use PkResults in PkTransaction to make things simpler

M	src/pk-backend.c
M	src/pk-transaction.c

commit ac2bc87000486306f169a395e55539057769fbe1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    trivial fix for perhaps accessing freed memory

M	src/pk-backend.c

commit 985f35e248af0e0d6284b55cf2727274b177db53
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    internal: Use PkResults in PkBackend

M	src/pk-backend.c

commit 6d3a8280aa708c21fe63e0c4d240de789c86a078
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    trivial: remove two symlinks to files that do not exist anymore

D	contrib/command-not-found/pk-tools-common.c
D	contrib/command-not-found/pk-tools-common.h

commit ae59a9600d16ac19cb877dd0662accbd1b81bd80
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    internal: Don't export PkStore from PkBackend, which makes re-using
    it simpler

M	src/pk-backend-internal.h
M	src/pk-backend.c
M	src/pk-transaction-extra.c
M	src/pk-transaction.c

commit b23a62b4946b898e4f558092d8065fd72ac0b85a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    internal: don't make PkBackendDesc public to PkBackend, provide
    public methods instead

M	backends/test/pk-backend-test-succeed.c
M	src/pk-backend-internal.h
M	src/pk-backend.c
M	src/pk-transaction-extra.c
M	src/pk-transaction.c

commit fea05948b7308e26a7b2c90479a6af8180a7015b
Author: xconde <xconde@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Catalan

M	po/ca.po

commit f02ee56c75e939bbcbe268d701f7c91ac028328d
Merge: dafca3c 5275a23
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit dafca3cba0e1f5f37979791c818861b610e3bc1a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    trivial: it's been pointed out I don't need the '_enum' suffix in
    structure members

M	client/pk-console.c
M	contrib/browser-plugin/pk-plugin-install.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-item.c
M	lib/packagekit-glib2/pk-item.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-task-text.c
M	lib/packagekit-glib2/pk-task-wrapper.c
M	src/pk-backend.c
M	src/pk-transaction-extra.c
M	src/pk-transaction.c

commit 894eee46225adcd0b4dcf22753ed7eacc9d9e619
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    daemon: internally use PkItems so we can reduce the complexity of
    the callbacks significantly

M	src/pk-backend.c
M	src/pk-transaction.c

commit 5275a2360100278eebf312dc1c42d3be43f5bf63
Author: hyuuga <hyuuga@fedoraproject.org>
Date:	2009-09-10

    Sending translation for po/ja.po

A	po/ja.po

commit 3730a9c830ce0505a7cf088f336b6769b1c511c6
Author: runab <runab@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Bengali (India)

M	po/bn_IN.po

commit efa228167bbb6ed3361ba4b9d6b3861304dbca1c
Author: runab <runab@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Bengali (India)

M	po/bn_IN.po

commit a147de0473adb72f29b2c90114ff7d1920c77253
Author: kkrothap <kkrothap@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Telugu

M	po/te.po

commit 71fca6f264544ef8799b908c6f5592d0ebc0c44d
Author: rajesh <rajesh@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Hindi

M	po/hi.po

commit 62d110ce6a50aa79a5c8835abd177549b87a0a98
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    trivial: add a gitignore file for slapt

A	backends/slapt/.gitignore

commit cb39aa374109d70628f8ab552c2fb91b2b3f0648
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    trivial: fix a compile error which wasn't detected and kept crashing
    polkitd

M	src/Makefile.am
M	src/pk-polkit-action-lookup.c

commit 186ed2b08794de8cd58eeae19070aa37716ab589
Merge: b4d9099 e96d376
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit b4d9099e56828e1857eb5e07ba47d9b3c4b26cb6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Localise the info enums in pkcon (sorry translators...)

M	client/pk-console.c
M	lib/packagekit-glib2/pk-console-shared.c
M	lib/packagekit-glib2/pk-console-shared.h

commit e96d3765fd2f9bd271652700cf729cb4dfcf304e
Author: sandeeps <sandeeps@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Marathi

M	po/mr.po

commit b0e0e66d95e46f57579f19fda1b43178604f5729
Author: ifelix <ifelix@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Tamil

M	po/ta.po

commit 259bb65eb3e4da9077e86c349d1c8c4c46835ddd
Merge: 7595a78 46acf74
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 7595a78ff7bf8f022b960ba5f14f7c3c84d62b2a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    bugfix: fix a couple of crashers in
    pk_transaction_pre_transaction_checks()

M	src/pk-transaction.c

commit 6e48adc225ae604bae87606e7b0b6871cb5534de
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    trivial: gdb with the dummy backend by default

M	src/gdb.sh

commit 46acf740b3e933e43334299a0660f0f5e9f015f0
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Gujarati

M	po/gu.po

commit 69545015122706f1a3554e47732e46dc7436a19b
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-09-10

    alpm: migrated to new packagekit-glib2 library; fixed download_files
    to comply with new spec

M	backends/alpm/pk-backend-alpm.c

commit 76027de6eadc5be9be492183a84fa623d39dccb7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    glib2: Add pk_progress_set_x methods so we can tell if the value
    was changed

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h

commit a28f97beb8f5ef6f49b730e14f4fa020e06cec03
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Add an initial version of the migration document

A	docs/migration-glib-to-glib2.txt

commit 05473f4cc14751526c9a70e0c07c30b3668e52c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Use the new PK_PACKAGE_ID_x macro in more places

M	client/pk-console.c
M	contrib/command-not-found/pk-command-not-found.c
M	contrib/debuginfo-install/pk-debuginfo-install.c
M	lib/packagekit-glib2/pk-package-id.c
M	lib/packagekit-glib2/pk-package.c
M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-glib2/pk-task-text.c
M	lib/packagekit-glib2/pk-task-wrapper.c
M	lib/packagekit-glib2/pk-task.c
M	src/pk-polkit-action-lookup.c
M	src/pk-transaction-extra.c
M	src/pk-transaction.c

commit 7975d2cdb585e31f39d325240e264ceaddb95014
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    trivial: fix up a typo for the Libs line

M	lib/packagekit-glib2/packagekit-glib2.pc.in

commit 80f5b7ca53ef3843707f48245e07a53e14649567
Merge: 8bb7625 0678150
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 067815062f37e4d122f94fe4f8a48c5946a5c767
Merge: 516916f 8d05fe8
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-09-10

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 516916fb084fc6e0aa0f2a31dbe0f74d933175fb
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-09-10

    glib2: add helper alias to get corresponding fields from the results
    of pk_package_id_split

M	lib/packagekit-glib2/pk-package-id.h

commit 8bb7625fc2e7fa7d612b24091b86450b49d23dae
Merge: 31f880c 8d05fe8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-10

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 8d05fe899cb13e203eef02b644c48723be662d76
Author: jassy <jassy@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Punjabi

M	po/pa.po

commit fdecacef73f69634b833ba916a5e6d4265495b67
Author: amitakhya <amitakhya@fedoraproject.org>
Date:	2009-09-10

    Sending translation for Assamese

M	po/as.po

commit 19b134078627b41236d65064cc5821e383608a15
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-09

    Update feature matrix for slapt.

M	docs/html/pk-matrix.html

commit 62f7c805c4949e2dae5d33994af2c559699a4300
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-09

    add distro check for slackware

M	lib/packagekit-glib/pk-common.c

commit 3c0dc785d7a8f29cab5e647372c7648b8cb87af4
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-09

    slapt: add new backend for Slackware packages

M	backends/Makefile.am
A	backends/slapt/Makefile.am
A	backends/slapt/pk-backend-slapt.c
M	configure.ac

commit e7a58cfe5574798565fbe7aa2b940a4b07fc8797
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Dutch

M	po/nl.po

commit d7274f69786e296557e0aa6a919743cad3d4cee7
Author: anipeter <anipeter@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Malayalam

M	po/ml.po

commit a9790bad49e33d0e2112bb005815468bbd65420f
Author: raven <raven@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Polish

M	po/pl.po

commit 31f880c91cf1804c0ac9ad6cd20ad29893b63fd4
Merge: 294cbb9 4de3349
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 4de33493aa4f920b5d6062bdd4fe33aafe067dc3
Author: mgiri <mgiri@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Oriya

M	po/or.po

commit 294cbb9deb0df544e6b8d0455880f909d0b931ea
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: sync pk-enum between glib1 and glib2

M	lib/packagekit-glib2/pk-enum.c
M	lib/packagekit-glib2/pk-enum.h

commit 2d0f54233261a50aae390b50161145b72b123127
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    glib2: include pk-version.h in the included headers

M	lib/packagekit-glib2/Makefile.am

commit 127f27486d062365b2020f773ed97aeaa29d6f9b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: fix the packagekit-glib2.pc as somehow it became corrupted

M	lib/packagekit-glib2/packagekit-glib2.pc.in

commit b84a27c51d12723abeb8d073e1ee8827bbd51d11
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: fix up a few translated sections in the new code

M	client/pk-console.c

commit de05e437f3a739a84eb721eabf7e9ac05525bfc2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: fix up a few translations to be easier to translate

M	lib/packagekit-glib2/pk-task-text.c

commit 5203ecfb26fc39d045ea805f9b1ab6f29a7efef0
Merge: f40d7ca 3540d88
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Merge branch 'daemon-glib2'

commit 3540d8844a9bb57c84a8e6bc349a2188848272be
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    yum: Add moblin-desktop to desktop-other metagroup

M	backends/yum/yum-comps-groups.conf

commit 2ad60cc83809609235c956e9917ce7c63e7caf4b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Make glib2 compulsory, and convert all users to use the new library

M	client/Makefile.am
D	client/pk-console-test.c
M	client/pk-console.c
D	client/pk-generate-pack-test.c
M	client/pk-generate-pack.c
D	client/pk-monitor-test.c
M	client/pk-monitor.c
D	client/pk-tools-common.c
D	client/pk-tools-common.h
M	configure.ac
M	contrib/browser-plugin/Makefile.am
M	contrib/browser-plugin/pk-plugin-install.c
M	contrib/command-not-found/Makefile.am
D	contrib/command-not-found/pk-command-not-found-test.c
M	contrib/command-not-found/pk-command-not-found.c
M	contrib/debuginfo-install/Makefile.am
D	contrib/debuginfo-install/pk-debuginfo-install-test.c
M	contrib/debuginfo-install/pk-debuginfo-install.c
D	contrib/debuginfo-install/pk-progress-bar.c
D	contrib/debuginfo-install/pk-progress-bar.h
M	lib/Makefile.am
M	lib/packagekit-glib2/pk-client-sync.c
M	lib/packagekit-glib2/pk-console-shared.c
M	lib/packagekit-glib2/pk-console-shared.h
M	lib/packagekit-glib2/pk-progress-bar.c
M	po/POTFILES.in

commit e45956feebfbb4fe6cbdbc0982a144f528689eec
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: Fix up a metric boatload of GtkDoc problems in the new
    glib2 library

M	docs/api/PackageKit-docs.sgml
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
M	lib/packagekit-glib2/pk-desktop.c
M	lib/packagekit-glib2/pk-item.c
M	lib/packagekit-glib2/pk-item.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h
M	lib/packagekit-glib2/pk-package.c
M	lib/packagekit-glib2/pk-package.h
M	lib/packagekit-glib2/pk-progress-bar.c
M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-glib2/pk-service-pack.h
M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit f40d7ca5b7c6378ec4fe6b56bb25a3201ddec8cf
Author: anipeter <anipeter@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Malayalam

M	po/ml.po

commit e3fb292ece690035cf727591c325114dba7a85f5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Switch the doc-generation to glib2

M	docs/api/Makefile.am
M	docs/api/PackageKit-docs.sgml
M	lib/packagekit-glib2/Makefile.am

commit b9c04ef7710200305881fe12533260b867534001
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Spanish

M	po/es.po

commit ff7424b88756e496e08102ae0cb9344778c2e478
Merge: 687ca91 6145806
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Merge branch 'master' into daemon-glib2

commit 6145806ea5c021427dd236ccf6b57789dc2b09ee
Merge: 3ece72c 826daa3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 3ece72cf449ad9f38999460806ef89f20086ed0b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: remove some debugging left in

M	contrib/debuginfo-install/pk-debuginfo-install-test.c
M	contrib/debuginfo-install/pk-debuginfo-install.c

commit 295ece896a55a0070965f69c8c9c2ad757e635b2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: add a glib2ified version of pk-debuginfo-install

M	contrib/debuginfo-install/Makefile.am
A	contrib/debuginfo-install/pk-debuginfo-install-test.c

commit 8c48d16badf7cac3a591e3118380822704beb55b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: add sync helpers for PkTask too

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit-private.h
A	lib/packagekit-glib2/pk-task-sync.c
A	lib/packagekit-glib2/pk-task-sync.h

commit 097d80adc0171285517b3542a4f09e10efff06ee
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: add sync versions of all the PkClient methods

M	lib/packagekit-glib2/pk-client-sync.c
M	lib/packagekit-glib2/pk-client-sync.h

commit b3ff79073e4fc13685821763249f9452918eea3c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Add a --enable-glib configure entry, but default this to TRUE

M	client/Makefile.am
M	configure.ac
M	contrib/command-not-found/Makefile.am
M	contrib/debuginfo-install/Makefile.am
M	lib/Makefile.am

commit 826daa3cf74d003788d70e2a68147f8ae7f4abd1
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Gujarati

M	po/gu.po

commit 6f46e98b97926d21bb100feecb834dd9cf06a1f5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    glib2: convert the browser plugin to opionally use glib2

M	contrib/browser-plugin/Makefile.am
M	contrib/browser-plugin/pk-plugin-install.c
M	contrib/browser-plugin/pk-plugin-install.h

commit 71c417a37205d1af544903efb3a1191b41be834b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    trivial: enable glib2 in the fedora spec file

M	contrib/PackageKit.spec.in

commit f8df3a7f980e6904718a07a427f6884b320d22b2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    bugfix: Ensure we ship packagekit-private.h in the tarball

M	lib/packagekit-glib2/Makefile.am

commit 68f6ae367b6937a15525f0cd123ec06d15936b43
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    browser-plugin: don't unref plugin twice to fix a crash when firefox
    is closed

M	contrib/browser-plugin/pk-main.c

commit 7334f6bf30494c2e82bb4e0c8206a5f3a80ad65e
Author: kkrothap <kkrothap@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Telugu

M	po/te.po

commit 5254d3b57e181725c53397018a26ec0d893d437a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Add a check for glib-2.0 >= 2.22.0 for the new glib2 library

M	configure.ac

commit c8a158bf1d0ca02afb3a6693d0020f531240e7aa
Merge: 9b57a8a 1a04977
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-09

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 9b57a8a946f11ee53bfafb1c2ab25432a7bdcc0d
Author: Christoph Wickert <cwickert@fedoraproject.org>
Date:	2009-09-09

    yum: Fix yum-comps-groups.conf to bring back the Xfce packages

M	backends/yum/yum-comps-groups.conf

commit 1a04977b4d34807cbb9a8a430653129a1463fc3d
Author: runab <runab@fedoraproject.org>
Date:	2009-09-09

    Sending translation for Bengali (India)

M	po/bn_IN.po

commit 73fcc5063721597007b5b5167ef36039edaa4ae4
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-08

    pk-qt: Fix simulateInstallPackage call

M	lib/packagekit-qt/src/client.cpp

commit 01404723f4e2e2d1a2f5c20f6712da69f8cfcab5
Merge: 543073d b646ef2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit b646ef2ad1b4c6dfdf3c89ab1f3b25451ec63a2e
Author: raven <raven@fedoraproject.org>
Date:	2009-09-08

    Sending translation for Polish

M	po/pl.po

commit 543073d713ee9d84e10a6c2f043b5940a3d44cd0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    glib2: port the PkDesktop class from glib1

M	client/Makefile.am
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
A	lib/packagekit-glib2/pk-desktop.c
A	lib/packagekit-glib2/pk-desktop.h
M	lib/packagekit-glib2/pk-self-test.c

commit 687ca91d491f67d955faa49c973f3615bb83155d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    Convert all the daemon to use the glib2 code, not the glib1 code

M	src/pk-backend.c
M	src/pk-cache.c
M	src/pk-transaction-extra.c
M	src/pk-transaction.c

commit 036f4ded7a5d31daeb79225fe7e802a06569a476
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    glib2: port the PkDesktop class from glib1

M	client/Makefile.am
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
A	lib/packagekit-glib2/pk-desktop.c
A	lib/packagekit-glib2/pk-desktop.h
M	lib/packagekit-glib2/pk-self-test.c

commit d6b75401bc7755fde1fd14a459aa57e97727aa8e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    trivial: More work to make the daemon compile with glib2

M	src/pk-backend.c
M	src/pk-transaction-extra.c
M	src/pk-transaction.c

commit c879297cce35172401b164e29f61d8dd3b7e7bb2
Merge: 7c260de 9f11304
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    Merge branch 'master' into daemon-glib2

commit 9f11304bc5bc16233d72df6f742b2c6ccbb747b6
Merge: 0c12ffd 5dae094
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    Merge branch 'master' into item-new

commit 0c12ffd6c62405df68180583773f766ab1c59092
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    trivial: Make PkItem structures independant of PkResults so the
    daemon can use them

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-item.c
M	lib/packagekit-glib2/pk-item.h
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-self-test.c

commit 5dae094ef7d9731f270cd6748e445a871ff69d1d
Author: sandeeps <sandeeps@fedoraproject.org>
Date:	2009-09-08

    Sending translation for Marathi

M	po/mr.po

commit 7c260de47da4cffd02034829bbd1e41a12075d55
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    trivial: start converting the daemon to use the glib2 types

M	src/Makefile.am
M	src/pk-backend-internal.h
M	src/pk-backend-spawn.c
M	src/pk-backend.c
M	src/pk-backend.h
M	src/pk-cache.c
M	src/pk-cache.h
M	src/pk-conf.c
M	src/pk-engine.c
M	src/pk-file-monitor.c
M	src/pk-network-stack.h
M	src/pk-network.h
M	src/pk-polkit-action-lookup.c
M	src/pk-spawn.c
M	src/pk-syslog.h
M	src/pk-transaction-db.c
M	src/pk-transaction-db.h
M	src/pk-transaction-extra.c
M	src/pk-transaction-list.c
M	src/pk-transaction-list.h
M	src/pk-transaction.c
M	src/pk-transaction.h

commit 998f22eef7607e2cf06a39579e71194f83fd1fc9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    trivial: fix make check

M	client/Makefile.am
M	client/pk-self-test.c

commit 929178f10cfdb73290129f4a923eccb0e1e9d422
Merge: c0aa5bb 8bdf42a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    Merge branch 'master' into lib-private

commit c0aa5bbeb1785bf4e74c1eee449e7016256be710
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    glib2: Make the PkItem structures refcountable

M	lib/packagekit-glib2/pk-item.c
M	lib/packagekit-glib2/pk-item.h
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-self-test.c

commit b1c1921071e6b31e3eac8c0eca9d82d0a0f87059
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    trivial: split out the PkItem functionality from PkResults

M	client/pk-console-test.c
M	contrib/command-not-found/pk-command-not-found-test.c
M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-console-shared.c
A	lib/packagekit-glib2/pk-item.c
A	lib/packagekit-glib2/pk-item.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-service-pack.c
M	lib/packagekit-glib2/pk-task-text.c
M	lib/packagekit-glib2/pk-task-wrapper.c
M	lib/packagekit-glib2/pk-task.c

commit 497572286108943f0ceb20d1f9389666feb0f569
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    trivial: add one more self test in PkResults

M	lib/packagekit-glib2/pk-results.c

commit 4d778751f74858534ee61874da3390425a94aded
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    trivial: fix make check in glib2

M	lib/packagekit-glib2/Makefile.am

commit e1bdf800ff35dc75718ddcbbc9102eda89aee963
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    trivial: add PK_BUILD_GLIB2 to config.h

M	configure.ac

commit 8bdf42af17184ff0817c0d11ecaa6c733591bdec
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-08

    Sending translation for Dutch

M	po/nl.po

commit d9b672222ecdd50fbe10b4461bb7995670cc2090
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-08

    glib2: move all the common code into libpackagekit-glib2 and build
    a private library for bits we don't want to export

M	client/Makefile.am
M	client/pk-console-test.c
M	client/pk-generate-pack-test.c
D	client/pk-progress-bar.c
D	client/pk-progress-bar.h
M	contrib/command-not-found/Makefile.am
M	contrib/command-not-found/pk-command-not-found-test.c
T	contrib/debuginfo-install/pk-progress-bar.c
T	contrib/debuginfo-install/pk-progress-bar.h
M	lib/packagekit-glib2/.gitignore
M	lib/packagekit-glib2/Makefile.am
C060	client/pk-console-shared.h
lib/packagekit-glib2/packagekit-private.h
R100	client/pk-client-sync.c lib/packagekit-glib2/pk-client-sync.c
R100	client/pk-client-sync.h lib/packagekit-glib2/pk-client-sync.h
R100	client/pk-console-shared.c
lib/packagekit-glib2/pk-console-shared.c
R100	client/pk-console-shared.h
lib/packagekit-glib2/pk-console-shared.h
C100	contrib/debuginfo-install/pk-progress-bar.c
lib/packagekit-glib2/pk-progress-bar.c
C100	contrib/debuginfo-install/pk-progress-bar.h
lib/packagekit-glib2/pk-progress-bar.h
M	lib/packagekit-glib2/pk-self-test.c
R100	client/pk-task-text.c	lib/packagekit-glib2/pk-task-text.c
R100	client/pk-task-text.h	lib/packagekit-glib2/pk-task-text.h
M	po/POTFILES.in

commit cf4ffdc679162848bbe50a36a958e9daca8ea9f1
Author: hunter688 <hunter688@fedoraproject.org>
Date:	2009-09-08

    Sending translation for Czech

M	po/cs.po

commit ac344052bb0cbdfe7898815a2b88a5223784afdd
Author: shanky <shanky@fedoraproject.org>
Date:	2009-09-08

    Sending translation for Kannada

M	po/kn.po

commit 760d82df2869762e7274913fb816d84c778d428a
Author: mvdz <mvdz@fedoraproject.org>
Date:	2009-09-08

    Sending translation for Ukrainian

M	po/uk.po

commit 83be11792e7cf1e11b7366d576cd6b65d6e4d3af
Author: aalam <aalam@fedoraproject.org>
Date:	2009-09-08

    Sending translation for Punjabi

M	po/pa.po

commit 5bc5d8cf1c7c52a154ac6c4680fb4b32541db47e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: create a test pk-command-not-found binary that uses glib2

M	contrib/command-not-found/.gitignore
M	contrib/command-not-found/Makefile.am
A	contrib/command-not-found/pk-command-not-found-test.c

commit 5c203629a1d0a2dae02dc680210cc17b2e64266b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: split out pk-client-sync.[c|h] from the shared console code

M	client/Makefile.am
A	client/pk-client-sync.c
A	client/pk-client-sync.h
M	client/pk-console-shared.c
M	client/pk-console-test.c

commit 897beb8e5409d6c92f669a45dc37b18980a9c485
Author: shanky <shanky@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Kannada

M	po/kn.po

commit 4f214d7a53f7367caf77c74e241a42717dc7ad2b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    trivial: fix compile

M	po/POTFILES.in

commit 62fbc56e19670459ad3c86b2335e5f45da812b32
Merge: 2315803 3f63113
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 231580316beb35bdef77e47d22643191dd546e4c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    trivial: fix compile with the removal of PkControlSync

M	client/pk-console-test.c
M	client/pk-generate-pack-test.c
M	contrib/command-not-found/Makefile.am
M	contrib/command-not-found/pk-command-not-found.c
D	contrib/command-not-found/pk-text.c
D	contrib/command-not-found/pk-text.h
A	contrib/command-not-found/pk-tools-common.c
A	contrib/command-not-found/pk-tools-common.h

commit b5df7aa06534584c9d9df7f13edef4944b1a7a63
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: remove PkControlSync, it's a useless abstraction that isn't
    needed

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
D	lib/packagekit-glib2/pk-control-sync.c
D	lib/packagekit-glib2/pk-control-sync.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
M	lib/packagekit-glib2/pk-self-test.c

commit 1addd6cc795ba330e7deb0e9f982efbabaa3a380
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: Add a glib2 version of pkgenpack

M	client/.gitignore
M	client/Makefile.am
A	client/pk-generate-pack-test.c

commit 99522c898e44e74c805bc9e416c4faac67a620e5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: remove the PkText shared code, and just duplicate the code
    for simplicity

A	client/pk-console-shared.c
R073	client/pk-text.h	client/pk-console-shared.h
M	client/pk-console-test.c
M	client/pk-console.c
M	client/pk-generate-pack.c
M	client/pk-monitor.c
M	client/pk-task-text.c
D	client/pk-text.c
M	client/pk-tools-common.c
M	client/pk-tools-common.h

commit 5234d93235292c32390a70657f342493e554614b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: Merge all the changes to PkServicePack so it actually works

M	lib/packagekit-glib2/pk-service-pack.c

commit e0772de8c2dff0c13bc1df0543bb340d9dcf9d79
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: Only print progress if it's different

M	lib/packagekit-glib2/pk-progress.c

commit 3f63113b21ba28de9899fc270002e2b18a701d4f
Author: jassy <jassy@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Punjabi

M	po/pa.po

commit 6e84dc68d32346d659f9e725570ed783c35f846d
Merge: a37239a a4ace64
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    Merge branch 'master' into glib2-service-pack

commit a4ace6437a60f935e0c4233f2158c49650e61cd9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: Copy the files emitted from DownloadPackages

M	lib/packagekit-glib2/pk-client.c

commit 4f91de0ba116c2f984bbc9bb5095ec301bf4d5a5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    daemon: add a PkTransaction warning if a backend does not download
    files to the specified directory

M	src/pk-transaction.c

commit 0e26b87be468977a9a0756a7b663f01bf0e57c53
Merge: bf3cb21 08d0430
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    Merge branch 'master' into glib2-download-testing-and-copy

commit 08d043055f5535791885ffa5e6f1b453c14f54af
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Dutch

M	po/nl.po

commit 900eaa32dd1fcea794d10bc5eb373eb50d5baf99
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    daemon: Add a check to ensure that ::Files() are sent for
    DownloadPackages

M	src/pk-backend.c

commit 3f0fc22c44bdc04da027c9815fba0a969bad3f66
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    yum: Match the spec for DownloadPackages

M	backends/yum/yumBackend.py

commit 7c8c3539317fb463a975322dcf7fdf0b5932d961
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    dummy: match the spec for DownloadPackages

M	backends/dummy/pk-backend-dummy.c

commit 1fdda578d7274b4785588cf513cd77ac13d5bfaf
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    spec: mandate that ::Files() from DownloadPackages must be one per
    package, with the package_id set correctly

M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-backend.c

commit 4fa7d82ce644c14fe928bf3cd109c20ca2d54ff2
Author: shanky <shanky@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Kannada

M	po/kn.po

commit ea634443f4c349fed5e398b443b71b34dee736ef
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    trivial: post release version bump

M	configure.ac

commit f24705bbe16f8e32ba7f48655990169b6c7e9c2f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    Release version 0.5.2

M	NEWS
M	contrib/PackageKit.spec.in
M	docs/html/pk-download.html

commit 2470e1b3e06593c1d1f26d64585435706fb61eeb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    trivial: fix the packagekit-qt self tests

M	configure.ac
M	lib/packagekit-qt/test/Makefile.am
M	lib/packagekit-qt/test/transactiontest.cpp

commit e7aca9fea493291e989ea698bd5fdcdf4d520e53
Merge: 7f62280 a504e6a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit bf3cb21bed18af102d30011c63459c2c6e03c823
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: Add some self tests that fail for downloading

M	lib/packagekit-glib2/pk-client.c

commit a504e6af94ba7087e635c7f9b8005a43f18f22ca
Author: raven <raven@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Polish

M	po/pl.po

commit 7f62280c64d1365bfacb0360dea06ede15c381fa
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: fix the method parameters of DownloadPackages

M	lib/packagekit-glib2/pk-client.c

commit a37239a57cb6e27d9d562f4e20fd91340350e717
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    glib2: start to convert PkServicePack to using glib2 async methods

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
A	lib/packagekit-glib2/pk-service-pack.c
A	lib/packagekit-glib2/pk-service-pack.h

commit 029a597b05b09cc740557be7d6ff8d3e8c336693
Author: mgiri <mgiri@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Oriya

M	po/or.po

commit f6f44b8bbf3a7bfe6fd3a317bb082f3b9df56353
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-07

    Fix up some return values in the event of an error. Spotted by clang

M	client/pk-console-test.c

commit b53b6400f4a004afa79493b3ff39f853d3c96860
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Gujarati

M	po/gu.po

commit cd0af820eaa04dc614b0b7dd7fd76b1f9b974f9d
Author: sandeeps <sandeeps@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Marathi

M	po/mr.po

commit 3baba48f523fed3e2c9d2e42e763dac9150ba442
Author: mgiri <mgiri@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Oriya

M	po/or.po

commit 59d2c4cbcb461eb6f3108969d70de1a0b4d39deb
Author: ifelix <ifelix@fedoraproject.org>
Date:	2009-09-07

    Sending translation for Tamil

M	po/ta.po

commit aee38b61a1f5211a88c27ca8a2b9922b107a2dbc
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-07

    ports: use update, not fetch

M	backends/ports/portsBackend.rb

commit 73104fe0873bcf643ad624e325246e8ec6998b44
Author: xconde <xconde@fedoraproject.org>
Date:	2009-09-06

    Sending translation for Catalan

M	po/ca.po

commit a0bc26d36d5daa9a7b4d3b60078094d51daf3bc9
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-09-06

    Sending translation for Spanish

M	po/es.po

commit 302a68ccc3611ceac0b5c5ce34ede9ff42c8a183
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-06

    Fix up two issues reported by clang in the contrib tools

M	contrib/debuginfo-install/pk-debuginfo-install.c
M	contrib/device-rebind/pk-device-rebind.c

commit b6284cd1a6950a1206c727d0a5a897eec69bd8a2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-06

    Fix build by defining PK_MESSAGE_ENUM_REPO_METADATA_DOWNLOAD_FAILED

M	lib/packagekit-glib/pk-enum.h
M	lib/packagekit-glib2/pk-package-ids.c
M	lib/packagekit-glib2/pk-package-ids.h

commit c6986daa6ba7b96a397cca60bf8a47f0c310974c
Merge: e100e14 e0d77ce
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-30

    Merge branch 'master' of
    git+ssh://glatzor@git.packagekit.org/srv/git/PackageKit

commit e0d77ce3b05a2113561ea03657cb12ba5ee8a365
Author: anipeter <anipeter@fedoraproject.org>
Date:	2009-09-05

    Sending translation for Malayalam

M	po/ml.po

commit 32ec2fb4742b3a1866f5bf81cae9f8625f6acaf4
Author: palos <palos@fedoraproject.org>
Date:	2009-09-05

    Sending translation for Slovak

M	po/sk.po

commit a798935e66d112832915b0437d9c10a40702f716
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-05

    glib2: get rid of library includes that are not needed

M	lib/packagekit-glib/egg-test.c
T	lib/packagekit-glib2/pk-bitfield.c
T	lib/packagekit-glib2/pk-bitfield.h
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
T	lib/packagekit-glib2/pk-common.c
T	lib/packagekit-glib2/pk-common.h
M	lib/packagekit-glib2/pk-control-sync.c
M	lib/packagekit-glib2/pk-control-sync.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
T	lib/packagekit-glib2/pk-enum.c
T	lib/packagekit-glib2/pk-enum.h
M	lib/packagekit-glib2/pk-package-id.c
M	lib/packagekit-glib2/pk-package-id.h
M	lib/packagekit-glib2/pk-package-ids.c
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package.c
M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit dab522a0b88dde8ddc0e8f07914523eaaad6ad22
Merge: ebd6441 c7c010b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-05

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit c7c010b4b65507e98d62a015b5b8f32cd300890b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-05

    glib2: Copy pk_package_ids_x functionality from glib1

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-package-id.c
A	lib/packagekit-glib2/pk-package-ids.c
C052	lib/packagekit-glib2/packagekit.h
lib/packagekit-glib2/pk-package-ids.h
M	lib/packagekit-glib2/pk-self-test.c

commit fc7e6822083c7c8daf48da972c0eb18e36932a05
Author: ruigo <ruigo@fedoraproject.org>
Date:	2009-09-05

    Sending translation for Portuguese

M	po/pt.po

commit cde9d5e8b7cacf015ebcb45f660d03d7b07df209
Merge: bec3832 7fabf88
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-09-05

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 7fabf88087e2439a55bfcc6e8241db313dcc9e2f
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-05

    trivial: even more indentation fixups

M	backends/ports/portsBackend.rb

commit c6904e377f04ebda9bf46363ce15f49ed10ee2ad
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-05

    trivial: rearrange in ugly order

M	backends/ports/portsBackend.rb

commit 3c8146491f140ad1dbeebffa0b6c2e4ffce97578
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-04

    trivial: move groups to class

M	backends/ports/portsBackend.rb

commit ca2eeff908305237fb888f79e92ca80747c5a9bf
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-04

    ports: oopify backend

M	backends/ports/portsBackend.rb

commit c44a389565a6082c8ee4735cdb589d4855b6b56e
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-04

    trivial: clean up comments, for ruby doc

M	backends/ports/portsBackend.rb

commit 9299ca40d146ad7906c41aec656a864bfdb13445
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-04

    trivial: use helpers like in the python backend

M	backends/ports/portsBackend.rb

commit ebd64412bd643dc8ef42b6352fbda6fea4798513
Merge: e94d3d1 4e661fc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 4e661fc8789f4361778626ee9180725784dbb306
Author: vpv <vpv@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Finnish

M	po/fi.po

commit 4b216617dcb987c6fba402d00d42abb4d75a1349
Author: raven <raven@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Polish

M	po/pl.po

commit 84b3b4d0b1731336f61e1d348aae73f050c0bf6d
Author: raven <raven@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Polish

M	po/pl.po

commit 4121a972843d0a70c37da747bfffe1d0bbf882ae
Merge: e40c209 49fda24
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-04

    Merge branch 'master' of
    git+ssh://dantti@git.packagekit.org/srv/git/PackageKit

commit e40c2097b59226bf81ae866de6340396300add01
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-04

    aptcc: fix to handle packages ids in resolve

M	backends/aptcc/pk-backend-aptcc.cpp

commit 49fda24cedf9f08b395bb60ae811e78156b3d2ec
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Dutch

M	po/nl.po

commit e94d3d19650b9571dbe95799d0e87e5aa55d1ab6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: add a glib2-ified pkmon test program

M	client/Makefile.am
A	client/pk-monitor-test.c
M	po/POTFILES.in

commit 468b9156fe92898fcd92221690644316bfb7a679
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: alex tells me the async methods should return a copy, not const

M	client/pk-console-test.c
M	client/pk-task-text.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-task-wrapper.c
M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit b1f75e4a5ac7abce6f034f1a14c0a33046d189e4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: add pk_control_get_daemon_state_async()

M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit bec38327fbbf463d3fb517401c56d7866a221775
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-09-04

    alpm: added support for resolving by package_id

M	backends/alpm/pk-backend-alpm.c

commit b41ad92c50bc15a2844d847fbf04e1d09ad798a4
Merge: 302bbef b444f05
Author: Aurelien Lefebvre <alefebvre@mandriva.com>
Date:	2009-09-04

    Merge branch 'master' of
    git+ssh://alk@git.packagekit.org/srv/git/PackageKit

commit 302bbeff2508cc1e2cf81657f6b366360561570c
Author: Aurelien Lefebvre <alefebvre@mandriva.com>
Date:	2009-09-04

    urpmi: trivial fix for restart enum use

M	backends/urpmi/helpers/urpmi-dispatched-backend.pl

commit f95adf0888a0790f59eda9ed758500b1db597b26
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: Fix getting values from pk_client_adopt_async()

M	lib/packagekit-glib2/pk-client.c

commit b444f05b5d3a535c1c6b743bb21e9d2bcac0f0c4
Author: hunter688 <hunter688@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Czech

M	po/cs.po

commit baac06a0d1f5c92e4d615cb5903a4e41aa519484
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: use the new property names on the client

M	lib/packagekit-glib2/pk-client.c

commit 3a0b3a48a9bc6b17155ceca50a275441e8d66e32
Author: hunter688 <hunter688@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Czech

M	po/cs.po

commit 24ca6db804ab6659825bd6bb9b2780884089150b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    yum: detect yum.Errors.RepoError in more places, rather than
    backtracing

M	backends/yum/yumBackend.py

commit 6e049c9fb994d01c04d65ae9743546e630708d20
Author: logan <logan@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Spanish

M	po/es.po

commit 7693670c86b177b48c057e6d3b9400e665f45c89
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-09-04

    egg-debug: create log file with correct permissions

M	lib/packagekit-glib/egg-debug.c

commit e8ce485cab321baf605b2fc475112246084eceb8
Author: hunter688 <hunter688@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Czech

M	po/cs.po

commit f2254e9a597c7fd6f17a04f89d187b07dfb9c492
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    trivial: add some debugging

M	src/pk-transaction.c

commit 885895328821dba9885d4b47e995ddd235ae7ee9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: finish porting pkcon-test to glib2

M	client/pk-console-test.c
M	client/pk-task-text.c

commit aaf6228da47f0850e266ab209038172234914f6d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    trivial: add some new debugging to PkProgress

M	lib/packagekit-glib2/pk-progress.c

commit 0971a9c37dd4298c2b1b1da66000aead09e40ff2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    bugfix: Send percentage-invalid when setting up the transaction and
    waiting for authentication

M	src/pk-transaction.c

commit ea63b5544ab5e12d0aa85b43155e1ce5f7f512e4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: don't cancel all pending requests on finalize

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-task.c

commit f41bab86b8d2dac1431e2939b1e9df52ff6d669b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: Add pk_results_get_require_restart_worst()

M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h

commit 0e0326cdaa894903a38dd1926e040962c95ac414
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: add pk_client_rollback_async() as it looks like Rollback is
    going to be used after all

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 16623a71b25edc4947e8185fe9ba1d13d28eadc8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: Add pk_control_sync_get_time_since_action()

M	client/pk-console-test.c
M	lib/packagekit-glib2/pk-control-sync.c
M	lib/packagekit-glib2/pk-control-sync.h

commit 2540a7912d08f046cccd234cd6bc70204018fb7a
Author: runab <runab@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Bengali (India)

M	po/bn_IN.po

commit b67f3135e8bb5d15cb4944438a8833c984736fd7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib2: Use the new daemon properties rather than discrete methods

M	client/pk-console-test.c
M	lib/packagekit-glib2/pk-control-sync.c
M	lib/packagekit-glib2/pk-control-sync.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit eb5ed3a9cee0578d9cc1055d30726ce5e7044cec
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    glib: Don't assert the client if new properties are added to the
    interface

M	lib/packagekit-glib/pk-control.c

commit e381956427e93379156564f0478bf8a191a6a14a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    spec: Deprecate some methods on the mail interface, replacing them
    with properties

M	src/Makefile.am
D	src/org.freedesktop.PackageKit.Backend.xml
M	src/org.freedesktop.PackageKit.xml
M	src/pk-backend-internal.h
M	src/pk-backend.c
M	src/pk-engine.c
M	src/pk-engine.h

commit 8e8a182c686204c4a437dcf9c0ceecd4c599e2f2
Merge: ca8c754 0148d37
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-04

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 0148d3703fdbb96c2e5b80cd351db24e54e418a7
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Gujarati

M	po/gu.po

commit e157633d287c784c9af75204efe41b207d7745c7
Author: rajesh <rajesh@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Hindi

M	po/hi.po

commit 04aae0ac20a8d780e79de995f748977cc3251488
Author: anipeter <anipeter@fedoraproject.org>
Date:	2009-09-04

    Sending translation for Malayalam

M	po/ml.po

commit d874bd5ac1f4b5def075233f5f640e477ec92df4
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-03

    aptcc: Added non interactive mode to dpkg

M	backends/aptcc/apt.cpp

commit 59c6727647c1887c9f609e39c544607246783928
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-03

    aptcc: added proxy support and simplified setlocale

M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h
M	backends/aptcc/pk-backend-aptcc.cpp

commit f4b73c8b07ddf3fa7392f8e850e34f6971867acc
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-03

    aptcc: updated matrix.html to reflect simulate

M	docs/html/pk-matrix.html

commit 6aa66e4e10e5c6dbc9cdb72f05b5e7e4335264a6
Merge: 49776a6 09d9cfa
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-03

    Merge branch 'master' into aptcc-simulate

commit 49776a622ebfd776b0f8081ae2c6cc0ffa5b97ba
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-03

    Simulate finished

M	backends/aptcc/apt.cpp
M	backends/aptcc/pk-backend-aptcc.cpp

commit ca8c7540b05aacae3cec2228c5eb076553f4de9a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    trivial: Rename the debuginfo-install subpackage to debug-install

M	contrib/PackageKit.spec.in

commit 09d9cfad1fe1e86be0cd0e7ff5e47104ca03b6e9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    trivial: Remove some obsolete code

M	client/pk-console-test.c

commit f2e30662f72d7c4fd74637497cc3545246450aac
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: Fix GetOldTransactions

M	client/pk-console-test.c
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-task.c

commit 04bd04aeca7dd13da8f9ffcbc1881fbfff89b59d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    Don't finish the progress bar if one was never drawn

M	contrib/debuginfo-install/pk-progress-bar.c

commit 09889751aa1151ca64ca9e993e89a456832fc25a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: handle simulate in the PkTaskText

M	client/pk-task-text.c

commit a9ad006ae6d2a71290bd6f5c556b92d422af3133
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: only call the simulate callback if we really need to

M	lib/packagekit-glib2/pk-task.c

commit 692ab2622b9a02bc511aa93c72f4d20b2f0b1a2c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    dameon: for backends without simulate, we need to emit the original
    packages before we fall back

M	src/pk-transaction.c

commit 1380138ec5d16bd03962d43b011b6685b69cc39f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: Add simulate support into PkTask, falling back to
    not-simulating if not supported

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-task-wrapper.c
M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit fc6713ec7f289c2c7fac8c42bf412dc6f9473e9d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: Add some of the glib1 sorting methods to PkPackageSack

M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h

commit 25a70a76fae38de9587f79f36f04a3ffcc15572f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: don't add Finished packages to the sack, they are uninteresting

M	lib/packagekit-glib2/pk-client.c

commit 10b49db3536e633a46784de07598fe5a7d3f01d7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: store the role in the PkResults object too

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-results.c

commit 828b1d961e0e89fa775a0acf70fd71ade235bf02
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: Add some more of the PkTask methods

M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit 67b1f2320f18f9f7123ac4f2775ba2d90a75f559
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    trivial: fix make distcheck

M	lib/packagekit-glib2/pk-task.h
M	po/POTFILES.in

commit b184f9b378a3016a625789175f6aa8cb67f8f660
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: use PkTaskText in pkcon-test

M	client/pk-console-test.c

commit a322425de153f48fc47a19903dfed6a01e08d04f
Merge: 4c53217 5af2e88
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 4c53217ce0830151c24e3675ae768a7135b1a3a0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    yum: Don't check for unfinished transactions when the cache is
    lazy loaded

M	backends/yum/yumBackend.py

commit 5f9c952bf326d2360ac8858f2742d176d7e605e3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    yum: Check for initialisation failures in more cases

M	backends/yum/yumBackend.py

commit 5af2e889e045194a47b3fbbfe5f4f26b17fac485
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-09-03

    Sending translation for Spanish

M	po/es.po

commit 266f02a217f3537d1d3dadb623097f00b1f9cb5f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: add a PkTaskText implementation for the text tools to use

M	client/Makefile.am
M	client/pk-console-test.c
M	client/pk-self-test.c
A	client/pk-task-text.c
A	client/pk-task-text.h

commit 59041064e8f878b4f4e43c66ec3dfcaf82d131c2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    bugfix: detect the new libnm-glib name as well as the old libnm_glib

M	configure.ac

commit bb881b39fe7cffc16b9a5fc03cf0a75abc00c492
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: handle EULAs and repo-signatures in PkTask too

M	lib/packagekit-glib2/pk-task-wrapper.c
M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit 08556da40284519a912f2f0a7c354015d40a3434
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    pkcon: remove the trailing newline from fgetc so multiple requests
    work

M	client/pk-text.c

commit 3b833d4d494717028919bc910ee375d9c837ccb0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: add some of the pk_package_id_x helpers from glib1

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
A	lib/packagekit-glib2/pk-package-id.c
C051	lib/packagekit-glib2/packagekit.h
lib/packagekit-glib2/pk-package-id.h
M	lib/packagekit-glib2/pk-self-test.c

commit 0bd29f2054f0c086235834aa35feb54bd48f99f8
Author: rajesh <rajesh@fedoraproject.org>
Date:	2009-09-03

    Sending translation for Hindi

M	po/hi.po

commit b55c038aaa09d64a22bd76893caa936f608a7ee6
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-03

    ports: implement vuxml for get-update-detail

M	backends/ports/portsBackend.rb

commit 116243028c4f7e0cb1d1448d081c9152770659f6
Merge: 373ef03 319ea84
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    Merge branch 'master' into client-glib2

commit 319ea84e25ccc10013f477949f89fc2499b2a078
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    trivial: fix up a few vim-tags

M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h
M	lib/packagekit-glib2/pk-self-test.c
M	lib/packagekit-glib2/pk-task-wrapper.h
M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit 373ef0333acf08af7606c58636f6cae759ec280c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: make pkcon-test use PkTask

M	client/pk-console-test.c

commit 5f914dfdb22226ade7da067558895fea2356e1f5
Merge: e27cc04 066a0e0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    Merge branch 'master' into client-glib2

commit 066a0e066207e82a6a778bf92d58bc029c5d47c0
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    glib2: Add better examples to the PkTaskWrapper

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-task-wrapper.c
M	lib/packagekit-glib2/pk-task-wrapper.h
M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit 3e452314d0040fe75488285783bedf9bbc0b3567
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-03

    Add PkTaskWrapper to just test the PkTask functionality

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-self-test.c
A	lib/packagekit-glib2/pk-task-wrapper.c
A	lib/packagekit-glib2/pk-task-wrapper.h
M	lib/packagekit-glib2/pk-task.c
M	lib/packagekit-glib2/pk-task.h

commit ec218a8699100c362008685684fd945e5f8d564f
Author: swkothar <swkothar@fedoraproject.org>
Date:	2009-09-03

    Sending translation for Gujarati

M	po/gu.po

commit deb70ebfcf570a0cfec026cde8180737dd60e24f
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-03

    typo: it's KDE, not Qt

M	docs/html/pk-intro.html

commit 7ac15eb3610ff7fff4a74f1184e118ce2bc92eb4
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-03

    trivial: move the prints to separate file

M	backends/ports/portsBackend.rb
M	backends/ports/ruby_packagekit/Makefile.am
A	backends/ports/ruby_packagekit/prints.rb

commit 277413b5378868a22e91f8936ee97bfa93cab04d
Author: Dennis Gregorovic <dgregor@redhat.com>
Date:	2009-09-03

    yum: If we're on RHEL, then preupgrade functionality isn't available

M	backends/yum/yumBackend.py
M	contrib/PackageKit.spec.in

commit fc013bca5b0b120ca7a3efeeba31d825dbc453f4
Author: Tim Lauridsen <tim.lauridsen@googlemail.com>
Date:	2009-09-03

    yum: Use NotImplementedError to fix a backtrace

M	backends/yum/yumBackend.py
M	backends/yum/yumMediaManager.py

commit e6e75f3f8d628bcec4607f007e58c005e42c45cd
Author: anipeter <anipeter@fedoraproject.org>
Date:	2009-09-03

    Sending translation for Malayalam

M	po/ml.po

commit dca807e07e77336b6a23be8fce5969c493f01d83
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-09-02

    PackageKit-Qt : migrate to the new properties based API

M	lib/packagekit-qt/src/daemonproxy.h
M	lib/packagekit-qt/src/transaction.cpp
M	lib/packagekit-qt/src/transaction.h
M	lib/packagekit-qt/src/transactionprivate.h
M	lib/packagekit-qt/src/transactionproxy.cpp
M	lib/packagekit-qt/src/transactionproxy.h

commit e6dac257d91d1fa67082af3865aa05259723ea5a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib2: Add the start of a PkTask object to handle the client dance

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
M	lib/packagekit-glib2/pk-self-test.c
A	lib/packagekit-glib2/pk-task.c
A	lib/packagekit-glib2/pk-task.h

commit 67d187e7d62387b8392d9cb1303802f8f0f5222a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib2: trivially improve a gtk-doc description

M	lib/packagekit-glib2/pk-client.c

commit f9e14c3ffcf2123b7ecdda300c7a0bd87b58c4f4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    trivial: fix make check

M	po/POTFILES.in
M	po/POTFILES.skip

commit 80a51498fb09990d6a1d4968bd06f78592130e07
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib2: remove unused code

M	lib/packagekit-glib2/pk-package-sack.c

commit 1355443c456588311d16867ae564bb576cbccc82
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    dummy: add _use_trusted support to install_files

M	backends/dummy/pk-backend-dummy.c

commit 4f27ac643c096428f571d0b3a788f992c348f144
Author: warrink <warrink@fedoraproject.org>
Date:	2009-09-02

    Sending translation for Dutch

M	po/nl.po

commit a2fbf2cb8889c1e49577b3632d693dad65c40f92
Merge: b6a3f81 959bad1
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-02

    Merge branch 'master' into aptcc-simulate

commit 959bad19ba8fe1c2a2505ecd08581a9789abb26f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    trivial: fix build

M	contrib/command-not-found/Makefile.am
M	contrib/command-not-found/pk-command-not-found.c
A	contrib/command-not-found/pk-text.c
A	contrib/command-not-found/pk-text.h
D	contrib/command-not-found/pk-tools-common.c
D	contrib/command-not-found/pk-tools-common.h

commit e27cc043320b4c8625e91c52819dd289f676c12d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib2: migrate a new version of pkcon to using the glib2 bindings

M	client/Makefile.am
A	client/pk-console-test.c
A	client/pk-progress-bar.c
A	client/pk-progress-bar.h

commit 925a1d0d70b6aa36b32b78d2ddcde2f8ad891750
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    trivial: gitignore update

M	client/.gitignore

commit 96bfc2d2fc2df2608b9d7d5b22082010f5bd91b6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    client: split out the non-packagekit-glib specific common code
    into pk-text

M	client/Makefile.am
M	client/pk-console.c
M	client/pk-generate-pack.c
M	client/pk-monitor.c
A	client/pk-text.c
A	client/pk-text.h
M	client/pk-tools-common.c
M	client/pk-tools-common.h

commit 6af81fc35c42c999c13a318e0238ab71ef7255c2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib: fix up a few shared files so glib2 can build with Werror
    flags set

M	lib/packagekit-glib/egg-string.c
M	lib/packagekit-glib/egg-string.h
M	lib/packagekit-glib/pk-bitfield.c
M	lib/packagekit-glib/pk-bitfield.h
M	lib/packagekit-glib/pk-common.c
M	lib/packagekit-glib/pk-common.h
M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h

commit 762dc95a34c0a8beae0dc12fa1bc72c638f8a11b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib: Fix up the PkControl properties with the interface change

M	lib/packagekit-glib/pk-control.c

commit 8a3d39740615de74319def0355d0540fb97e630c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib2: fix up a couple of memory leaks and make valgrind and gdb happy

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-control-sync.c
M	lib/packagekit-glib2/pk-control-sync.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h
M	lib/packagekit-glib2/pk-package.c
M	lib/packagekit-glib2/pk-package.h
M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h
M	lib/packagekit-glib2/pk-self-test.c

commit add0dc2feff8380c442cff241c20ffb3398dec0b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    spec: Property names have to be WindowsStyleCaps

M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/org.freedesktop.PackageKit.xml

commit 550fec61f0ed458e982d2f2a22e52a8a68ae413a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib2: set the call to NULL before we check for error

M	lib/packagekit-glib2/pk-control.c

commit fe785f1b4ee04cef36f0e9317c647888ebae322e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib2: Ensure we fail D-Bus methods that do not complete

M	lib/packagekit-glib2/pk-client.c

commit f391b2fbd7607a2a209442b82f27fb29141c44cc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    glib2: fix a silly little typo which caused the dbus_g_error_get_name
    to abort

M	lib/packagekit-glib2/pk-client.c

commit 7b976a2a6673adf9061a1069ccbd2f77faebac8e
Merge: ebf021a 0275110
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-02

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 027511056999e3d8dbaec34fe21444ce0424385e
Author: ifelix <ifelix@fedoraproject.org>
Date:	2009-09-01

    Sending translation for Tamil

M	po/ta.po

commit cdc5f5dca0cdfb37d37ef4559a02fc4bb4bcd181
Author: raven <raven@fedoraproject.org>
Date:	2009-09-01

    Sending translation for Polish

M	po/pl.po

commit ebf021aa181489902d9157c6ccaf416d87ff1298
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    debuginfo-install: make the number on the progressbar track the
    actual percentage

M	contrib/debuginfo-install/pk-debuginfo-install.c
M	contrib/debuginfo-install/pk-progress-bar.c
M	contrib/debuginfo-install/pk-progress-bar.h

commit d63767f74811837b8aeb0b587058c15fc72d2e89
Author: igor <igor@fedoraproject.org>
Date:	2009-09-01

    Sending translation for Brazilian Portuguese

M	po/pt_BR.po

commit a3c262d8c8457614a22336ae6f349281affef808
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-01

    packagekit-qt: added the need untrusted exit enum

M	lib/packagekit-qt/src/transaction.h

commit b6a3f81503486214284f6381e886eb6e367e24bd
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-09-01

    Fixed resolve and added simulate, only simulate_install_packages works

M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h
M	backends/aptcc/pk-backend-aptcc.cpp

commit 3b990e9f567afa6cb16636f23e6e031b6d3372a7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: Add a PkControlSync class for trivial access to some properties

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/packagekit.h
A	lib/packagekit-glib2/pk-control-sync.c
A	lib/packagekit-glib2/pk-control-sync.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
M	lib/packagekit-glib2/pk-package-sack.h
M	lib/packagekit-glib2/pk-self-test.c

commit b06557eb88ed420ea08c20eb8b278bf13eda9861
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: Add the connection-changed signal to PkControl

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit 2970f135669203becf77d24d2d7d411db1e4fc08
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: set the PkProgress role when the transaction is started

M	lib/packagekit-glib2/pk-client.c

commit bcb9b15be010ce6a629bd45ffdf3a1b4f9cdfb7a
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-01

    Update feature matrix for smart.

M	docs/html/pk-matrix.html

commit 1184745dd4e4597839b5e595d23b0816ff54c3d0
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-09-01

    smart: remove the what-provides feature

M	backends/smart/pk-backend-smart.c
M	backends/smart/smartBackend.py

commit e2c1e61f8adc5c9daab91e672171fbba92e554a8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: remove some unused code

M	lib/packagekit-glib2/pk-client.c

commit 6998b3705003169b66c3a38efbc6a56d5b389afc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: Add a working pk_client_adopt_async() method.

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 600bb3712420a08fee7b6a38643a827db3f374a6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: fix silly trivial typo

M	lib/packagekit-glib2/pk-client.c

commit 0bf750c4405383026533a2c86e58845d0e214763
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: add ::Role to PkProgress for the new adopt functionality

M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h

commit 11915b4aee0d33e34eec008be327432e98004146
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: add start of pk_client_adopt_async()

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 5fe7c78de4ee5ab084295e598ea05d9a10dee083
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    spec: Add properties to the transaction interface and deprecate the
    old methods

M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-transaction.c

commit 1d83ab15f7d60db0ba6dad509c69d6270589ee34
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: simplify the guint->gint conversion

M	lib/packagekit-glib2/pk-client.c

commit 5fd55f6a9a977049986c5105cea7d38084e0d7c7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: allow PkControl to get properties

M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit 6c25b7ff8126e7d7e65228633f929dbf076a6491
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: do more with error codes and domains

M	lib/packagekit-glib2/pk-client.c

commit 52e4079c41074657b8d55c18b11c302ed957f690
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: add a convenience pk_results_get_error_code() function

M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h

commit 64ca5c70702b55804475ed7eb23f8c945240ba8e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: Add a boatload of gtk-doc markup from glib

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c

commit 837e7516748329a4a2719ddd4d22466a87087441
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: make the client methods cancellable

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-control.c

commit 990a089722bd04d95e5df10e428fb63397d32f1c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: ensure we cancel any in-flight DBus calls when we finalize
    PkClient

M	lib/packagekit-glib2/pk-client.c

commit be413a01a96912e1679cb8efd40dbfefde93ad97
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-09-01

    glib2: ensure we cancel any in-flight DBus calls when we finalize
    PkControl

M	lib/packagekit-glib2/pk-control.c

commit b574166c162aae440e3cf7bc0ac6d0be7c4fe737
Author: ifelix <ifelix@fedoraproject.org>
Date:	2009-09-01

    Sending translation for Tamil

M	po/ta.po

commit 247f4d58753fb3b4a048affe41d1957e088c31af
Author: Sebastian Krzyszkowiak <seba.dos1@gmail.com>
Date:	2009-09-01

    opkg: fix installing and removing multiple packages at once

M	backends/opkg/pk-backend-opkg.c

commit 50f94e8113a17df1ccc94150a5daf729dbdc86ab
Author: sandeeps <sandeeps@fedoraproject.org>
Date:	2009-09-01

    Sending translation for Marathi

M	po/mr.po

commit 243a0205d106e39668b70e28a5c9cd7a71bd67e4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-31

    Change the pkcon repo-list output to be more normal. Fixes rh#520330

M	client/pk-console.c

commit cb6c95ba962bd156f65cc690f3e9adafa402403e
Author: sandeeps <sandeeps@fedoraproject.org>
Date:	2009-08-31

    Sending translation for Marathi

M	po/mr.po

commit 33498ba1356a2ac8f45d83868d62149506fd24db
Author: igor <igor@fedoraproject.org>
Date:	2009-08-30

    Sending translation for Brazilian Portuguese

M	po/pt_BR.po

commit 87e243edfc7ae88848e1900b11d0a4aa5ffd60ab
Author: vpv <vpv@fedoraproject.org>
Date:	2009-08-30

    Sending translation for Finnish

M	po/fi.po

commit e100e14e0170099ef571dfacdb7211f46c0c4158
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Do not sort the apt.Cache, since it slows down the whole process
    a lot.

M	TODO
M	backends/apt/aptBackend.py

commit abbf1dabb741652de7a0920cc8aa029741155dc3
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-30

    APT: Move apt lock handling into the decorator

M	backends/apt/aptBackend.py

commit 5088263c975c0a2131dfa6af094bdf6c06204cf6
Author: Christopher Aillon <caillon@redhat.com>
Date:	2009-08-29

    Use correct configure test for newer polkit

    s/polkit-action/pkaction/

M	configure.ac

commit 57b543547afa4d8534bfc3420f894b04af49c384
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-30

    APT: Make use of the new RepoMetadataDownloadFailed message

M	backends/apt/aptBackend.py

commit d9bfe60fa7a5f5e11ddf822168ffe498db116ffd
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-30

    libpackagekit-(qt|gtk): Add a message enum to indicate that the
    download of repository metadata failed.

M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-qt/src/client.h

commit 6580ed99f1add54aed5e3d22d76c45651a846a5c
Author: raven <raven@fedoraproject.org>
Date:	2009-08-29

    Sending translation for po/LINGUAS

M	po/LINGUAS

commit 04279aa755876d88d8cc873a57fd8e1ebce28a20
Author: raven <raven@fedoraproject.org>
Date:	2009-08-29

    Sending translation for Polish

M	po/pl.po

commit 02cdcd2505ce9a9ee653294aaef2105d3f1a798f
Merge: 824784a ad07df3
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-28

    Merge branch 'master' of
    git+ssh://afb@git.packagekit.org/srv/git/PackageKit

commit ad07df32946a337cad016aea477aa3653b9b5e84
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: make PkControl a singleton again

M	lib/packagekit-glib2/pk-control.c

commit 632035557d3d1391f4227f317ad26967161b890a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: Add all the old PkControl signals into the new object

M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit 70a9a9265a64f5e12d0c293689c0bd45b6cb1ce4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: merge a broken version of pk_client_cancel_async()

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 6b135905884e39e19e9bf4cf46423a6564137d98
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: add in PkClient and PkControl errors

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit 261e9ed1167e0a55ede3095a1be63ed3d695d805
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: fill in some more of the PkControl async actions

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
M	lib/packagekit-glib2/pk-package-sack.c

commit 9a7aeb6ba8f914b62796990e7a3f034d4bc33af5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: add pk_control_get_[roles|filters|groups]_async()

M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
M	lib/packagekit-glib2/pk-self-test.c

commit 6e43f0113eea1f1fca24f21b068a0ccaab5ca390
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: add pk_control_set_proxy_async()

M	lib/packagekit-glib2/pk-control.c

commit e94fe28a7b1ef2b61e6b7145280d3700c4c9e168
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: add pk_control_get_mime_types_async()

M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit 411838b5646ecdf6b25f2afd69fc50f0e9b75050
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: add pk_client_get_old_transactions_async()

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 243c19a16d596ae50d993e11e62a27ac151e74f2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: use SetLocale automatically, still async

M	lib/packagekit-glib2/pk-client.c

commit 2cd427314c2b8b050d4a1f2c825dd9c280fa7a3b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: finish all the client signal cache code

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h

commit b64edc646f339aa213c269bfb2bc014f62832a4e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: connect up the rest of the client signals

M	lib/packagekit-glib2/pk-client.c

commit 99462dd7066831e4f77987607b53ca13355a1b14
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: add the caller-active callback

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-progress.c
M	lib/packagekit-glib2/pk-progress.h

commit eb74e59318ecd40c6022218879d75b8af44cd8d2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: add more client callbacks internally

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h

commit e837c33ff84deb8d76e13de0463f80bdea14f24a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: use a abstract progress object that we can easily extend in
    the future

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h
A	lib/packagekit-glib2/pk-progress.c
A	lib/packagekit-glib2/pk-progress.h
M	lib/packagekit-glib2/pk-self-test.c

commit f440b42a433fb96ca951d5214ed0d31c642f41fc
Merge: ae561cc a501e0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit ae561cc3fc77a04394b506a772f1addff7d8d808
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-28

    glib2: add some more PkResultItem types copied from glib(1)

M	lib/packagekit-glib2/pk-package-sack.h
M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h

commit 3db117c383ec09ca961da80865ffa96fd8ea1ad3
Merge: 6fbd3f6 a501e0d
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-27

    Merge branch 'master' into aptcc-simulate

commit a501e0d001988cd59e3d2a5a8ebe1ae8704da112
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-08-26

    PackageKit-Qt : add const qualifier on some methods

M	lib/packagekit-qt/src/bitfield.cpp
M	lib/packagekit-qt/src/bitfield.h

commit 610d97c1efeebbf0689d9396ecfb5b8126e65578
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-08-26

    PackageKit-Qt : Add additionnal methods to preserve API with earlier
    versions

M	lib/packagekit-qt/src/bitfield.cpp
M	lib/packagekit-qt/src/bitfield.h

commit 918d669795b6d955701502684ae05c0f5a2d8353
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-08-26

    PackageKit-Qt : Add simulate support

    Add simulate_* to the Client
    Update the Actions bitfield to a custom type

M	lib/packagekit-qt/src/Makefile.am
A	lib/packagekit-qt/src/bitfield.cpp
A	lib/packagekit-qt/src/bitfield.h
M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/client.h
M	lib/packagekit-qt/src/transactionproxy.h

commit 824784aef04046f8aace9512e0d8b5e6511439e3
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-27

    smart: implement only_trusted (hughsie's FIXMEs)

M	backends/smart/smartBackend.py

commit 6fbd3f62e9c94100ab61332472cd45d9226d3c3a
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-27

    first changes to aptcc simulate

M	backends/aptcc/apt.cpp
M	backends/aptcc/apt.h

commit 5e1191e87ecfd525cc5975e18501efa7d00f83df
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: disable the property setting code to workaround a dbus-glib
    issue

M	lib/packagekit-glib2/pk-control.c

commit 92553352df4089f696e0f72eafb4e04442a09de7
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: test the GetUpdates functionality

M	lib/packagekit-glib2/pk-client.c

commit b92e29aef57d1341ec4cc352e37067344ae815b9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: add all the daemon methods for the new client calls

M	lib/packagekit-glib2/pk-client.c

commit f455d9ee74b0eed0a06bf1375887b7a7ff8b9da5
Merge: 7de6b04 569ec78
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 7de6b0417e85b94d00f05984951f882b937f8ff5
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: add the rest of the client methods

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 5d313e1d8133480ed94347207228a112b9d51592
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: Add some more client prototypes

M	lib/packagekit-glib2/pk-client.h

commit 8c17c04867275f5bcda64fa9fea94a824f0637c3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: Add some more client methods

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h

commit 39714aca49473a74baf809348a87c023fdadc5b2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: add a pk_results_get_package_sack() method

M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h

commit 059ca69bc2eea10da9134964f2355535e68e97b9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: add ROLE and STATUS properties

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package.c

commit 3e59804fd97c9b58496e60a7f1a8f7aa03bbf60e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: add pk_package_sack_get_total_bytes() to get the total size
    of the sack

M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h

commit 569ec7820cde902ceae465be1f0252c3a2b9e4c8
Author: kenda <kenda@fedoraproject.org>
Date:	2009-08-27

    Sending translation for German

M	po/de.po

commit 1eab885d2150a1b9d89bd87fb40085988d94dbeb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: add pk_package_sack_merge_details_async() and
    pk_package_sack_merge_update_detail_async()

M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h
M	lib/packagekit-glib2/pk-package.c

commit 0e50abce10dd0fc22c506057f3443940b3603de2
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    trivial: Update LINGUAS

M	po/LINGUAS

commit f384fa6f0ab8134e32c86fb0a456341a6310b54e
Merge: 6fdec97 d66cdac
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 6fdec9777907753d99d7937c06c531bebfa14d04
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    glib2: add PkClient ::Details and ::UpdateDetail code

M	lib/packagekit-glib2/Makefile.am
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-package-sack.c

commit e942425040b8f8a73bfbfcb657ee8e5ccc42d98f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-27

    dummy: trivial, add more progress reports

M	backends/dummy/pk-backend-dummy.c

commit d66cdac571a5764056ae3eb55bb9ee42902e56f7
Author: mvdz <mvdz@fedoraproject.org>
Date:	2009-08-27

    Sending translation for po/uk.po

A	po/uk.po

commit c6f9596c3a0634d14eb2eb1c2f795430c105ec50
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    glib2: add pk_client_get_details_async() and
    pk_client_get_update_detail_async()

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h

commit 582cd248442474055f2743f4bcaba8b4a66ce711
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-26

    ports: implement the newest group

M	backends/ports/pk-backend-ports.c
M	backends/ports/portsBackend.rb

commit a431ed9723e19b8c316fa8d0249940c022838c62
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    glib2: add pk_results_add_details() and pk_results_add_update_detail()

M	lib/packagekit-glib2/pk-results.c
M	lib/packagekit-glib2/pk-results.h

commit 9d8a72df0d101bdbe32abaaa14361afec4751846
Merge: 49da457 ca4e5f8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 49da457316b5a7b882126d83efbe4e42263c1f05
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    glib2: add some more properties to PkPackage

M	lib/packagekit-glib2/pk-package.c

commit 151607ae697512e8e2564e10513f508c83474d05
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    glib2: flesh out more of pk_client_resolve_async()

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-package-sack.c

commit 12093802a9457a7a7f71311c139ae6fcf4f40a94
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    dummy: add progress updates to resolve

M	backends/dummy/pk-backend-dummy.c

commit ca4e5f803455fe2563e441975af6082d23583da2
Merge: 4c02af9 5722603
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-26

    Merge branch 'master' of
    git+ssh://dantti@git.packagekit.org/srv/git/PackageKit

commit 4c02af944a95e8bd1cc52325f83046db0896ad08
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-26

    packagekit-qt: Added Downgrading package status

M	lib/packagekit-qt/src/package.h

commit 5722603b205948c2749024b37e023484d3802d22
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    glib2: Make pk_package_sack_merge_resolve_async() work correctly

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h
M	lib/packagekit-glib2/pk-package-sack.c
M	lib/packagekit-glib2/pk-package-sack.h
M	lib/packagekit-glib2/pk-package.c
M	lib/packagekit-glib2/pk-package.h

commit cd35ad95f6c6787bfd1196c1d84321c52354fc39
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    spec: allow resolve to match on an exact package_id

M	src/org.freedesktop.PackageKit.Transaction.xml

commit 2095897dd2ce0c9587cd07fc73a9ba2fc0d0d25f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    dummy: support resolve by exact package_id

M	backends/dummy/pk-backend-dummy.c

commit 67d4ed34928b0089e4bb8791e1bb73110c17c6d6
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    dummy: the result of resolve can never be UPDATING

M	backends/dummy/pk-backend-dummy.c

commit e2178bd260d4e4208d223a8091d4e78b460af720
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    glib2: use the Resolve() parameters

M	lib/packagekit-glib2/Makefile.am
A	lib/packagekit-glib2/pk-bitfield.c
A	lib/packagekit-glib2/pk-bitfield.h
M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-client.h
M	lib/packagekit-glib2/pk-package-sack.c

commit 9f4c538bbc1aa33dcc6824e2cfe61075f3c95ce8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    glib2: get the daemon properties async

M	lib/packagekit-glib2/pk-client.c
M	lib/packagekit-glib2/pk-control.c
M	lib/packagekit-glib2/pk-control.h

commit 8466500191250eabc4b9f8bc32dfa2dc82b201bf
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-08-26

    Sending translation for Spanish

M	po/es.po

commit 5afc8e735a2949fb40a7993a3354e10e93d777e9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-26

    Checkin a very early version of the glib2 library for review

M	configure.ac
M	lib/Makefile.am
A	lib/packagekit-glib2/.gitignore
A	lib/packagekit-glib2/Makefile.am
A	lib/packagekit-glib2/egg-debug.c
A	lib/packagekit-glib2/egg-debug.h
A	lib/packagekit-glib2/egg-string.c
A	lib/packagekit-glib2/egg-string.h
A	lib/packagekit-glib2/egg-test.c
A	lib/packagekit-glib2/egg-test.h
A	lib/packagekit-glib2/packagekit-glib2.pc.in
A	lib/packagekit-glib2/packagekit.h
A	lib/packagekit-glib2/pk-client.c
A	lib/packagekit-glib2/pk-client.h
A	lib/packagekit-glib2/pk-common.c
A	lib/packagekit-glib2/pk-common.h
A	lib/packagekit-glib2/pk-control.c
A	lib/packagekit-glib2/pk-control.h
A	lib/packagekit-glib2/pk-enum.c
A	lib/packagekit-glib2/pk-enum.h
A	lib/packagekit-glib2/pk-marshal.list
A	lib/packagekit-glib2/pk-package-sack.c
A	lib/packagekit-glib2/pk-package-sack.h
A	lib/packagekit-glib2/pk-package.c
A	lib/packagekit-glib2/pk-package.h
A	lib/packagekit-glib2/pk-results.c
A	lib/packagekit-glib2/pk-results.h
A	lib/packagekit-glib2/pk-self-test.c
A	lib/packagekit-glib2/pk-version.h.in

commit ef587b96c6629ea00c3d0f367e4bf992b4c4dd71
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-26

    Added DOWNGRADING enum and added it to simulate spec

M	backends/dummy/pk-backend-dummy.c
M	client/pk-console.c
M	lib/packagekit-glib/pk-client.c
M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h
M	src/pk-backend.c

commit 1f35a8a886f5af14395664108b58cdde3fdb2337
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-26

    Added REINSTALLING to pk_backend_package_emulate_finished()

M	src/pk-backend.c

commit cf9f0832dd8261452ae85993493ef2a93bea3777
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-26

    Add the backend internal API for Simulate

M	backends/ports/pk-backend-ports.c

commit df81c97ca44da57377f3f766bd0a57cc229d099c
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-26

    trivial: not using helper suffix

M	backends/ports/portsBackend.rb

commit f35b8c61f32a9d865a61592a2f559b9fbde4660e
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-26

    Update feature matrix for ports.

M	docs/html/pk-matrix.html

commit b9664d1a3ea918a7cc98b7941c569375188d9ae8
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-26

    ports: implement download-packages and install-files

M	backends/ports/pk-backend-ports.c
M	backends/ports/portsBackend.rb

commit 8aabb63ac2a0b47fa881bd372ef0d8d6a0001c95
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-26

    ports: need to use right error code for unsupported only_trusted

M	backends/ports/portsBackend.rb

commit 7d07be376695be65d9e5daa8258da623d026bb3f
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-08-25

    alpm: fix GetDepends by removing obsolete code; set correct error
    when package_id was not correct

M	backends/alpm/pk-backend-alpm.c

commit b743c75f9ab7c27b739041bbce48c413a5736fb8
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-08-25

    alpm: migrate to pacman 3.3 branch

M	backends/alpm/pk-backend-alpm.c

commit 061d68fda3a5ef957cbc9bd33c49d9dc9a7bd4ce
Merge: 440dc5b d424569
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-08-25

    Merge branch 'master' of
    git+ssh://onestep_ua@git.packagekit.org/srv/git/PackageKit

commit 440dc5b1ba982efcc69eb73c83eec84ff6893216
Author: Valeriy Lyasotskiy <onestep@ukr.net>
Date:	2009-08-25

    alpm: code cleanup in cb_trans_evt; honor dependencies when installing
    package

M	backends/alpm/pk-backend-alpm.c

commit d4245695ef02dae46aa4d3f510b93a86a3921cf1
Merge: b83e9fb 81a90e7
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-25

    Merge branch 'master' of
    git+ssh://dantti@git.packagekit.org/srv/git/PackageKit

commit b83e9fb64a47b293e0e3ebac9625061675bcf12f
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-25

    Added packagekit-qt docs to be generated and uploaded.

M	docs/html/upload.sh
M	lib/packagekit-qt/Doxyfile

commit d2257d4b7b1e50b3164a009748a07d213470bc6c
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-25

    Added aptcc to pk-matrix.html

M	docs/html/pk-matrix.html

commit 81a90e739313831d80af76ef6e36854f96e676d9
Author: raven <raven@fedoraproject.org>
Date:	2009-08-25

    Sending translation for Polish

M	po/pl.po

commit d2e49cef087dcbf8b3b41bde33a65d2eb74de249
Author: kenda <kenda@fedoraproject.org>
Date:	2009-08-25

    Sending translation for German

M	po/de.po

commit ca755c7dbf0e3c6f6e0a1b50a80b82fb5e9c2adc
Author: logan <logan@fedoraproject.org>
Date:	2009-08-25

    Sending translation for Spanish

M	po/es.po

commit 114e50b14bc0c1e9c12c94853053d518a0c6c31e
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-25

    avoid realpath segfault on freebsd

M	lib/packagekit-glib/pk-client.c

commit 0ae99c0a980e76f6f86db9970f304fb3999ef489
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-25

    daemon: Fix a critial typo that crashes the daemon when we did
    SimulateInstallFiles

M	src/pk-transaction.c

commit 0a63ac6ac855ce4ca84514854164ae6a87d3fdd1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-25

    trivial: do fatal_criticals inside of gdb

M	src/gdb.sh

commit a16213d2461e66416c99bb34397dad3ce1bc29a1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-25

    pkcon: Ignore local files when we are printing the deps list

M	client/pk-console.c

commit 37dc24b60b288403a06cbecb1a5468076439937e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-25

    yum: support SimulateInstallFiles properly

M	backends/yum/yumBackend.py

commit 28ce097757f4ab640e21a595e1d7aae5f2034a5c
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-25

    yum: pretect against broken repo ChangeLog metadata. Fixes rh#519083

M	backends/yum/yumBackend.py

commit c5cf138400bf1bf50b09851c873880073e140def
Author: raven <raven@fedoraproject.org>
Date:	2009-08-24

    Sending translation for Polish

M	po/pl.po

commit 072a896ec7d4778e166937088f5ef3f1ce054899
Author: igor <igor@fedoraproject.org>
Date:	2009-08-24

    Sending translation for Brazilian Portuguese

M	po/pt_BR.po

commit ef76227235bf22d64b3ac745f30ec3c0f27ab857
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-08-24

    Sending translation for Spanish

M	po/es.po

commit e4af3c4017656d9e75d5f37238259c988551d213
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    yum: add a simple implimentation of SimulateInstallFiles

M	backends/yum/pk-backend-yum.c
M	backends/yum/yumBackend.py

commit ed7599134d98b2c177ac70e431d0be12e854fa18
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    Add the simulate stuff to the common python class

M	lib/python/packagekit/backend.py

commit 4fa73d04c4674cbb7903e2894a43cccca7f4e718
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-24

    Added simulate methods to pk-matrix.html

M	docs/html/pk-matrix.html

commit 194eae21a3e5be60f3e542f38e8b1e35a1a6a08d
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-24

    pkcon: simulate installing packages and files if possible

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	client/pk-console.c

commit 1fcc0fb9a5ba0f871728d641b03dc0944e36a698
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    Make 'pkcon update foo' actually work

M	client/pk-console.c

commit 1bd577a389e474ccd4e110fe2809e89341159459
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    pkcon: simulate updating packages if possible

M	client/pk-console.c

commit 41c7388dfc12eda1861a07eec7f2cb833f2d2b71
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    glib: trap errors from simulate clients in the same way as the
    other methods

M	lib/packagekit-glib/pk-client.c

commit b534b8c9bc3c58f0b9d93e38569bc3f09e605ce1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    Fix compile on ~FreeBSD by doing conditional code in a better way

M	lib/packagekit-glib/pk-common.c

commit c97ef61855e8de6fd0ae81a179aadc63f6e0348f
Merge: 101a76a 2969fc9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit 101a76a498286e300d7168a9ae924636265e1175
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-24

    pkcon: move up a forward declaration

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	client/pk-console.c

commit 37b096512249ab80215a9da072e6c2cfd013e0f0
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-24

    dummy: test reinstall info enum

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	backends/dummy/pk-backend-dummy.c

commit dd6fdd71bef9e4e806b245c15b1c034185bc4470
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-24

    dummy: respect the filter settings

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	backends/dummy/pk-backend-dummy.c

commit 2969fc944fa34568c43906537d3cb199f447d45c
Author: raven <raven@fedoraproject.org>
Date:	2009-08-24

    Sending translation for Polish

M	po/pl.po

commit b7eea2bf830a121146dd2ac5ebde03478ad5bdfe
Merge: de29496 4ef103a
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-24

    Merge branch 'master' of
    git+ssh://afb@git.packagekit.org/srv/git/PackageKit

commit de29496e669d7241d767269e48e6a1a863efd88e
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-24

    Update feature matrix for ports.

M	docs/html/pk-matrix.html

commit 27ec5990603ba32c37c9b894ac44857603ca7064
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-24

    ports: implement the remaining read-write items

A	backends/ports/helpers/Makefile.am
A	backends/ports/helpers/default-dialog
M	backends/ports/pk-backend-ports.c
M	backends/ports/portsBackend.rb

commit 4ef103afcc0a003de4107855792aeb895224abfb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    glib: fix up the self tests after recent error change

M	lib/packagekit-glib/pk-client.c

commit 15a5cdd38f48fb4b047e32c0f803d83b5492c088
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-24

    Add the InfoReinstalling enum type

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	client/pk-console.c
M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h
M	lib/packagekit-qt/src/package.h

commit de681b7a8746c833fde233f5f41004e246eb405a
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    Print the different types of action from simulate with a different
    list prefix

    Inspired from a patch by Daniel Nicoletti, many thanks.

M	client/pk-console.c

commit df946fe6ac1598774e89c0662315bfea4e2c4209
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-24

    Fixup the package types if we are emulating the simulate methods

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/pk-backend.c

commit 400ae048918077c5e5554e0b5f7d52830e0f9ffb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    When we fall back to legacy methods for simulate, filter only the
    newest packages

M	src/pk-transaction.c

commit 0ca33277112b2f8dd4075441f238631cc901f5c0
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-24

    add FreeBSD distro ID

M	lib/packagekit-glib/pk-common.c

commit 5b481487258cb1a92467473fdde361fc1c55451d
Merge: 827e05d 514e1c8
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-24

    Merge branch 'master' of
    git+ssh://afb@git.packagekit.org/srv/git/PackageKit

commit 514e1c8e60aadd7ff54da76eab3538ed978518dc
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-24

    Refresh the translations

M	po/as.po
M	po/bg.po
M	po/bn_IN.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/en_GB.po
M	po/es.po
M	po/fi.po
M	po/fr.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hu.po
M	po/it.po
M	po/kn.po
M	po/ko.po
M	po/ml.po
M	po/mr.po
M	po/ms.po
M	po/nb.po
M	po/nl.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tr.po
M	po/zh_CN.po
M	po/zh_TW.po

commit 827e05db82e9fab711fa2da656706171db2a0073
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-24

    smart: fix duplicatation bug with cve/bugzilla urls

M	backends/smart/smartBackend.py

commit ef168eb2845f75701dbb8dbb24dfa5a72a0b0442
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-24

    trivial: wrong image name

M	docs/html/pk-matrix.html

commit b66309e34ac9f6910341a329b0ff64e4c9ce1412
Author: مؤيد السعدي <muayyad.alsadi@ojuba.org>
Date:	2009-08-24

    yumbackend: DeviceKit implementation for mediarepo

A	backends/yum/yumMediaManagerDeviceKit.py

commit bced7411525e3a768f55d48f1b920fa59d303d3e
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-08-23

    Sending translation for Spanish

M	po/es.po

commit 76c7935b14b406ad8c61bb59119f646b573848f9
Merge: 4d2327e c8020af
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    Merge branch 'master' of
    git+ssh://glatzor@git.packagekit.org/srv/git/PackageKit

commit c8020affbdf280f45412f7546b1748dc7c477058
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-23

    pkcon: use SimulateRemovePackages in preference to GetRequires

M	client/pk-console.c

commit 06a053be8502896173947835e2c7f70aa9affef0
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-23

    pkcon: don't do the bar for simulate actions

M	client/pk-console.c

commit 7828424c278388fc69502f504af9fe2d9cf9b4dd
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-23

    More trivial fixes for simulate

M	src/pk-transaction.c

commit ab67bba1e691aee483c98187ceb9e898f9964638
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-08-23

    Add more plugin polish with coloured backgrounds and curved edges

M	contrib/browser-plugin/README
M	contrib/browser-plugin/pk-main.c
M	contrib/browser-plugin/pk-plugin-install.c
M	contrib/browser-plugin/tests/test.html

commit de5da16717aea922f74cb0228b7c58a15264f4e2
Author: raven <raven@fedoraproject.org>
Date:	2009-08-22

    Sending translation for Polish

M	po/pl.po

commit 29a3734e39cb4867d817214e3337d0269738e622
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-08-21

    PackageKit-Qt : Update Transaction::Status enum

M	lib/packagekit-qt/src/transaction.h

commit 3dbeedee1e3dd431ed48ca311a633fef7b744585
Author: igor <igor@fedoraproject.org>
Date:	2009-08-21

    Sending translation for Brazilian Portuguese

M	po/pt_BR.po

commit 1ac6f14b870b2fe97dd317a0d879053b63808981
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-08-21

    PackageKit-Qt : fix a bug where the error state of a transaction
    wouldn't be initialized

M	lib/packagekit-qt/src/transaction.cpp

commit 1d1a5cd027078b148e67687fe6d81f51c0980da0
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-08-21

    PackageKit-Qt : hopefully fix the lib (while I set up a testing
    environment)

M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/clientprivate.cpp

commit 89b4cba225186f66024d6b08afe49b860f75b2d9
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-21

    Add a dummy backend version of simulate-install-packages for testing

M	backends/dummy/pk-backend-dummy.c

commit ebac794bd0eb1ed9463987e9e41c77e477148303
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-21

    Add the glib client helpers for Simulate

M	lib/packagekit-glib/pk-client.c
M	lib/packagekit-glib/pk-client.h

commit ada942a6f9a28cf699b863eed66cfe4f97e905c3
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-21

    Add the external D-Bus methods for Simulate

M	src/org.freedesktop.PackageKit.Transaction.xml
M	src/pk-transaction.c
M	src/pk-transaction.h

commit b9842318fc7977469a50337841365d854563219d
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-21

    Add the backend internal API for Simulate

M	backends/alpm/pk-backend-alpm.c
M	backends/apt/pk-backend-apt.c
M	backends/aptcc/pk-backend-aptcc.cpp
M	backends/box/pk-backend-box.c
M	backends/conary/pk-backend-conary.c
M	backends/dummy/pk-backend-dummy.c
M	backends/opkg/pk-backend-opkg.c
M	backends/pisi/pk-backend-pisi.c
M	backends/poldek/pk-backend-poldek.c
M	backends/portage/pk-backend-portage.c
M	backends/razor/pk-backend-razor.c
M	backends/smart/pk-backend-smart.c
M	backends/test/pk-backend-test-fail.c
M	backends/test/pk-backend-test-nop.c
M	backends/test/pk-backend-test-spawn.c
M	backends/test/pk-backend-test-succeed.c
M	backends/test/pk-backend-test-thread.c
M	backends/urpmi/pk-backend-urpmi.c
M	backends/yum/pk-backend-yum.c
M	backends/zypp/pk-backend-zypp.cpp
M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h
M	src/pk-backend.c
M	src/pk-backend.h

commit e3b9d746680532a167d481945232a497d98f90c4
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-21

    trivial: fix a couple of typos

M	src/pk-backend.c

commit a60072bb829ab89800c6b03f443aca9125399239
Merge: a9f3791 ef99fd3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-21

    Merge branch 'master' of
    git+ssh://git.packagekit.org/srv/git/PackageKit

commit ef99fd3b39c66835c658b3cbd07e30b2ebcba936
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-21

    portage: add error management when install/updating/removing

M	backends/portage/portageBackend.py

commit 5fb444b1da0ad87320d507d8cacdda47bfc04991
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-21

    Add ERROR_PACKAGE_FAILED_TO_REMOVE to packagekit-glib, packagekit-qt

M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h
M	lib/packagekit-qt/src/client.h

commit a9f3791940adeebe624d21add9849f28021bf89b
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-21

    yum: fix bad date formatting in update descriptions. Fixes rh#516700

M	backends/yum/yumBackend.py

commit b4d1ecf64060fb7056a831c9c0e4a9cf9488a823
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-21

    yum: Add the PROVIDES_POSTSCRIPT_DRIVER prefix for Fedora

M	backends/yum/yumBackend.py

commit 855a772ebbfbf484eeb4a8bff2eba299d5a4386f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-21

    Add PK_PROVIDES_ENUM_POSTSCRIPT_DRIVER for the new foomatic
    functionality

M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h

commit fe47790cddb149b8dc1cd68712d9df8b63912bdb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-08-21

    Make the browser plugin interaction better

M	contrib/browser-plugin/pk-plugin-install.c

commit 106d393d99d86865dfc54308722b2cd8361bbe84
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-21

    trivial: add device-rebind subpackage

M	contrib/PackageKit.spec.in

commit 0a66ec92ee4df51e5ce8552c1dfd09fc313d8bdb
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-21

    device-rebind: actually make this work after testing with a bit of
    actual hardware

M	contrib/device-rebind/Makefile.am
M	contrib/device-rebind/README
M	contrib/device-rebind/pk-device-rebind.c

commit 344fe13592207341bc6ebd0ab95985d17e838a0f
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-21

    Fix the build when using PolicyKit from git master

M	configure.ac

commit 4d2327e0737f133941506826e3cb902b58468fd7
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Remove not required imports

M	backends/apt/aptBackend.py

commit cc9a04671b10eb9f982e387b47bfbd47f0396284
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Fix wrong media type enum

M	backends/apt/aptBackend.py

commit 9c646badbee49ad4cf1b53a752a3d24679335290
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Trivial remove obsolete reference to the cancelled event

M	backends/apt/aptBackend.py

commit 1ff5e31b488720625d0b532de6d19085440ea617
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Trivial remove never reached false Exit calls

M	backends/apt/aptBackend.py

commit 9040aff3a50ef32c4ebfe318a7a4deb1db4d1475
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Fix distro upgrade call

M	backends/apt/aptBackend.py
M	lib/python/packagekit/pylint.sh

commit 6fe17b4b176b0cfdee91ad556a68371bfd7126a9
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Unset LC_ALL to gain support for translated descriptions

M	backends/apt/aptBackend.py

commit 2e0b4384c885aa0220c51dedc3b1f54d7db477b9
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Trivial fix another unicode package key

M	backends/apt/aptBackend.py

commit 66594ff3aeb86aab6f3b7f2cc05d51f3b8b8cce3
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Workaround a regression in python-apt 0.7.12 which only allows
    strings as keys for packages in the cache dict.

M	backends/apt/aptBackend.py

commit 85ba863eb0a26fa7ae865e991616e6b3e153f6c0
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Fix a silly previous merge which broke searching for names

M	backends/apt/aptBackend.py

commit 1dad94fce458854ccbbaad8830c96c9e65807d1a
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Improve APT cache based search-details by using a more modern
    syntax, searching in the raw description and not matching packages
    without a candidate

M	backends/apt/aptBackend.py

commit dd9bcfd2b84a6dbfae9954cd75989cc7aac18964
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Emit results in the details search as soon as
    possible. Furthermore use a more modern syntax in the xapian search.

M	backends/apt/aptBackend.py

commit 8c346ec67f84cda0775beb4292497e2750a6ce88
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Speed up searching for the package name by creating only the
    matching
    packages

M	backends/apt/aptBackend.py

commit e73e6dc39842448f225946cadaabe05dc80c0a08
Merge: 603af39 dfa4493
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    Merge branch 'master' of
    git+ssh://glatzor@git.packagekit.org/srv/git/PackageKit

commit dfa4493a7030520c605b12622a772f2aabbc8461
Author: igor <igor@fedoraproject.org>
Date:	2009-08-21

    Sending translation for Brazilian Portuguese

M	po/pt_BR.po

commit b3d08dad0b3804da87c8286dedce14dd8133b574
Merge: f516cae 0b6cd57
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-20

    Merge branch 'master' of
    git+ssh://dantti@git.packagekit.org/srv/git/PackageKit

commit f516caecb312ebc31ef50b4f03d1252bac89364b
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-20

    aptcc: Fix search-file to search for just one file (not considering
    space as a file delimiter)

M	backends/aptcc/apt.cpp

commit 603af39b798d45a674abe5d29bc17fc010d06eec
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-20

    APT: Fix the not auto installed marking of upgrades

M	backends/apt/aptBackend.py

commit 0b6cd578ce5d993e9bc8d3d4548a4522d59f4bb9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-20

    device-rebind: be more militant about what paths we accept

M	contrib/device-rebind/pk-device-rebind.c

commit 82401e4510ffe84b65ed939739ec44cd3ac445e0
Merge: e50c55e 1ffbafa
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-20

    Merge branch 'master' of
    git+ssh://hughsie@git.packagekit.org/srv/git/PackageKit

commit 1ffbafad2abe4c149b1db64a56b7278ed2874270
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-08-20

    Sending translation for Spanish

M	po/es.po

commit 17a9e95c6633a5c1a700990b6c9218be890ca5a4
Author: logan <logan@fedoraproject.org>
Date:	2009-08-20

    Sending translation for Spanish

M	po/es.po

commit e50c55ec6c72e8dc60cc8ece95fd967d909a1885
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-20

    ports: Add a gitignore file

A	backends/ports/.gitignore

commit 542975288bbbb1ad6015752caa8a05c2e2b342df
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-20

    Reduce the amount of GUI interaction in the web plugin

M	contrib/browser-plugin/pk-plugin-install.c

commit 8cae95d085d68f95cc890ad3de66cb402c4cdae4
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-20

    Actually make device-rebind compile on a GUdev system

M	contrib/device-rebind/Makefile.am
M	contrib/device-rebind/pk-device-rebind.c

commit 9f835922a2c85e4225d725402ef6e1a22ca448a4
Merge: 1aa93e4 8098592
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-20

    Merge branch 'master' of
    git+ssh://hughsie@git.packagekit.org/srv/git/PackageKit

commit 8098592c467046b39d97b41d5279a62720cbf2da
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-20

    Add the device rebinding functionality required for the session to
    install drivers

M	configure.ac
M	contrib/Makefile.am
A	contrib/device-rebind/.gitignore
A	contrib/device-rebind/Makefile.am
A	contrib/device-rebind/README
A	contrib/device-rebind/pk-device-rebind.c
A	contrib/device-rebind/pk-device-rebind.xml
M	po/POTFILES.in
M	policy/org.freedesktop.packagekit.policy.in

commit 3eaec649129364670922b829cc407ac185bffa6c
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-19

    portage: move elog commented elog filters to PortageBridge

M	backends/portage/portageBackend.py

commit 0863ceaeb2e4581033d3f91f4637a8a2415a6dd8
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-19

    Trivial whitespace nit

M	configure.ac

commit 51d6daf62082fe18103718c04c3ed80f9dc1c7ab
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-08-19

    PackageKit-Qt : fix wrong signal connection in transaction.cpp

M	lib/packagekit-qt/src/transaction.cpp

commit ba1065ad28c5cd7c23bfec83d9eed8a2417df8f4
Merge: 3147556 eb37fd2
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-18

    Merge branch 'master' of
    git+ssh://volkmar@git.packagekit.org/srv/git/PackageKit

commit 314755610b6ff60d546fc8b20a592ef3f56e9cf6
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-18

    packagekit-{glib,qt}: add
    ERROR_PACKAGE_FAILED_TO_{CONFIGURE,BUILD,INSTALL}

M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h
M	lib/packagekit-qt/src/client.h

commit eb37fd24dca94f038c5b4b1315dbe55438c6c3e2
Author: beckerde <beckerde@fedoraproject.org>
Date:	2009-08-18

    Sending translation for Spanish

M	po/es.po

commit dda13829aa98d7aaeadac3c1d00416e8ab1a172e
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-18

    Make the PolicyKit dialog title be on one line

M	src/pk-polkit-action-lookup.c

commit 07c4eda4ad36b9fd4af78ae2b9282f566205ddd9
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-18

    Add a Listaller screenshot

A	docs/html/img/listallmgr-1.png
A	docs/html/img/thumbnails/listallmgr-1.png
M	docs/html/pk-screenshots.html
M	docs/html/thumbnail.sh

commit a3ebf0e0a5a9699963825c328d9a8b214f24f411
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-18

    Update the status matrix for yum as it can now filter by arch

M	docs/html/pk-matrix.html

commit de0e5059ed48b59f984b10bc15992b055df16c2e
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    website: some fixes in portage column

M	docs/html/pk-matrix.html

commit bb642c69b60388df96205212d3d938cf94c03de3
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-17

    Fix compile without PolicyKit installed

M	src/pk-engine.c

commit 0aee8638f17202f10f8cd9fd7419bfacbf780ac7
Merge: 75730ef de2b77d
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-17

    Merge branch 'can-authorize'

commit 75730efc4b5db6ee7d372a86a3a40620c1203b10
Merge: bfe11da 5f75a76
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-17

    Merge branch 'master' of
    git+ssh://hughsie@git.packagekit.org/srv/git/PackageKit

commit de2b77d801017095dd7664e5b4fcff091c277a89
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-17

    GLib: Add pk_control_can_authorize() as a client helper

M	lib/packagekit-glib/pk-control.c
M	lib/packagekit-glib/pk-control.h

commit 5f75a7655481f657d69e3d962d441a1cd8b9331d
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    portage: show elog messages when updating packages or system and when
    removing packages

M	backends/portage/portageBackend.py

commit a13b489b7e8f61278d45c861cec06752da151d03
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-17

    Use a more specific error when we are checking authorisation

M	src/pk-engine.c
M	src/pk-engine.h

commit a3735439a4c4bedfd48343bed1fccb034bef07ff
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    portage: use restricted-download error instead of download-failed for
    fetch restriction

M	backends/portage/portageBackend.py

commit 344d45876f5c4d1170755a6c11a80d8a384f63a1
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    packagekit-qt: add restricted-download error

M	lib/packagekit-qt/src/client.h

commit cdfed09ba08ae1b43641c81e9a92ce57d4ae1a71
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    packagekit-glib: add restricted-download error

M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h

commit b43041fd7701585c85dbebd2a6a6d5ea2c688a3e
Merge: 58d0b80 e66fb75
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    Merge branch 'master' of
    git+ssh://volkmar@git.packagekit.org/srv/git/PackageKit

commit 58d0b80df05a38a3da095831350dcce76a1dd97f
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    portage: show elog messages when installing

M	backends/portage/portageBackend.py

commit d24c90716ba9cbfe49ccdca25719d90208a6acc1
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-17

    Add a CanAuthorize method to the daemon to know if the daemon will
    show an authentication window

M	lib/packagekit-glib/pk-enum.c
M	lib/packagekit-glib/pk-enum.h
M	src/org.freedesktop.PackageKit.xml
M	src/pk-engine.c
M	src/pk-engine.h

commit bfe11da61baa6347293523b4ac1205952ee6f441
Author: Richard Hughes <richard@hughsie.com>
Date:	2009-08-17

    Trivially add encoding to the top of the xml DBus system file

M	data/org.freedesktop.PackageKit.conf.in

commit 64d44826a0a5ea795207bd8207773a8793c469ef
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    packagekit-qt: adding missing Restart types

M	lib/packagekit-qt/src/client.h

commit e66fb7531935ca86a79341f37d676b2ae6bd5158
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-17

    Update feature matrix for ports.

M	docs/html/pk-matrix.html

commit 57c5f55385eeb1977b953de468f56698cdfa625d
Merge: a66c97c 718b7c9
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-17

    Merge branch 'master' of
    git+ssh://afb@git.packagekit.org/srv/git/PackageKit

commit 718b7c91f0faf84f7f500f18acb2f65bf5a5453e
Merge: d70636a 7d848bc
Author: Sebastian Heinlein <devel@glatzor.de>
Date:	2009-08-17

    Merge branch 'master' of
    git+ssh://glatzor@git.packagekit.org/srv/git/PackageKit

commit 7d848bc1a5e1daa005d256c740bbccddba9a3d8a
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-17

    portage: nothing (just to keep track of some temporary work)

M	backends/portage/portageBackend.py

commit a66c97cf63bf148d4cf223f2f762c75790541abb
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-16

    search /usr/local on FreeBSD

M	lib/packagekit-glib/pk-desktop.h

commit 3d94aa58683e314575c6439aec3b36eb3062fafa
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-16

    ports: configure and add backend

M	backends/Makefile.am
M	configure.ac

commit ce0d2d0c8e3eb688722a385ed9aeadc02fc4a3db
Author: Anders F Bjorklund <afb@users.sourceforge.net>
Date:	2009-08-16

    ports: new (read-only so far) backend for FreeBSD Ports

A	backends/ports/Makefile.am
A	backends/ports/pk-backend-ports.c
A	backends/ports/portsBackend.rb
A	backends/ports/ruby_packagekit/Makefile.am
A	backends/ports/ruby_packagekit/enums.rb

commit b5ee67fdd57cb5afbcfa7b43e8c3af908a42c8a4
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-16

    portage: use ERROR_DEP_RESOLUTION_FAILED if generating depgraph fails

M	backends/portage/portageBackend.py

commit 1f2d57d81e0db4cab4a90963bdea24192b943998
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-16

    portage: add some status info to install-packages, update-packages and
    update-system

M	backends/portage/portageBackend.py

commit c5955d7eebc6f741b6a1243a438be55ad99ea28d
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-16

    portage: send an error if an ebuild with RESTRICT='fetch' is in the
    installation list with a missing file
    the error is telling the files to download and where to put them

M	backends/portage/portageBackend.py

commit a752f0e99944414b25e69e125567b9690f6b2d41
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-16

    portage: use MESSAGE_CONFIG_FILES_CHANGED to inform the user about
    updated configuration files as a replacement before a real
    configuration
    file update manager

M	backends/portage/portageBackend.py

commit c343744cec789a8e704d4b5267f0742ea9c60f49
Author: Adrien Bustany <madcat@mymadcat.com>
Date:	2009-08-15

    PackageKit-Qt : never return null when expecting a Transaction
    (return a Transaction with error set)

M	lib/packagekit-qt/src/client.cpp

commit 8e8cc913fc0ac4e5ffea334a16c1c7a54880c402
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-15

    portage: block interactive packages to be used via the backend

M	backends/portage/portageBackend.py

commit 8d8efc90612c62a5ca6854fcb503b6fdb04d318c
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-15

    portage:
    -search-details now search for real (updated) license
    -refactoring

M	backends/portage/portageBackend.py

commit a3e4906e3d6f4db1ebbf82490702f77cc4b2eda8
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-15

    portage: move root_config to PortageBridge class

M	backends/portage/portageBackend.py

commit 0e29ef111c8bebfcaf9a780fa44088f5b5de30df
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-15

    portage:
    -move id_to_cpv() to the class
    -call self.error(ERROR_PACKAGE_ID_INVALID) instead of raising
    exception

M	backends/portage/portageBackend.py

commit 98432b2855da772cd9bc4dd76f22512823b999c5
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-15

    portage:
    -get-details show a cleanier LICENSE info
    -get_metadata is now able to add cache keys
    -misc cleaning

M	backends/portage/portageBackend.py

commit 1a384df72ebef40d1f6a48a5471afb4613f89228
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-15

    portage: remove removed packages from world set  by adding them
    to favorites
    (actually, need a fix in portage trunk which is ready to be commited)

M	backends/portage/portageBackend.py

commit 0797220bb80f26354e586da469728f2b143e2a2e
Author: Adrien BUSTANY <madcat@mymadcat.com>
Date:	2009-08-14

    PackageKit-Qt : properly remove the old PolicyKit files

M	lib/packagekit-qt/src/Makefile.am
M	lib/packagekit-qt/src/client.cpp
D	lib/packagekit-qt/src/polkitclient.cpp
D	lib/packagekit-qt/src/polkitclient.h
M	lib/packagekit-qt/src/transaction.cpp

commit f39366aeab11eca927bc4489130e117366e84618
Author: Adrien BUSTANY <madcat@mymadcat.com>
Date:	2009-08-14

    PackageKit-Qt : Fix undefined symbol daemonErrorFromDBusReply

M	lib/packagekit-qt/src/client.cpp
M	lib/packagekit-qt/src/client.h

commit 86a8a76a3007402c8cfcac0c3ad6a2a360cdeefe
Merge: 774900f 5c52741
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-14

    Merge branch 'master' of
    git+ssh://dantti@git.packagekit.org/srv/git/PackageKit

commit 774900f5e61b666c3ce32e6560172343c08d1d12
Author: Daniel Nicoletti <dantti85-pk@yahoo.com.br>
Date:	2009-08-14

    Removed default values from getDepends, getRequires and
    removePackages.

M	lib/packagekit-qt/src/client.h

commit 5c527413cb27a695ebccfa2488f1c07fb53d68e6
Merge: 42d78ba 0d2ca63
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-14

    Merge branch 'master' of
    git+ssh://volkmar@git.packagekit.org/srv/git/PackageKit

commit 0d2ca6302e0a6d0be3c114a9bf5f6af233e97bb6
Merge: 3752afb 89360ee
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-14

    Merge branch 'master' of
    git+ssh://volkmar@git.packagekit.org/srv/git/PackageKit

commit 42d78ba820b8b2f20137bfa9587e3115a3f84a4e
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-14

    portage: fix search-files doublon results when a package has many
    files
    with the key in the name

M	backends/portage/portageBackend.py

commit 89360ee7b3bf38783cab78ded1008252f11e73de
Author: Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
Date:	2009-08-14

    portage: moving every portage/emerge vars to a PortageBridge class
    let a simplier access to those vars
